/**
 * config.js
 * 配置
 *
 * @date 2013-12-28
 * @version 0.1
 */

function Config(){
	this.fontCfg = 0;                     // 系统字体配置
}

Config.prototype.getFontConfig = function(){
	return this.fontCfg;
};

Config.prototype.setFontConfig = function(cfg){
	if(cfg && cfg == 1){
		this.fontCfg = 1;
	}else{
		this.fontCfg = 0;
	}
};


function ColorConfig(){
	
};

/** 
 * 获取星星颜色
 */
ColorConfig.getStarColor = function(starName){
	for(var i = 0 ; i < BizEnum.MAINSTAR.length; i ++){
		if(BizEnum.MAINSTAR[i] == starName){
			return BizEnum.COLORCONFIG['MAINSTAR'];
		}
	}
	
	for(var i = 0 ; i < BizEnum.GEMSTAR.length; i ++){
		if(BizEnum.GEMSTAR[i] == starName){
			return BizEnum.COLORCONFIG['GEMSTAR'];
		}
	}
	
	for(var i = 0 ; i < BizEnum.FIENDSTAR.length; i ++){
		if(BizEnum.FIENDSTAR[i] == starName){
			return BizEnum.COLORCONFIG['SIHUAFIENDSTAR'];
		}
	}
	
	for(var i = 0 ; i < BizEnum.NORMALSTAR.length; i ++){
		if(BizEnum.NORMALSTAR[i] == starName){
			return BizEnum.COLORCONFIG['SIHUANORMALSTAR'];
		}
	}
	
	return false;
};

ColorConfig.getMiaoWangColor = function(){
	return BizEnum.COLORCONFIG['MIAOWANG'];
};

ColorConfig.getGongWeiColor = function(type){
	type = type || "xiantiangongwei";
	
	type = type.toUpperCase();

	eval("return BizEnum.COLORCONFIG['"+type+"']");
};

ColorConfig.getYunYaoColor = function(){
	return BizEnum.COLORCONFIG['YUNYAO'];
};

ColorConfig.getLiuYaoColor = function(){
	return BizEnum.COLORCONFIG['LIUYAO'];
};

ColorConfig.getSiHuaColor = function(type){
	type = type || "xiantiansihua";
	
	type = type.toUpperCase();

	eval("return BizEnum.COLORCONFIG['"+type+"']");
};

//飞星盘的先天四化颜色
ColorConfig.getXTSiHua = function(sihua){
	var sihua = sihua.toString();
	if(sihua.indexOf("QUAN") >= 0){
		return "#650E6E-"+"#ffffff";
	}
	if(sihua.indexOf("LU") >= 0){
		return "#279432-"+"#ffffff";
	}
	if(sihua.indexOf("JI") >= 0){
		return "#DB2A1A-"+"#ffffff";
	}
	if(sihua.indexOf("KE") >= 0){
		return "#2F62DE-"+"#ffffff";
	}
};
ColorConfig.getShenGongColor = function(){
	return BizEnum.COLORCONFIG['SHENGONG'];
};

ColorConfig.getXiaoXianColor = function(){
	return BizEnum.COLORCONFIG['XIAOXIAN'];
};

ColorConfig.getDaYunAgePeriodColor = function(){
	return BizEnum.COLORCONFIG['AGEPERIOD'];
};

ColorConfig.getYueFenColor = function(){
	return BizEnum.COLORCONFIG['LIUNIANYUE'];
};

ColorConfig.getTianGanColor = function(){
	return BizEnum.COLORCONFIG['TIANGAN'];
};

ColorConfig.getDiZhiColor = function(){
	return BizEnum.COLORCONFIG['DIZHI'];
};