/**
 * 家人
 *
 * @date 2015.08.10
 */ 
function Family()
{
	
}

Family.getChildBaZi = function()
{
	var child = Family.getChildInfo();
	
	if(!child){
		return false;
	}
	
	var userInfo = child.getUserInfo();
	var nianZhu = userInfo.getBaZi().nianZhu; 
	var yueZhu = userInfo.getBaZi().yueZhu; 
	var riZhu = userInfo.getBaZi().riZhu;
	var shiZhu = userInfo.getBaZi().shiZhu;
	
	var baZi = Translator.translateBaZi(nianZhu + "-" + yueZhu + "-" + riZhu + "-" + shiZhu);
	
	return baZi;
}

Family.getNearer3MonthInfo = function(monthInfo)
{
	if(!monthInfo)
	{
		return false;
	}
	
	monthInfo = eval("(" + monthInfo + ")");
	
	if(!monthInfo.year || !monthInfo.month)
	{
		return false;
	}
	
	if(isNaN(monthInfo.year))
	{
		return false;
	}
	
	monthInfo.year = parseInt(monthInfo.year);
	
	if(monthInfo.year < 1901 || monthInfo.year > 2099)
	{
		return fasle;
	}
	
	if(isNaN(monthInfo.month))
	{
		return false;
	}
	
	monthInfo.month = parseInt(monthInfo.month);
	
	if(monthInfo.month < 1 || monthInfo.month > 12)
	{
		return false;
	}
	
	var prevMonth = false;
	var thisMonth = false;
	var nextMonth = false;
	
	if(monthInfo.month == 1)
	{
		prevMonth = new Date((monthInfo.year - 1)+"/12/1");
	}
	else
	{
		prevMonth = new Date((monthInfo.year)+"/"+ (monthInfo.month - 1) +"/1");
	}
	
	thisMonth = new Date((monthInfo.year)+"/"+ (monthInfo.month) +"/1");
	
	if(monthInfo.month == 12)
	{
		nextMonth = new Date((monthInfo.year + 1)+"/1/1");
	}
	else
	{
		nextMonth = new Date((monthInfo.year)+"/"+ (monthInfo.month + 1) +"/1");
	}
	
	var result = {
		'prev' : {
			'year' : prevMonth.getFullYear(),
			'month' : prevMonth.getMonth() + 1,
			'week' :  prevMonth.getDay(),
			'dayNum' : prevMonth.getMonthDayNum()
		},
		'cur' : {
			'year' : thisMonth.getFullYear(),
			'month' : thisMonth.getMonth() + 1,
			'week' :  thisMonth.getDay(),
			'dayNum' : thisMonth.getMonthDayNum()
		},
		'next' : {
			'year' : nextMonth.getFullYear(),
			'month' : nextMonth.getMonth() + 1,
			'week' :  nextMonth.getDay(),
			'dayNum' : nextMonth.getMonthDayNum()
		}
	};
	
	return JSON.stringify(result);
};

//=================================  宝宝  ==========================================
/**
 * 宝宝-锦囊-问题8
 */
Family.childTip8 = function()
{
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	return Child.hunYin(child);
}

/**
 * 宝宝-锦囊-问题7
 */
Family.childTip7 = function()
{
	var info = Family.getUserAndChildInfo();
	
	if(!info)
	{
		return false;
	}
	
	return Child.relationShipWithParent(info.user, info.child);
}

/**
 * 宝宝-锦囊-问题6
 */
Family.childTip6 = function()
{
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	return Child.liuNianChengJi(child);
}

/**
 * 宝宝-锦囊-问题5
 */
Family.childTip5 = function()
{
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	return Child.bodyCare(child);
}

/**
 * 宝宝-锦囊-问题4
 */
Family.childTip4 = function()
{
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	return Child.dangGuanZuoLaoBan(child);
}

/**
 * 宝宝-锦囊-问题3 
 */
Family.childTip3 = function()
{
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	return Child.banGan(child);
};

/**
 * 宝宝-锦囊-问题2
 */
Family.childTip2 = function()
{
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	return Child.wenLiKe(child);
};

/**
 * 宝宝-锦囊-问题1
 */
Family.childTip1 = function()
{
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	return Child.skill(child);
}

Family.getThisLunarMonthInfo4Child = function()
{	
	var curLunarDate = Session.getSession().getLunarDate();
	
	if(!curLunarDate)
	{
		return false;
	}
	
	var isNegative = Child.isNegativeMonth4Both(curLunarDate.year, curLunarDate.month, curLunarDate.isRunYue);
	var liuYue = (curLunarDate.isRunYue ? "闰" : "") + Translator.translate(Util.getLunarMonthByIndex(curLunarDate.month - 1).name);
	var calendar = new PerpetualCalendar();
	var monthInfo = calendar.getCalendar()[curLunarDate.year - 1901].monthInfo;
	var fromDay = PerpetualCalendar.convertLunarDate2GregorianDate(curLunarDate.year, curLunarDate.month, 1, 0, curLunarDate.isRunYue);
	var maxDay = monthInfo[curLunarDate.isRunYue ? curLunarDate.month : curLunarDate.month-1];
	var toDay = PerpetualCalendar.convertLunarDate2GregorianDate(curLunarDate.year, curLunarDate.month, maxDay, 0, curLunarDate.isRunYue);
	
	var monthInfo =	{
			'year' : curLunarDate.year,
			'month' : liuYue,
			'fromDay' : {
				'y' : fromDay.getFullYear(),
				'm' : fromDay.getMonth() + 1,
				'd' : fromDay.getDate()
			},
			'toDay' : {
				'y' : toDay.getFullYear(),
				'm' : toDay.getMonth() + 1,
				'd' : toDay.getDate()
			},
			'energy' : !isNegative 
		};
		
	return JSON.stringify(monthInfo);
}

Family.getSpecifyDateChildRelationShipInfo = function(dateInfo)
{
	if(!dateInfo)
	{
		return false;
	}
	
	var date = eval("(" + dateInfo + ")");
	date.year = parseInt(date.year);
	date.month = parseInt(date.month);
	date.day = parseInt(date.day);
	
	var lunarDate = PerpetualCalendar.convertGregorianDate2LunarDate(date.year, date.month, date.day, 0);
	
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser)
	{
		return false;
	}
	
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}

	var dayInfo = new Object();
	dayInfo = {
		'year' : date.year,
		'month' : date.month,
		'day' : date.day
	};
	dayInfo.tags = new Array();
	var userLiuRiMingPan = curUser.getLiuRiMingPan(lunarDate.year, lunarDate.month, lunarDate.day, lunarDate.isRunYue);
	var childLiuRiMingPan = child.getLiuRiMingPan(lunarDate.year, lunarDate.month, lunarDate.day, lunarDate.isRunYue);
	
	var isNotJianKang = Child.jianKang(childLiuRiMingPan);
	
	if(isNotJianKang)
	{
		dayInfo.tags.push('JIANGKANG');
	}
	
	var xueXi = Child.xueXi(childLiuRiMingPan);
	
	if(xueXi)
	{
		dayInfo.tags.push('XUEXI');
	}
	
	var play = Child.play(childLiuRiMingPan);
	
	if(play)
	{
		dayInfo.tags.push('PLAY');
	}
	
	var mood = Child.mood(userLiuRiMingPan, childLiuRiMingPan);
	
	if(mood)
	{
		dayInfo.tags.push('XINQING');
	}
			
	return JSON.stringify(dayInfo);
}

Family.getThisMonthChildRelationShipInfo = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	var curLunarDate = Session.getSession().getLunarDate();
	
	if(!curLunarDate)
	{
		return false;
	}
	
	var isNegative = Child.isNegativeMonth4Both(curLunarDate.year, curLunarDate.month, curLunarDate.isRunYue);
	var liuYue = (curLunarDate.isRunYue ? "闰" : "") + Translator.translate(Util.getLunarMonthByIndex(curLunarDate.month - 1).name);
	var calendar = new PerpetualCalendar();
	var monthInfo = calendar.getCalendar()[curLunarDate.year - 1901].monthInfo;
	var fromDay = PerpetualCalendar.convertLunarDate2GregorianDate(curLunarDate.year, curLunarDate.month, 1, 0, curLunarDate.isRunYue);
	var maxDay = monthInfo[curLunarDate.isRunYue ? curLunarDate.month : curLunarDate.month-1];
	var toDay = PerpetualCalendar.convertLunarDate2GregorianDate(curLunarDate.year, curLunarDate.month, maxDay, 0, curLunarDate.isRunYue);
	
	var dayInfoArr = new Array();
	
	for(var i = 1; i <= maxDay; i ++)
	{
		var userLiuRiMingPan = curUser.getLiuRiMingPan(curLunarDate.year, curLunarDate.month, i, curLunarDate.isRunYue);
		var childLiuRiMingPan = child.getLiuRiMingPan(curLunarDate.year, curLunarDate.month, i, curLunarDate.isRunYue);
		var dayInfo = new Object();
		dayInfo['day'] = i;
		dayInfo.tags = new Array();
		
		var isNotJianKang = Child.jianKang(childLiuRiMingPan);
		
		if(isNotJianKang)
		{
			dayInfo.tags.push('JIANGKANG');
		}
		
		var xueXi = Child.xueXi(childLiuRiMingPan);
		
		if(xueXi)
		{
			dayInfo.tags.push('XUEXI');
		}
		
		var play = Child.play(childLiuRiMingPan);
		
		if(play)
		{
			dayInfo.tags.push('PLAY');
		}
		
		var mood = Child.mood(userLiuRiMingPan, childLiuRiMingPan);
		
		if(mood)
		{
			dayInfo.tags.push('XINQING');
		}
			
		dayInfoArr.push(dayInfo);
	}

	var result = 
	{
		'monthInfo' : 
		{
			'year' : curLunarDate.year,
			'month' : liuYue,
			'fromDay' : {
				'y' : fromDay.getFullYear(),
				'm' : fromDay.getMonth() + 1,
				'd' : fromDay.getDate()
			},
			'toDay' : {
				'y' : toDay.getFullYear(),
				'm' : toDay.getMonth() + 1,
				'd' : toDay.getDate()
			},
			'energy' : !isNegative 
		},
		'dayInfo' : dayInfoArr
	};

	return JSON.stringify(result);
}

/**
 * 获取宝宝流日运势
 */
Family.getChildLiuRiYunShi = function()
{
	if(arguments.length == 0)
	{
		return false;
	}
	
	var param = eval("(" + arguments[0] + ")")
	var hour = parseInt(param.hour);
	var min = parseInt(param.min);
	
	var info = Family.getUserAndChildInfo();
	
	if(!info)
	{
		return false;
	}
	
	var liuRiMingPan = info.child.getLiuRiMingPan(info.lunarDate.year, info.lunarDate.month, info.lunarDate.day, info.lunarDate.isRunYue);
	
	var dizhi = NewHome.getLiuRiMingGongGanZhi(liuRiMingPan);
	var desp = NewHome.getLiuRiYunShiDescription(liuRiMingPan, info.child, hour, min);
	var level = EnergyCalculator.getLevel(liuRiMingPan, "LiuRiMingPan");
	
	return JSON.stringify({
		'dz' : dizhi,
		'description' : desp,
		'level' : level.level
	});
}

/**
 * 获取用户和宝宝的信息
 */
Family.getUserAndChildInfo = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var child = Family.getChildInfo();
	
	if(!child)
	{
		return false;
	}
	
	var curLunarDate = Session.getSession().getLunarDate();
	
	if(!curLunarDate)
	{
		return false;
	}
	
	return {
		'user' : curUser,
		'child' : child,
		'lunarDate' : curLunarDate,
		'gregorianDate' : Session.getSession().getGregorianDate()
	};
};

Family.getChildInfo = function()
{
	if(!window.tiangonggong)
	{
		return false;
	}
	
	if(!window.tiangonggong.family)
	{
		return false;
	}
	
	if(!window.tiangonggong.family.child)
	{
		return false;
	}
	
	return window.tiangonggong.family.child;
}

Family.saveChildInfo = function()
{
	if(arguments.length < 1)
	{
		return false;
	}
	
	var user = arguments[0];
	user = ZiWeiUtils.parseUserInfoParam(user);
	
	if(!window.tiangonggong)
	{
		window.tiangonggong = new Object();
	}
	
	if(!window.tiangonggong.family)
	{
		window.tiangonggong.family = new Object();
	}
	
	window.tiangonggong.family.child = user;
	
	return user.getToken();
}

//=================================  爱人  ==========================================

Family.getMateLiuRiYunShi = function()
{
	if(arguments.length == 0)
	{
		return false;
	}
	
	var param = eval("(" + arguments[0] + ")")
	var hour = parseInt(param.hour);
	var min = parseInt(param.min);
	
	var info = Family.getUserAndMateInfo();
	
	if(!info)
	{
		return false;
	}
	
	var liuRiMingPan = info.mate.getLiuRiMingPan(info.lunarDate.year, info.lunarDate.month, info.lunarDate.day, info.lunarDate.isRunYue);
	
	var dizhi = NewHome.getLiuRiMingGongGanZhi(liuRiMingPan);
	var desp = NewHome.getLiuRiYunShiDescription(liuRiMingPan, info.mate, hour, min);
	var level = ZiWeiUtils.getLiuRiEnergy(liuRiMingPan);
	
	return JSON.stringify({
		'dz' : dizhi,
		'description' : desp,
		'level' : level
	});
}

/**
 * 爱人-锦囊-问题5
 */
Family.mateTip5 = function()
{
	var info = Family.getUserAndMateInfo();
	
	if(!info)
	{
		return false;
	}
	
	var dayArr = Mate.mq5(info.user, info.mate, info.userIsFemale, info.gregorianDate);
	var newDayArr = new Array(); 
	
	for(var i = 0; i < dayArr.length; i ++)
	{
		newDayArr.push(dayArr[i].format());
	}
	
	if(newDayArr.length == 0)
	{
		return "无答案，不扣天币。";
	}
	else
	{
		return "紫微大师根据你们的命宫夫妻宫福德宫同盘星象组合流日重合的结果为："+ newDayArr.join("、") +"（独家的能量算法选择的日子可以帮助你们的婚姻减少第三者、挫折、分离的负能量干扰合盘更佳精准。对于先天带有离婚格的只能相对减轻负能量的干扰。仅作参考）";
	}
};

/**
 * 爱人-锦囊-问题4
 */
Family.mateTip4 = function()
{
	var info = Family.getUserAndMateInfo();
	
	if(!info)
	{
		return false;
	}
	
	var yearArr = Mate.mq4(info.user, info.mate, info.userIsFemale, info.lunarDate.year);
	
	if(yearArr.length == 0)
	{
		return "无答案，不扣天币。";
	}
	
	var resultStr = "紫微大师根据你们的田宅宫同盘星象组合流年重合的结果，最近30年里正能量的年份为： "+ yearArr.join("、") +"（仅作参考）";
	
	return resultStr;
};

/**
 * 爱人-锦囊-问题3
 */
Family.mateTip3 = function()
{
	var info = Family.getUserAndMateInfo();
	
	if(!info)
	{
		return false;
	}
	
	var yearArr = Mate.mq3(info.user, info.mate, info.userIsFemale, info.lunarDate.year);
	
	if(yearArr.length == 0)
	{
		return "无答案，不扣天币。";
	}
	
	var resultStr = "紫微大师根据你们的子女宫同盘星象组合流年重合的结果，最近10年里正能量的年份为： "+ yearArr.join("、") +"（仅作参考）";
	
	return resultStr;
};

/**
 * 爱人-锦囊-问题2
 */
Family.mateTip2 = function()
{
	var info = Family.getUserAndMateInfo();
	
	if(!info)
	{
		return false;
	}
	
	var yearArr = Mate.mq2(info.user, info.mate, info.userIsFemale, info.lunarDate.year);
	
	if(yearArr.length == 0)
	{
		return "无答案，不扣天币。";
	}
	else
	{
		return "紫微大师根据你们的夫妻宫同盘星象组合流年重合的结果，20岁~50岁的年份里要注意以下时间点："+ yearArr.join("、") +"（仅作参考）";
	}
};

/**
 * 爱人-锦囊-问题1
 */ 
Family.mateTip1 = function()
{
	var info = Family.getUserAndMateInfo();
	
	if(!info)
	{
		return false;
	}
	
	var yearArr = Mate.mq1(info.user, info.mate, info.userIsFemale, info.lunarDate.year);
	
	if(yearArr.length == 0)
	{
		return "无答案，不扣天币。";
	}
	else
	{
		var result = "紫微大师根据你们的夫妻宫同盘星象组合流年重合的结果为：最近20年的结婚正能量的年份为：";
		result += yearArr.join("，");
		
		return result;
	}
};

/**
 * 获取用户和另一半的信息
 */
Family.getUserAndMateInfo = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var mate = Family.getMateInfo();
	
	if(!mate)
	{
		return false;
	}
	
	var curLunarDate = Session.getSession().getLunarDate();
	
	if(!curLunarDate)
	{
		return false;
	}
	
	var userIsFemale = curUser.getUserInfo().getGender() == "GENDER_NV" ? true : false;
	
	return {
		'user' : curUser,
		'mate' : mate,
		'lunarDate' : curLunarDate,
		'gregorianDate' : Session.getSession().getGregorianDate(),
		'userIsFemale' : userIsFemale
	};
};

Family.getThisLunarMonthInfo4Mate = function()
{	
	var curLunarDate = Session.getSession().getLunarDate();
	
	if(!curLunarDate)
	{
		return false;
	}
	
	var isNegative = Mate.isNegativeMonth4Both(curLunarDate.year, curLunarDate.month, curLunarDate.isRunYue);
	var liuYue = (curLunarDate.isRunYue ? "闰" : "") + Translator.translate(Util.getLunarMonthByIndex(curLunarDate.month - 1).name);
	var calendar = new PerpetualCalendar();
	var monthInfo = calendar.getCalendar()[curLunarDate.year - 1901].monthInfo;
	var fromDay = PerpetualCalendar.convertLunarDate2GregorianDate(curLunarDate.year, curLunarDate.month, 1, 0, curLunarDate.isRunYue);
	var maxDay = monthInfo[curLunarDate.isRunYue ? curLunarDate.month : curLunarDate.month-1];
	var toDay = PerpetualCalendar.convertLunarDate2GregorianDate(curLunarDate.year, curLunarDate.month, maxDay, 0, curLunarDate.isRunYue);
	
	var monthInfo =	{
			'year' : curLunarDate.year,
			'month' : liuYue,
			'fromDay' : {
				'y' : fromDay.getFullYear(),
				'm' : fromDay.getMonth() + 1,
				'd' : fromDay.getDate()
			},
			'toDay' : {
				'y' : toDay.getFullYear(),
				'm' : toDay.getMonth() + 1,
				'd' : toDay.getDate()
			},
			'energy' : !isNegative 
		};
		
	return JSON.stringify(monthInfo);
}

Family.getSpecifyDateMateRelationShipInfo = function(dateInfo)
{
	if(!dateInfo)
	{
		return false;
	}
	
	var date = eval("(" + dateInfo + ")");
	
	date.year = parseInt(date.year);
	date.month = parseInt(date.month);
	date.day = parseInt(date.day);
	
	var lunarDate = PerpetualCalendar.convertGregorianDate2LunarDate(date.year, date.month, date.day, 0);
	
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser)
	{
		return false;
	}
	
	var mate = Family.getMateInfo();
	
	if(!mate)
	{
		return false;
	}
	
	var userIsFemale = curUser.getUserInfo().getGender() == "GENDER_NV" ? true : false;
	var userLiuRiMingPan = curUser.getLiuRiMingPan(lunarDate.year, lunarDate.month, lunarDate.day, lunarDate.isRunYue);
	var mateLiuRiMingPan = mate.getLiuRiMingPan(lunarDate.year, lunarDate.month, lunarDate.day, lunarDate.isRunYue);
	var dayInfo = new Object();
	dayInfo = {
		'year' : date.year,
		'month' : date.month,
		'day' : date.day
	};
	dayInfo.tags = new Array();
	
	var canQinQin = Mate.qiuQinQin(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
	
	if(canQinQin)
	{
		dayInfo.tags.push('QIUQINQIN');
	}
	
	var canYuanLiang = Mate.qiuYuanLiang(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
	
	if(canYuanLiang)
	{
		dayInfo.tags.push('QIUYUANLIANG');
	}
	
	var canLangMan = Mate.qiuLangMan(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
	
	if(canLangMan)
	{
		dayInfo.tags.push('QIULANGMAN');
	}
	
	var needZhaoGu = Mate.qiuZhaoGu(userLiuRiMingPan, mateLiuRiMingPan);
	
	if(needZhaoGu)
	{
		dayInfo.tags.push('QIUZHAOGU');
	}
	
	var needJianDuJianFei = Mate.qiuJianDuJianFei(userLiuRiMingPan, mateLiuRiMingPan);
	
	if(needJianDuJianFei)
	{
		dayInfo.tags.push('QIUJIANDUJIANFEI');
	}
	
	var needJianDuJianShen = Mate.qiuJianDuJianShen(userLiuRiMingPan, mateLiuRiMingPan);
	
	if(needJianDuJianShen)
	{
		dayInfo.tags.push('QIUJIANDUJIANSHEN');
	}
	
	var canYueKan = Mate.qiuYueKan(userLiuRiMingPan, mateLiuRiMingPan);
	
	if(canYueKan)
	{
		dayInfo.tags.push('QIUYUEKAN');
	}
	
	var canGuanXin = Mate.qiuGuanXin(userLiuRiMingPan, mateLiuRiMingPan);
	
	if(canGuanXin)
	{
		dayInfo.tags.push('QIUGUANXIN');
	}
	
	var hasBaoBao = Mate.qiuBaoBao(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
	
	if(hasBaoBao)
	{
		dayInfo.tags.push('QIUBAOBAO');
	}
	
	var canAiAi = Mate.qiuAiAi(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
	
	if(canAiAi)
	{
		dayInfo.tags.push('QIUAIAI');
	}
	
	var hasWenXin = Mate.qiuWenXin(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
	
	if(hasWenXin)
	{
		dayInfo.tags.push('QIUWENXIN');
	}
	
	var hasLiWu = Mate.qiuLiWu(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
	
	if(hasLiWu)
	{
		dayInfo.tags.push('QIULIWU');
	}
			
	return JSON.stringify(dayInfo);
}

Family.getThisMonthMateRelationShipInfo = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var mate = Family.getMateInfo();
	
	if(!mate)
	{
		return false;
	}
	
	var curLunarDate = Session.getSession().getLunarDate();
	
	if(!curLunarDate)
	{
		return false;
	}
	
	var userIsFemale = curUser.getUserInfo().getGender() == "GENDER_NV" ? true : false;
	var isNegative = Mate.isNegativeMonth4Both(curLunarDate.year, curLunarDate.month, curLunarDate.isRunYue);
	var liuYue = (curLunarDate.isRunYue ? "闰" : "") + Translator.translate(Util.getLunarMonthByIndex(curLunarDate.month - 1).name);
	var calendar = new PerpetualCalendar();
	var monthInfo = calendar.getCalendar()[curLunarDate.year - 1901].monthInfo;
	var fromDay = PerpetualCalendar.convertLunarDate2GregorianDate(curLunarDate.year, curLunarDate.month, 1, 0, curLunarDate.isRunYue);
	var maxDay = monthInfo[curLunarDate.isRunYue ? curLunarDate.month : curLunarDate.month-1];
	var toDay = PerpetualCalendar.convertLunarDate2GregorianDate(curLunarDate.year, curLunarDate.month, maxDay, 0, curLunarDate.isRunYue);
	
	var dayInfoArr = new Array();
	
	for(var i = 1; i <= maxDay; i ++)
	{
		var userLiuRiMingPan = curUser.getLiuRiMingPan(curLunarDate.year, curLunarDate.month, i, curLunarDate.isRunYue);
		var mateLiuRiMingPan = mate.getLiuRiMingPan(curLunarDate.year, curLunarDate.month, i, curLunarDate.isRunYue);
		var dayInfo = new Object();
		//dayInfo['year'] = curLunarDate.year;
		//dayInfo['month'] = curLunarDate.month;
		dayInfo['day'] = i;
		//dayInfo['isRunYue'] = curLunarDate.isRunYue;
		dayInfo.tags = new Array();
		
		var canQinQin = Mate.qiuQinQin(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
		
		if(canQinQin)
		{
			dayInfo.tags.push('QIUQINQIN');
		}
		
		var canYuanLiang = Mate.qiuYuanLiang(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
		
		if(canYuanLiang)
		{
			dayInfo.tags.push('QIUYUANLIANG');
		}
		
		var canLangMan = Mate.qiuLangMan(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
		
		if(canLangMan)
		{
			dayInfo.tags.push('QIULANGMAN');
		}
		
		var needZhaoGu = Mate.qiuZhaoGu(userLiuRiMingPan, mateLiuRiMingPan);
		
		if(needZhaoGu)
		{
			dayInfo.tags.push('QIUZHAOGU');
		}
		
		var needJianDuJianFei = Mate.qiuJianDuJianFei(userLiuRiMingPan, mateLiuRiMingPan);
		
		if(needJianDuJianFei)
		{
			dayInfo.tags.push('QIUJIANDUJIANFEI');
		}
		
		var needJianDuJianShen = Mate.qiuJianDuJianShen(userLiuRiMingPan, mateLiuRiMingPan);
		
		if(needJianDuJianShen)
		{
			dayInfo.tags.push('QIUJIANDUJIANSHEN');
		}
		
		var canYueKan = Mate.qiuYueKan(userLiuRiMingPan, mateLiuRiMingPan);
		
		if(canYueKan)
		{
			dayInfo.tags.push('QIUYUEKAN');
		}
		
		var canGuanXin = Mate.qiuGuanXin(userLiuRiMingPan, mateLiuRiMingPan);
		
		if(canGuanXin)
		{
			dayInfo.tags.push('QIUGUANXIN');
		}
		
		var hasBaoBao = Mate.qiuBaoBao(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
		
		if(hasBaoBao)
		{
			dayInfo.tags.push('QIUBAOBAO');
		}
		
		var canAiAi = Mate.qiuAiAi(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
		
		if(canAiAi)
		{
			dayInfo.tags.push('QIUAIAI');
		}
		
		var hasWenXin = Mate.qiuWenXin(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
		
		if(hasWenXin)
		{
			dayInfo.tags.push('QIUWENXIN');
		}
		
		var hasLiWu = Mate.qiuLiWu(userLiuRiMingPan, mateLiuRiMingPan, userIsFemale);
		
		if(hasLiWu)
		{
			dayInfo.tags.push('QIULIWU');
		}
				
		dayInfoArr.push(dayInfo);
	}

	var result = 
	{
		'monthInfo' : 
		{
			'year' : curLunarDate.year,
			'month' : liuYue,
			'fromDay' : {
				'y' : fromDay.getFullYear(),
				'm' : fromDay.getMonth() + 1,
				'd' : fromDay.getDate()
			},
			'toDay' : {
				'y' : toDay.getFullYear(),
				'm' : toDay.getMonth() + 1,
				'd' : toDay.getDate()
			},
			'energy' : !isNegative 
		},
		'dayInfo' : dayInfoArr
	};

	return JSON.stringify(result);
}

Family.getMateInfo = function()
{
	if(!window.tiangonggong)
	{
		return false;
	}
	
	if(!window.tiangonggong.family)
	{
		return false;
	}
	
	if(!window.tiangonggong.family.mate)
	{
		return false;
	}
	
	return window.tiangonggong.family.mate;
}

Family.saveMateInfo = function()
{
	if(arguments.length < 1){
		return false;
	}
	
	var user = arguments[0];
	
	user = ZiWeiUtils.parseUserInfoParam(user);
	
	if(!window.tiangonggong)
	{
		window.tiangonggong = new Object();
	}
	
	if(!window.tiangonggong.family)
	{
		window.tiangonggong.family = new Object();
	}
	
	window.tiangonggong.family.mate = user;
	
	return user.getToken();
}