/**
 * 返回值
 */
function ReturnValue()
{
	
}

/**
 * 创建成功的返回值
 */
ReturnValue.newSuccessResult = function(result)
{
	return ReturnValue.__buildReturnValue(ReturnValue.__resultCode.SUCCESS, result);
}

/**
 * 创建异常的返回值
 */
ReturnValue.newExceptionResult = function(msg)
{
	return ReturnValue.__buildReturnValue(ReturnValue.__resultCode.FAIL, msg);
}

ReturnValue.__buildReturnValue = function(resultCode, result)
{
	if(!result)
	{
		result = "";
	}
	
	var returnVal = 
	{
		'head' : 
		{
			'resultCode' : resultCode
		},
		'body' : result
	};
	
	return JSON.stringify(returnVal);
}

/**
 * 结果码
 */
ReturnValue.__resultCode = 
{
	"SUCCESS" : "S",
	"FAIL" : "F"
};