function Session(){
	this._lunarDate = false;
	
	this._gYear = false;
	this._gMonth = false;
	this._gDay = false;
}

Session.prototype.setDateInfo = function(year, month, day){
	var lunarDate = PerpetualCalendar.convertGregorianDate2LunarDate(year, month, day, 0);
	
	this._lunarDate = lunarDate;
	
	this._gYear = year;
	this._gMonth = month;
	this._gDay = day;
};

Session.prototype.getLunarDate = function(){
	return this._lunarDate;
};

Session.prototype.getGregorianDate = function(){
	return new Date(this._gYear, this._gMonth - 1, this._gDay);
};

Session.getSession = function(){
	return window.weiSuanSession;
};

Session.setSession = function(year, month, day){
	if(!(year || month || day)){
		return false;
	}

	var session = new Session();
	
	session.setDateInfo(year, month, day);
	
	window.weiSuanSession = session;
}

