/**
 * 微宫
 */
function WeiGong()
{
	
}

/**
 * 专治选择纠结症
 */
WeiGong.zhuanZhiXuanZeJiuJieZheng = function()
{
	var user = getCurrentUser().user;
	var xianTianMingPan = user.getXianTianMingPan();
	var sections = xianTianMingPan.getItems();
	
	for(var i = 0; i < sections.length; i ++)
	{
		var gongWei = sections[i].getGongWei();
		
		if(gongWei.indexOf("GONGWEI_MINGGONG") >= 0 || gongWei.indexOf("GONGWEI_FUDEGONG") >= 0)
		{
			var stars = sections[i].getStars();
			
			for(var j = 0; j < stars.length; j ++)
			{
				if(stars[j].getName() == "FIENDSTAR_TUOLUOXING")
				{
					return "您的命宫、福德宫寄生了化忌陀罗该死的小妖精，可把大大纠结的不要不要哒，幸好有万千小伙伴帮你打死小妖精哦！";
				}
				
				if(stars[j].getSiXiang() == "SIHUA_JI")
				{
					return "您的命宫、福德宫寄生了化忌陀罗该死的小妖精，可把大大纠结的不要不要哒，幸好有万千小伙伴帮你打死小妖精哦！";
				}
			}
		}			
	}
	
	return "庆幸您的命宫、福德宫没有寄生了化忌陀罗该死的小妖精，遇到个纠结事也不算什么事哈！";
}

/**
 * 一曲成名
 */
WeiGong.yiQuChengMing = function()
{
	var user = getCurrentUser().user;
	var xianTianMingPan = user.getXianTianMingPan();
	var mingGongIndex = xianTianMingPan.getMingGongIndex();
	var sections = xianTianMingPan.getItems();
	var mingGong = sections[mingGongIndex];
	var stars = mingGong.getStars();
	
	for(var i = 0; i < stars.length; i ++)
	{
		if(stars[i].getName() == "GEMSTAR_WENQUXING")
		{
			return "您命带文曲大大大才艺星星明星范儿没的说，高歌一曲惊呆无数小伙伴！";
		}
	}
	
	return "您命里文曲大大大才艺星星没有大驾光临你只好用实力证明你行的！";
}

/**
 * 发泄负能量
 */
WeiGong.faXieFuNengLiang = function()
{
	var liuRiMingPan = WeiSuanQuestionUtil.getLiuRiMingPan();
	var mingEnergy = EnergyCalculator.getSpecifyGongWeiEnergyLevel("GONGWEI_MINGGONG", liuRiMingPan, "LiuRiMingPan");
	var fuDeEnergy = EnergyCalculator.getSpecifyGongWeiEnergyLevel("GONGWEI_FUDEGONG", liuRiMingPan, "LiuRiMingPan");

	if(mingEnergy < 5 || fuDeEnergy < 5)
	{
		return "您今天流日命宫、福德宫的煞星扎堆负能量急需释放！";
	}
	
	if(mingEnergy > 8 || fuDeEnergy > 8)
	{
		return "您今天流日命宫、福德宫的星曜能量爆强吐槽水平急速上升！";
	}
	
	return "您今天流日命宫、福德宫的星曜吉凶掺杂情绪不稳一泻了之！";
}

/**
 * 获取姻缘指数
 */
WeiGong.getYinYuanIndex = function()
{
	return PersonalInfoIndex.yinYuanIndex();
}

/**
 * 获取对方八字
 */
WeiGong.getOtherBaZi = function()
{
	if(arguments.length == 0)
	{
		return false;
	}
	
	var mate = ZiWeiUtils.parseUserInfoParam(arguments[0]);
	PersonalInfoIndex.saveOtherUserInfo(mate);
	var mateBaZi = mate.getUserInfo().getBaZi();
	return Translator.translateBaZi(mateBaZi.nianZhu + "-" + mateBaZi.yueZhu + "-" + mateBaZi.riZhu + "-" + mateBaZi.shiZhu).replace(/-/g, ' ');
}

/**
 * 获取自己的八字
 */
WeiGong.getUserBaZi = function()
{
	var myBaZi = getCurrentUser().user.getUserInfo().getBaZi();
	return Translator.translateBaZi(myBaZi.nianZhu + "-" + myBaZi.yueZhu + "-" + myBaZi.riZhu + "-" + myBaZi.shiZhu).replace(/-/g, ' ');
}

/**
 * 紫爻
 */
WeiGong.ziYao = function(type)
{
	if(!type)
	{
		type = "爱情";
	}
	
	var user = getCurrentUser().user;
	var date = new Date();
	
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var day = date.getDate();
	var hour = date.getHours();
	var min = date.getMinutes();
	
	if(hour == 23)
	{
		date = PerpetualCalendar.add(date, 1);
		
		year = date.getFullYear();
		month = date.getMonth() + 1;
		day = date.getDate();
	}
	
	var lunarDate = PerpetualCalendar.convertGregorianDate2LunarDate(year, month, day, 0);
	var liuFenMingPan = user.getLiuFenMingPan(lunarDate.year, lunarDate.month, lunarDate.day, hour, min, lunarDate.isRunYue);
	var nianZhu = liuFenMingPan._yearOfGanZhi;
	var yueZhu = liuFenMingPan.monthOfGanZhi;
	var riZhu = liuFenMingPan.dayOfGanZhi;
	var shiZhu = liuFenMingPan.hourOfGanZhi;
	
	var gongWei = WeiGong.getGongWeiByType4ZiYao(type);
	var level = EnergyCalculator.getSpecifyGongWeiEnergyLevel(gongWei.index, liuFenMingPan, "LiuFenMingPan");
	var currengYunShi = WeiGong.getYunShiByEnergyLevel4ZiYao(level);
	var sanFangSiZhengStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa(gongWei.index, liuFenMingPan, "LiuFenMingPan", true);
	var sanFangStars = sanFangSiZhengStars['zuo'].concat(sanFangSiZhengStars['hui']);
	
	var mainStars = [], gemStars = [], fiendStars=[]; 
	
	for(var i = 0; i < sanFangStars.length; i ++)
	{
		var starName = sanFangStars[i].getName();
		
		if(starName.indexOf("MAINSTAR_") >= 0)
		{
			mainStars.push(starName);
		}
		
		if(starName.indexOf("GEMSTAR_") >= 0)
		{
			gemStars.push(starName);
		}
		
		if(starName.indexOf("FIENDSTAR_") >= 0)
		{
			fiendStars.push(starName);
		}
	}
	
	mainStars = mainStars.concat(gemStars, fiendStars);
	
	for(var i in mainStars)
	{
		mainStars[i] = Translator.translate(mainStars[i]);
	}
	
	return "此时占卜起盘：" + Translator.translateTianGanDiZhi(nianZhu) + " " + Translator.translateTianGanDiZhi(yueZhu) + " " + Translator.translateTianGanDiZhi(riZhu) + " " 
			+ Translator.translateTianGanDiZhi(shiZhu) + "，" + gongWei.name + "三方主星："
			+ mainStars.join(" ") + "。根据星耀组合：" + currengYunShi.energy + "，此事" + currengYunShi.yunShi;
}

/**
 * 根据类别获取宫位
 */
WeiGong.getYunShiByEnergyLevel4ZiYao = function(level)
{
	var energyDesp = ['负能量 暴强', '负能量 强', '负能量 中强', '负能量 次强', '正负能量 2:8', '正负能量 4:6', '正负能量 5:5', '正负能量 7:3', '正能量 次强', '正能量 中强', '正能量 强', '正能量 暴强'];
	var yunShiArr = ["大凶", "凶", "凶中带吉", "吉中带凶", "吉", "大吉"];
	
	return {
		'energy' : energyDesp[level -1],
		'yunShi' : yunShiArr[Math.ceil(level /2) - 1]
	};
}

/**
 * 根据类别获取宫位
 */
WeiGong.getGongWeiByType4ZiYao = function(type)
{
	switch(type)
	{
		case "爱情" : return {index : "GONGWEI_FUQIGONG", name : "夫妻宫"};
		case "事业" : return {index : "GONGWEI_SHIYEGONG", name : "事业宫"};
		case "赚钱" : return {index : "GONGWEI_CAIBOGONG", name : "财帛宫"};
		case "房子" : 
		case "车子" : return {index : "GONGWEI_TIANZHAIGONG", name : "田宅宫"};
		case "子女" : return {index : "GONGWEI_ZINVGONG", name : "子女宫"};
		case "父母" : return {index : "GONGWEI_FUMUGONG", name : "父母宫"};
		case "身体" : return {index : "GONGWEI_JIEGONG", name : "疾厄宫"};
		case "出行" : return {index : "GONGWEI_QIANYIGONG", name : "迁移宫"};
		case "学业" : return {index : "GONGWEI_SHIYEGONG", name : "事业宫"};
		default : return {index : "GONGWEI_MINGGONG", name : "命宫"};
	}
}

/**
 * 主星颜值
 */
WeiGong.zhuXingYanZhi = function()
{
	var user = getCurrentUser().user;
	var xianTianMingPan = user.getXianTianMingPan();
	var mingGongIndex = xianTianMingPan.getMingGongIndex();
	var sections = xianTianMingPan.getItems();
	var sanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_MINGGONG", xianTianMingPan, "XianTianMingPan");
	
	var zhuXing= [];
	
	for(var i = 0; i < sanFangSiZhengStars['zuo'].length; i ++)
	{
		var starName = sanFangSiZhengStars['zuo'][i].getName();
		
		if(starName.indexOf("MAINSTAR_") >= 0)
		{
			zhuXing.push(Translator.translate(starName));
		}
	}
	
	for(var i = 0; i < sections.length; i ++)
	{
		var gongWei = sections[i].getGongWei();
		
		gongWei = gongWei.replace("(GONGWEI_SHENGONG)", "");
		
		if(gongWei == "GONGWEI_MINGGONG" || gongWei == "GONGWEI_JIEGONG")
		{
			var stars = sections[i].getStars();
			
			for(var j = 0; j < stars.length; j ++)
			{
				if(stars[j].getName() == "NORMALSTAR_TIANXIXING" || stars[j].getName() == "NORMALSTAR_HONGLUANXING" || stars[j].getName() == "NORMALSTAR_TIANYAOXING")
				{
					return "{\"zhuXing\" : \"" + zhuXing.join(" ") + "\",\"yanZhi\" : \"红鸾天喜天姚颜值爆棚星乱入到您的命身宫，颜值爆棚吸引力杠杠哒！\"}";
				}
			}
		}
	}
	
	var totalStars = sanFangSiZhengStars['zuo'].concat(sanFangSiZhengStars['hui'], sanFangSiZhengStars['dui']);
	var count = 0;
	
	for(var i = 0; i < totalStars.length; i ++)
	{
		var starName = totalStars[i].getName();
		
		if(starName == "NORMALSTAR_TIANXIXING" || starName == "NORMALSTAR_HONGLUANXING" || starName == "NORMALSTAR_TIANYAOXING")
		{
			count ++;
		}
	}
	
	if(count >= 2)
	{
		return "{\"zhuXing\" : \"" + zhuXing.join(" ") + "\",\"yanZhi\" : \"红鸾天喜天姚颜值爆棚星乱入到您的命身宫，颜值爆棚吸引力杠杠哒！\"}";
	}
	
	return "{\"zhuXing\" : \"" + zhuXing.join(" ") + "\",\"yanZhi\" : \"秀秀自己的颜值，相面达人指点一二！\"}";
}