/**
 * 节假日类
 */
function Holidays()
{
	
}

Holidays.prototype._baseData = [
	{year : 2015, month : 1, day : 1, festival : '元旦', work : 0 },
	{year : 2015, month : 1, day : 2, festival : '', work : 0 },
	{year : 2015, month : 1, day : 3, festival : '', work : 0 },
	{year : 2015, month : 2, day : 18, festival : '春节', work : 0 },
	{year : 2015, month : 2, day : 19, festival : '', work : 0 },
	{year : 2015, month : 2, day : 20, festival : '', work : 0 },
	{year : 2015, month : 2, day : 21, festival : '', work : 0 },
	{year : 2015, month : 2, day : 22, festival : '', work : 0 },
	{year : 2015, month : 2, day : 23, festival : '', work : 0 },
	{year : 2015, month : 2, day : 24, festival : '', work : 0 },
	{year : 2015, month : 4, day : 4, festival : '', work : 0 },
	{year : 2015, month : 4, day : 5, festival : '清明节', work : 0 },
	{year : 2015, month : 4, day : 6, festival : '', work : 0 },
	{year : 2015, month : 5, day : 1, festival : '劳动节', work : 0 },
	{year : 2015, month : 5, day : 2, festival : '', work : 0 },
	{year : 2015, month : 5, day : 3, festival : '', work : 0 },	
	{year : 2015, month : 6, day : 20, festival : '端午节', work : 0 },
	{year : 2015, month : 6, day : 21, festival : '', work : 0 },
	{year : 2015, month : 6, day : 22, festival : '', work : 0 },
	{year : 2015, month : 9, day : 26, festival : '', work : 0 },
	{year : 2015, month : 9, day : 27, festival : '中秋节', work : 0 },
	{year : 2015, month : 10, day : 1, festival : '国庆节', work : 0 },
	{year : 2015, month : 10, day : 2, festival : '', work : 0 },
	{year : 2015, month : 10, day : 3, festival : '', work : 0 },
	{year : 2015, month : 10, day : 4, festival : '', work : 0 },
	{year : 2015, month : 10, day : 5, festival : '', work : 0 },
	{year : 2015, month : 10, day : 6, festival : '', work : 0 },
	{year : 2015, month : 10, day : 7, festival : '', work : 0 },
	{year : 2015, month : 1, day : 4, festival : '', work : 1 },
	{year : 2015, month : 2, day : 15, festival : '', work : 1 },
	{year : 2015, month : 2, day : 28, festival : '', work : 1 },
	{year : 2015, month : 10, day : 10, festival : '', work : 1 },
	{year : 2016, month : 1, day : 1, festival : '元旦', work : 0 },
	{year : 2016, month : 1, day : 2, festival : '', work : 0 },
	{year : 2016, month : 1, day : 3, festival : '', work : 0 },
	{year : 2016, month : 2, day : 6, festival : '', work : 1 },
	{year : 2016, month : 2, day : 7, festival : '除夕', work : 0 },
	{year : 2016, month : 2, day : 8, festival : '春节', work : 0 },
	{year : 2016, month : 2, day : 9, festival : '', work : 0 },
	{year : 2016, month : 2, day : 10, festival : '', work : 0 },
	{year : 2016, month : 2, day : 11, festival : '', work : 0 },
	{year : 2016, month : 2, day : 12, festival : '', work : 0 },
	{year : 2016, month : 2, day : 13, festival : '', work : 0 },
	{year : 2016, month : 2, day : 14, festival : '', work : 1 },
	{year : 2016, month : 4, day : 2, festival : '', work : 0 },
	{year : 2016, month : 4, day : 3, festival : '', work : 0 },
	{year : 2016, month : 4, day : 4, festival : '清明节', work : 0 },
	{year : 2016, month : 4, day : 30, festival : '', work : 0 },
	{year : 2016, month : 5, day : 1, festival : '劳动节', work : 0 },
	{year : 2016, month : 5, day : 2, festival : '', work : 0 },
	{year : 2016, month : 6, day : 9, festival : '端午节', work : 0 },
	{year : 2016, month : 6, day : 10, festival : '', work : 0 },
	{year : 2016, month : 6, day : 11, festival : '', work : 0 },
	{year : 2016, month : 6, day : 12, festival : '', work : 1 },
	{year : 2016, month : 9, day : 15, festival : '中秋节', work : 0 },
	{year : 2016, month : 9, day : 16, festival : '', work : 0 },
	{year : 2016, month : 9, day : 17, festival : '', work : 0 },
	{year : 2016, month : 9, day : 18, festival : '', work : 1 },
	{year : 2016, month : 10, day : 1, festival : '国庆节', work : 0 },
	{year : 2016, month : 10, day : 2, festival : '', work : 0 },
	{year : 2016, month : 10, day : 3, festival : '', work : 0 },
	{year : 2016, month : 10, day : 4, festival : '', work : 0 },
	{year : 2016, month : 10, day : 5, festival : '', work : 0 },
	{year : 2016, month : 10, day : 6, festival : '', work : 0 },
	{year : 2016, month : 10, day : 7, festival : '', work : 0 },
	{year : 2016, month : 10, day : 8, festival : '', work : 1 },
	{year : 2016, month : 10, day : 9, festival : '', work : 1 },
	{year : 2016, month : 12, day : 31, festival : '', work : 0 },
	{year : 2017, month : 1, day : 1, festival : '元旦', work : 0 },
	{year : 2017, month : 1, day : 2, festival : '', work : 0 }
];

Holidays.getSpecifiedDateFestivalInfo = Holidays.prototype.getSpecifiedDateFestivalInfo = function(year, month, day)
{
	year = year || 2015;
	
	if(!month || !day)
	{
		return false;
	}
	
	var baseData = this._baseData || (new this()._baseData);
	
	for(var i = 0; i < baseData.length; i++)
	{
		var item = baseData[i];
		
		if(item.year == year && item.month == month && item.day == day)
		{
			return item;
		}
	}
	
	return {
		'year' : year,
		'month' : month,
		'day' : day
	}
};

Holidays.getSpecifiedDatePeriodFestivalInfo = Holidays.prototype.getSpecifiedDatePeriodFestivalInfo = function(datePeriod)
{
	try
	{
		datePeriod = eval("(" + datePeriod + ")");
	}
	catch(e)
	{
		return false;
	}
	
	var beginDate = datePeriod.begin;
	var endDate = datePeriod.end;
	
	var baseData = this._baseData || (new this()._baseData);
	
	var result = new Array();
	
	for(var i = 0; i < baseData.length; i ++)
	{
		var item = baseData[i];
		
		if((item.year == beginDate.year && item.month == beginDate.month  && item.day >= beginDate.day) || (item.year == endDate.year && item.month == endDate.month  && item.day <= endDate.day))
		{
			result.push(item);
		}
	}
	
	return result;
};

Holidays.getSpecifiedMonthHolidays_2015 = Holidays.prototype.getSpecifiedMonthHolidays_2015 = function(month)
{
		var calendar = new PerpetualCalendar();
		var basePerpetualCalenderItem = calendar.getCalendar()[2015-1901];    // 获取该年的数据
		var runYueIndex = basePerpetualCalenderItem.runYueIndex;
		var monthInfo = basePerpetualCalenderItem.monthInfo;
		var monthData = monthInfo[month - 1];
		var baseData = this._baseData || (new this()._baseData);
		var dayDataArray = new Array();

		for(var i = 0; i < monthData;  i ++){
			var gDate = PerpetualCalendar.convertLunarDate2GregorianDate(2015, month, i + 1, 0, false);
			
			var festival = "";
			var work = "";
			var has = false;
			
			for(var j = 0; j < baseData.length; j ++)
			{
				var item = baseData[j];
				
				if(item.year == gDate.getFullYear() && item.month == gDate.getMonth() + 1  && item.day == gDate.getDate())
				{
					festival = item.festival;
					work = item.work;
					has = true;
					break;
				}
			}

			var dayData = {
				"month" : {
					"gIndex" : gDate.getMonth() + 1,
					"lIndex" : month
				},
				"day" : {
					"gIndex" : gDate.getDate(),
					"lIndex" : i + 1
				},
				"festival" : festival,
				"work" : work,
				"specialDay" : has ? "Y" : "N"
			};
			
			dayDataArray.push(dayData);
		}

		return JSON.stringify(dayDataArray);
};

Holidays.getSpecifiedMonthHolidays = Holidays.prototype.getSpecifiedMonthHolidays = function()
{
	if(arguments.length == 0)
	{
		return false;
	}
	
	var param = arguments[0];
	param = eval("(" + param + ")");
	var year = param.year;
	var month = param.month;
	
	if(!year || !month)
	{
		return false;
	}
	
	year = parseInt(year);
	month = parseInt(month);
	
	var calendar = new PerpetualCalendar();
	var basePerpetualCalenderItem = calendar.getCalendar()[year-1901];    // 获取该年的数据
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	var monthInfo = basePerpetualCalenderItem.monthInfo;
	var monthData = monthInfo[month - 1];
	var baseData = this._baseData || (new this()._baseData);
	var dayDataArray = new Array();

	for(var i = 0; i < monthData;  i ++){
		var gDate = PerpetualCalendar.convertLunarDate2GregorianDate(year, month, i + 1, 0, false);
		
		var festival = "";
		var work = "";
		var has = false;
		
		for(var j = 0; j < baseData.length; j ++)
		{
			var item = baseData[j];
			
			if(item.year == gDate.getFullYear() && item.month == gDate.getMonth() + 1  && item.day == gDate.getDate())
			{
				festival = item.festival;
				work = item.work;
				has = true;
				break;
			}
		}

		var dayData = {
			"month" : {
				"gIndex" : gDate.getMonth() + 1,
				"lIndex" : month
			},
			"day" : {
				"gIndex" : gDate.getDate(),
				"lIndex" : i + 1
			},
			"festival" : festival,
			"work" : work,
			"specialDay" : has ? "Y" : "N"
		};
		
		dayDataArray.push(dayData);
	}

	return JSON.stringify(dayDataArray);
};
