/**
 * BizEnum.js
 * 紫微业务枚举
 *
 * @date 2014-01-08
 * @version 0.1
 * @description 紫微中所使用到的所有枚举均放于此类中
 */
 
 namespace("com.taxen.framework.ziwei.common");
 
 var BizEnum = function(){
 
 };
 
 // 天干
 BizEnum.TIANGAN = ["TG_JIA", "TG_YI", "TG_BING", "TG_DING", "TG_WU", "TG_JI", "TG_GENG", "TG_XIN", "TG_REN", "TG_GUI"];
  
  //莱茵太岁
 BizEnum.LAISUI = ["LAIYIN","TAISUI"];
  
 // MIAOWANG_DI支 
 BizEnum.DIZHI= ["DZ_ZI", "DZ_CHOU", "DZ_YIN", "DZ_MAO", "DZ_CHEN", "DZ_SI", "DZ_WU", "DZ_WEI", "DZ_SHEN", "DZ_YOU", "DZ_XU", "DZ_HAI"];
 
 // 阴阳
 BizEnum.YINYANG = ["YY_YIN", "YY_YANG"];
 
 // 性别
 BizEnum.GENDER = ["GENDER_NAN", "GENDER_NV"];
 
 // 生肖
 BizEnum.ZODIAC = ["ZODIAC_SHU", "ZODIAC_NIU", "ZODIAC_HU", "ZODIAC_TU", "ZODIAC_LONG", "ZODIAC_SHE", "ZODIAC_MA", "ZODIAC_YANG", "ZODIAC_HOU", "ZODIAC_JI", "ZODIAC_GOU", "ZODIAC_ZHU"];
 
 // 60甲子
 BizEnum.JIAZI = [ "JIAZI_JIAZI","JIAZI_YICHOU","JIAZI_BINGYIN","JIAZI_DINGMAO","JIAZI_WUCHEN","JIAZI_JISI","JIAZI_GENGWU","JIAZI_XINWEI","JIAZI_RENSHEN","JIAZI_GUIYOU", 
			　　   "JIAZI_JIAXU","JIAZI_YIHAI","JIAZI_BINGZI","JIAZI_DINGCHOU","JIAZI_WUYIN","JIAZI_JIMAO","JIAZI_GENGCHEN","JIAZI_XINSI","JIAZI_RENWU","JIAZI_GUIWEI", 
			　　   "JIAZI_JIASHEN","JIAZI_YIYOU","JIAZI_BINGXU","JIAZI_DINGHAI","JIAZI_WUZI","JIAZI_JICHOU","JIAZI_GENGYIN","JIAZI_XINMAO","JIAZI_RENCHEN","JIAZI_GUISI", 
			　　   "JIAZI_JIAWU","JIAZI_YIWEI","JIAZI_BINGSHEN","JIAZI_DINGYOU","JIAZI_WUXU","JIAZI_JIHAI","JIAZI_GENGZI","JIAZI_XINCHOU","JIAZI_RENYIN","JIAZI_GUIMAO", 
			　　   "JIAZI_JIACHEN","JIAZI_YISI","JIAZI_BINGWU","JIAZI_DINGWEI","JIAZI_WUSHEN","JIAZI_JIYOU","JIAZI_GENGXU","JIAZI_XINHAI","JIAZI_RENZI","JIAZI_GUICHOU", 
			　　   "JIAZI_JIAYIN","JIAZI_YIMAO","JIAZI_BINGCHEN","JIAZI_DINGSI","JIAZI_WUWU","JIAZI_JIWEI","JIAZI_GENGSHEN","JIAZI_XINYOU","JIAZI_RENXU","JIAZI_GUIHAI"
			      ];
				  
 // 12宫位				  
 BizEnum.GONGWEI = ["GONGWEI_MINGGONG", "GONGWEI_XIONGDIGONG", "GONGWEI_FUQIGONG", "GONGWEI_ZINVGONG", "GONGWEI_CAIBOGONG", "GONGWEI_JIEGONG", "GONGWEI_QIANYIGONG", "GONGWEI_JIAOYOUGONG", "GONGWEI_SHIYEGONG", "GONGWEI_TIANZHAIGONG", "GONGWEI_FUDEGONG", "GONGWEI_FUMUGONG"];
 BizEnum.GONGWEI.SHENGONG = "GONGWEI_SHENGONG ";
 
 // 12长生
 BizEnum.CHANGSHENG = ["CHANGSHENG_CHANGSHENG", "CHANGSHENG_MUYU", "CHANGSHENG_GUANDAI", "CHANGSHENG_LINGUAN", "CHANGSHENG_DIWANG", "CHANGSHENG_SHUAI", "CHANGSHENG_BING", "CHANGSHENG_SI", "CHANGSHENG_MU", "CHANGSHENG_JUE", "CHANGSHENG_TAI", "CHANGSHENG_YANG"];
 
 // 12太岁杀禄
 BizEnum.TAISUISHALU  = ["TAISUISHALU_BOSHI", "TAISUISHALU_LISHI", "TAISUISHALU_QINGLONG", "TAISUISHALU_XIAOHAO", "TAISUISHALU_JIANGJUN", "TAISUISHALU_ZHOUSHU", "TAISUISHALU_FEILIAN", "TAISUISHALU_XISHEN", "TAISUISHALU_BINGFU", "TAISUISHALU_DAHAO", "TAISUISHALU_FUBING", "TAISUISHALU_GUANFU"];
 
 // 12流年岁前
 BizEnum.LIUNIANSUIQIAN = ["LIUNIANSUIQIAN_SUIJIAN", "LIUNIANSUIQIAN_HUIQI", "LIUNIANSUIQIAN_SANGMEN", "LIUNIANSUIQIAN_GUANSUO", "LIUNIANSUIQIAN_GUANFU", "LIUNIANSUIQIAN_XIAOHAO", "LIUNIANSUIQIAN_DAHAO", "LIUNIANSUIQIAN_LONGDE", "LIUNIANSUIQIAN_BAIHU", "LIUNIANSUIQIAN_TIANDE", "LIUNIANSUIQIAN_DIAOKE", "LIUNIANSUIQIAN_BINGFU"];
 
 // 12流年将前
 BizEnum.LIUNIANJIANGQIAN = ["LIUNIANJIANGQIAN_JIANGXING","LIUNIANJIANGQIAN_PANAN", "LIUNIANJIANGQIAN_SUIYI", "LIUNIANJIANGQIAN_XISHEN", "LIUNIANJIANGQIAN_HUAGAI", "LIUNIANJIANGQIAN_JIESHA", "LIUNIANJIANGQIAN_ZHAISHA", "LIUNIANJIANGQIAN_TIANSHA", "LIUNIANJIANGQIAN_ZHIBEI", "LIUNIANJIANGQIAN_XIANCHI", "LIUNIANJIANGQIAN_YUESHA", "LIUNIANJIANGQIAN_WANGSHEN"];
 
 // 四化
 BizEnum.SIHUA = ["SIHUA_LU", "SIHUA_QUAN", "SIHUA_KE", "SIHUA_JI"];
 
 BizEnum.SIHUAOFPAN = ["SIHUA_LU_PAN", "SIHUA_QUAN_PAN", "SIHUA_KE_PAN", "SIHUA_JI_PAN"];
 
 //四化盘中相应的常量
 //12大运词
 BizEnum.GONGWEIYUNSHI = ["GONGWEIYUNSHI_MING","GONGWEIYUNSHI_XIONGDI","GONGWEIYUNSHI_FUQI","GONGWEIYUNSHI_ZINV","GONGWEIYUNSHI_CAIBO",
 "GONGWEIYUNSHI_JIE","GONGWEIYUNSHI_QIANYI","GONGWEIYUNSHI_JIAOYOU","GONGWEIYUNSHI_GUANLU","GONGWEIYUNSHI_TIANZHAI","GONGWEIYUNSHI_FUDE","GONGWEIYUNSHI_FUMU"];
 
 //12宫位
 BizEnum.SIHUAGONGWEI = ["SIHUAGONGWEI_MINGGONG","SIHUAGONGWEI_XIONGDIGONG","SIHUAGONGWEI_FUQIGONG","SIHUAGONGWEI_ZINVGONG","SIHUAGONGWEI_CAIBOGONG","SIHUAGONGWEI_JIEGONG"
 ,"SIHUAGONGWEI_QIANYIGONG","SIHUAGONGWEI_JIAOYOUGONG","SIHUAGONGWEI_GUANLUGONG","SIHUAGONGWEI_TIANZHAIGONG","SIHUAGONGWEI_FUDEGONG","SIHUAGONGWEI_FUMUGONG"];
 
 
 // 星期
 BizEnum.WEEK = [{
					"index" : 1,
					"name" : "WEEK_XINGQIYI"
				 },{
					"index" : 2,
					"name" : "WEEK_XINGQIER"
				 },{
					"index" : 3,
					"name" : "WEEK_XINGQISAN"
				 },{
					"index" : 4,
					"name" : "WEEK_XINGQISI"
				 },{
					"index" : 5,
					"name" : "WEEK_XINGQIWU"
				 },{
					"index" : 6,
					"name" : "WEEK_XINGQILIU"
				 },{
					"index" : 0,
					"name" : "WEEK_XINGQIRI"
				 }];
 
 BizEnum.LUNARDAY = ["LUNARDAY_YI", "LUNARDAY_ER", "LUNARDAY_SAN", "LUNARDAY_SI", "LUNARDAY_WU", "LUNARDAY_LIU", "LUNARDAY_QI", "LUNARDAY_BA", "LUNARDAY_JIU", "LUNARDAY_CHU", "LUNARDAY_SHI", "LUNARDAY_NIAN", "LUNARDAY_SA"];
 // 农历月内天数名称
 
 // 农历月份名称
 BizEnum.LUNARMONTH = [{
							"index" : 1,
							"name" : "LUNARMONTH_ZHENGYUE"
						 },{
							"index" : 2,
							"name" : "LUNARMONTH_ERYUE"
						 },{
							"index" : 3,
							"name" : "LUNARMONTH_SANYUE"
						 },{
							"index" : 4,
							"name" : "LUNARMONTH_SIYUE"
						 },{
							"index" : 5,
							"name" : "LUNARMONTH_WUYUE"
						 },{
							"index" : 6,
							"name" : "LUNARMONTH_LIUYUE"
						 },{
							"index" : 7,
							"name" : "LUNARMONTH_QIYUE"
						 },{
							"index" : 8,
							"name" : "LUNARMONTH_BAYUE"
						 },{
							"index" : 9,
							"name" : "LUNARMONTH_JIUYUE"
						 },{
							"index" : 10,
							"name" : "LUNARMONTH_SHIYUE"
						 },{
							"index" : 11,
							"name" : "LUNARMONTH_SHIYIYUE"
						 },{
							"index" : 12,
							"name" : "LUNARMONTH_LAYUE"
						 }];
 
 // 命局
 BizEnum.MINGJU = [{
						"index" : 2,
						"name" : "MINGJU_SHUIERJU"
					 },{
						"index" : 3,
						"name" : "MINGJU_MUSANJU"
					 },{
						"index" : 4,
						"name" : "MINGJU_JINSIJU"
					 },{
						"index" : 5,
						"name" : "MINGJU_TUWUJU"
					 },{
						"index" : 6,
						"name" : "MINGJU_HUOLIUJU"
					 }];

// 14主星
BizEnum.MAINSTAR = ["MAINSTAR_ZIWEIXING", "MAINSTAR_WUQUXING", "MAINSTAR_TIANFUXING", "MAINSTAR_TIANXIANGXING", "MAINSTAR_LIANZHENXING", "MAINSTAR_QISHAXING", "MAINSTAR_POJUNXING", "MAINSTAR_TANLANGXING", "MAINSTAR_TIANTONGXING", "MAINSTAR_TIANLIANGXING", "MAINSTAR_TIANJIXING", "MAINSTAR_TAIYINXING", "MAINSTAR_TAIYANGXING", "MAINSTAR_JUMENXING"];

// 8吉星
BizEnum.GEMSTAR = ["GEMSTAR_TIANKUIXING", "GEMSTAR_TIANYUEXING", "GEMSTAR_WENCHANGXING", "GEMSTAR_WENQUXING", "GEMSTAR_ZUOFUXING", "GEMSTAR_YOUBIXING", "GEMSTAR_LUCUNXING", "GEMSTAR_TIANMAXING"];

// 6煞星
BizEnum.FIENDSTAR = ["FIENDSTAR_QINGYANGXING", "FIENDSTAR_TUOLUOXING", "FIENDSTAR_DIKONGXING", "FIENDSTAR_DIJIEXING", "FIENDSTAR_HUOXING", "FIENDSTAR_LINGXING"];

// 小星
BizEnum.NORMALSTAR = ["NORMALSTAR_SANTAIXING", "NORMALSTAR_TIANWUXING", "NORMALSTAR_HONGLUANXING", "NORMALSTAR_TAIFUXING", "NORMALSTAR_YINSHAXING", "NORMALSTAR_TIANDEXING", "NORMALSTAR_GUASUXING", "NORMALSTAR_XUNKONGXING",
                      "NORMALSTAR_JIESHENXING", "NORMALSTAR_BAZUOXING", "NORMALSTAR_ENGUANGXING", "NORMALSTAR_TIANKUXING", "NORMALSTAR_TIANXINGXING", "NORMALSTAR_TIANGUANXING", "NORMALSTAR_TIANKONGXING", "NORMALSTAR_GUCHENXING", "NORMALSTAR_FEILIANXING",
					  "NORMALSTAR_POSUIXING", "NORMALSTAR_TIANXIXING", "NORMALSTAR_TIANCAIXING", "NORMALSTAR_TIANSHOUXING", "NORMALSTAR_JIEKONGXING", "NORMALSTAR_TIANCHUXING", "NORMALSTAR_LONGCHIXING", "NORMALSTAR_FENGGEXING", "NORMALSTAR_TIANYUEXING",
					  "NORMALSTAR_NIANJIEXING", "NORMALSTAR_TIANYAOXING", "NORMALSTAR_FENGGAOXING", "NORMALSTAR_TIANFUXING", "NORMALSTAR_TIANSHANGXING", "NORMALSTAR_YUEDEXING", "NORMALSTAR_TIANGUIXING", "NORMALSTAR_TIANXUXING", "NORMALSTAR_TIANSHIXING", "NORMALSTAR_HUAGAIXING"
                  ];
				  
				  
BizEnum.COLORCONFIG = {
						"MAINSTAR":{           // 主星
							"color" : "#FFFFFF",
							"bgcolor" : "#7e64bd"
						},
						"GEMSTAR":{          // 吉星
							"color" : "#E25618",
							"bgcolor" : "#FFFFFF"
						},
						"FIENDSTAR":{    // 煞星
							"color" : "#FFFFFF",
							"bgcolor" : "#000000"
						},
						"NORMALSTAR":{   // 小星
							"color" : "#000000",
							"bgcolor" : "#FFFFFF"
						},
						"MIAOWANG":{          // MIAOWANG_MIAOMIAOWANG_WANG
							"color" : "#FF0000",
							"bgcolor" : "#f4f0e7"
						},
						"XIANTIANGONGWEI":{     // 先天宫位
							"bgcolor" : "#3EAF99",
							"color" : "#f4f0e7"
						},
						"DAYUNGONGWEI":{     // 大运宫位
							"bgcolor" : "#458EC2",
							"color" : "#f4f0e7"
						},
						"LIUNIANGONGWEI":{    // 流年宫位
							"bgcolor" : "#DE5E47",
							"color" : "#f4f0e7"
						},
						"LIUYUEGONGWEI":{     // 流月宫位
							"bgcolor" : "#6BAA3F",
							"color" : "#f4f0e7"
						},
						"LIURIGONGWEI":{      // 流日宫位
							"bgcolor" : "#6a73ec",
							"color" : "#f4f0e7"
						},
						"LIUSHIGONGWEI":{    // 流时宫位
							"bgcolor" : "#FF9933",
							"color" : "#f4f0e7"
						},
						"YUNYAO":{            // 运曜
							"color" : "#458EC2",
							"bgcolor" : "#f4f0e7"
						},
						"LIUYAO":{          // 流曜
							"color" : "#DE5E47",
							"bgcolor" : "#f4f0e7"
						},
						"XIANTIANSIHUA":{      // 先天四化
							"color" : "#FFFFFF",
							"bgcolor" : "#3EAF99"
						},
						"DAYUNSIHUA":{      // 大运四化
							"color" : "#FFFFFF",
							"bgcolor" : "#458EC2"
						},
						"LIUNIANSIHUA":{ // 流年四化
							"color" : "#FFFFFF",
							"bgcolor" : "#DE5E47"
						},
						"LIUYUESIHUA":{     // 流月四化
							"color" : "#FFFFFF",
							"bgcolor" : "#6BAA3F"
						},
						"LIURISIHUA":{      // 流日四化
							"color" : "#FFFFFF",
							"bgcolor" : "#6a73ec"
						},
						"LIUSHISIHUA":{       // 流时四化
							"color" : "#FFFFFF",
							"bgcolor" : "#FF9933"
						},
						"SHENGONG":{         // 身宫
							"color" : "#FFFFFF",
							"bgcolor" : "#DA5A79"
						},
						"XIAOXIAN":{       // 小限
							"color" : "#FFFFFF",
							"bgcolor" : "#CEA0C8"
						},
						"AGEPERIOD":{      // 大运年龄
							"color" : "#458EC2",
							"bgcolor" : "#f4f0e7"
						},
						"LIUNIANYUE":{        // 月份
							"color" : "#6BAA3F",
							"bgcolor" : "#f4f0e7"
						},
						"TIANGAN":{      // 天干
							"color" : "#000000",
							"bgcolor" : "#f4f0e7"
						},
						"DIZHI":{            // MIAOWANG_DI支
							"color" : "#000000",
							"bgcolor" : "#f4f0e7"
						},
						"CHANGSHENG" : {
							"color" : "#000000",
							"bgcolor" : "#f4f0e7"
						},
						"TAISUISHALU" : {
							"color" : "#696A69",
							"bgcolor" : "#f4f0e7"
						},
						"LIUNIANSUIQIAN" : {
							"color" : "#696A69",
							"bgcolor" : "#f4f0e7"
						},
						"LIUNIANJIANGQIAN" : {
							"color" : "#696A69",
							"bgcolor" : "#f4f0e7"
						},
						"SIHUAMAINSTAR" : {
							"color" : "#333333",
							"bgcolor" : "#f4f0e7"
						},
						"SIHUAGEMSTAR" : {
							"color" : "#333333",
							"bgcolor" : "#f4f0e7"
						},
						"SIHUAFIENDSTAR" : {
							"color" : "#666666",
							"bgcolor" : "#f4f0e7"
						},
						"SIHUANORMALSTAR" : {
							"color" : "#666666",
							"bgcolor" : "#f4f0e7"
						}
						
};
								
/**
 * 小星MIAOWANG_MIAOMIAOWANG_WANG配置
 */
BizEnum.MIAOWANGCONFIG = {
	"MAINSTAR_ZIWEIXING" : ["MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_XIAN1", "MIAOWANG_WANG"],
	"MAINSTAR_TIANJIXING" : ["MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING"],
	"MAINSTAR_TAIYANGXING" : ["MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN1", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_XIAN"],
	"MAINSTAR_WUQUXING" : ["MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING"],
	"MAINSTAR_TIANTONGXING" : ["MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_MIAO"],
	"MAINSTAR_LIANZHENXING" : ["MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN1", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_XIAN"],
	"MAINSTAR_TIANFUXING" : ["MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_WANG"],
	"MAINSTAR_TAIYINXING" : ["MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_MIAO"],
	"MAINSTAR_TANLANGXING" : ["MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_DI", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_XIAN"],
	"MAINSTAR_JUMENXING" : ["MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_WANG"],
	"MAINSTAR_TIANXIANGXING" : ["MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_XIAN1", "MIAOWANG_PING"], 
	"MAINSTAR_TIANLIANGXING" : ["MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_DI", "MIAOWANG_WANG", "MIAOWANG_XIAN"],
	"MAINSTAR_QISHAXING" : ["MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_PING"],
	"MAINSTAR_POJUNXING" : ["MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_PING"],
	"GEMSTAR_WENCHANGXING" : ["MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG"],
	"GEMSTAR_WENQUXING" : ["MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG"],
	"GEMSTAR_ZUOFUXING" : ["MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_XIAN1"],
	"GEMSTAR_YOUBIXING" : ["MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_PING"],
	"GEMSTAR_TIANKUIXING" : ["MIAOWANG_WANG", "MIAOWANG_WANG", "", "MIAOWANG_MIAO", "", "", "MIAOWANG_MIAO", "", "", "", "", "MIAOWANG_WANG"],
	"GEMSTAR_TIANYUEXING" : ["", "", "MIAOWANG_WANG", "", "", "MIAOWANG_WANG", "", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "", ""],
	"GEMSTAR_TIANMAXING" : ["", "", "MIAOWANG_WANG", "", "", "MIAOWANG_PING", "", "", "MIAOWANG_WANG", "", "", "MIAOWANG_PING"],
	"NORMALSTAR_JIESHENXING" : ["MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN1", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN1"],
	"NORMALSTAR_TIANWUXING" : ["", "", "MIAOWANG_PING", "", "", "MIAOWANG_XIAN", "", "", "MIAOWANG_XIAN", "", "", "MIAOWANG_PING"],
	"NORMALSTAR_TIANYUEXING" : ["", "", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_PING", "", "", "MIAOWANG_XIAN", "MIAOWANG_MIAO"],
	"NORMALSTAR_YINSHAXING" : ["MIAOWANG_XIAN", "", "MIAOWANG_XIAN1", "", "MIAOWANG_XIAN", "", "MIAOWANG_MIAO", "", "MIAOWANG_XIAN", "", "MIAOWANG_PING", ""],
	"GEMSTAR_LUCUNXING" : ["MIAOWANG_WANG", "", "MIAOWANG_MIAO", "MIAOWANG_WANG", "", "MIAOWANG_MIAO", "MIAOWANG_WANG", "", "MIAOWANG_MIAO", "MIAOWANG_WANG", "", "MIAOWANG_MIAO"],
	"FIENDSTAR_QINGYANGXING" : ["MIAOWANG_XIAN", "MIAOWANG_MIAO", "", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "", "MIAOWANG_PING", "MIAOWANG_MIAO", "", "MIAOWANG_XIAN", "MIAOWANG_MIAO", ""],
	"FIENDSTAR_TUOLUOXING" : ["", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "", "MIAOWANG_MIAO", "MIAOWANG_XIAN"],
	"FIENDSTAR_HUOXING" : ["MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN1", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_PING"],
	"FIENDSTAR_LINGXING" : ["MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO"],
	"FIENDSTAR_DIJIEXING" : ["MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_WANG"],
	"FIENDSTAR_DIKONGXING" : ["MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_XIAN"],
	"NORMALSTAR_TIANSHIXING" : ["MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_WANG"],
	"NORMALSTAR_TIANSHANGXING" : ["MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_WANG"],
	"NORMALSTAR_TIANXINGXING" : ["MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN"],
	"NORMALSTAR_TIANYAOXING" : ["MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN"],
	"NORMALSTAR_SANTAIXING" : ["MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_PING"],
	"NORMALSTAR_BAZUOXING" : ["MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO"],
	"NORMALSTAR_ENGUANGXING" : ["MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_XIAN1"],
	"NORMALSTAR_TIANGUIXING" : ["MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_PING"],
	"NORMALSTAR_TIANKUXING" : ["MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_DI", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_XIAN1", "MIAOWANG_PING", "MIAOWANG_PING"],
	"NORMALSTAR_TIANXUXING" : ["MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_PING"],
	"NORMALSTAR_LONGCHIXING" : ["MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG"],
	"NORMALSTAR_FENGGEXING" : ["MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_WANG"],
	"NORMALSTAR_TAIFUXING" : ["MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_XIAN"],
	"NORMALSTAR_FENGGAOXING" : ["MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_XIAN"],
	"NORMALSTAR_TIANGUANXING" : ["", "", "MIAOWANG_PING", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_WANG"],
	"NORMALSTAR_TIANFUXING" : ["MIAOWANG_PING", "", "MIAOWANG_WANG", "MIAOWANG_PING", "", "MIAOWANG_WANG", "MIAOWANG_PING", "", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "", "MIAOWANG_MIAO"],
	"NORMALSTAR_HONGLUANXING" : ["MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO"],
	"NORMALSTAR_TIANXIXING" : ["MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG"],
	"NORMALSTAR_GUCHENXING" : ["", "", "MIAOWANG_PING", "", "", "MIAOWANG_XIAN", "", "", "MIAOWANG_PING", "", "", "MIAOWANG_XIAN"],
	"NORMALSTAR_GUASUXING" : ["", "MIAOWANG_PING", "", "", "MIAOWANG_XIAN", "", "", "MIAOWANG_XIAN1", "", "", "MIAOWANG_XIAN", ""],
	"NORMALSTAR_POSUIXING" : ["", "MIAOWANG_XIAN", "", "", "", "MIAOWANG_XIAN", "", "", "", "MIAOWANG_PING", "", ""],
	"NORMALSTAR_TIANCAIXING" : ["MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO"],
	"NORMALSTAR_TIANSHOUXING" : ["MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG"],
	"NORMALSTAR_JIEKONGXING" : ["MIAOWANG_XIAN", "MIAOWANG_XIAN1", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "", ""],
	"NORMALSTAR_XUNKONGXING" : ["MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_PING"],
	"NORMALSTAR_TIANKONGXING" : ["MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_XIAN", "MIAOWANG_PING", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_XIAN", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_XIAN", "MIAOWANG_PING"],
	"NORMALSTAR_TIANDEXING" : ["MIAOWANG_MIAO", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_PING", "MIAOWANG_MIAO", "MIAOWANG_WANG", "MIAOWANG_WANG", "MIAOWANG_MIAO", "MIAOWANG_PING", "MIAOWANG_XIAN1", "MIAOWANG_MIAO", "MIAOWANG_PING"],
	"NORMALSTAR_HUAGAIXING" : ["", "MIAOWANG_XIAN", "", "", "MIAOWANG_MIAO", "", "", "MIAOWANG_XIAN", "", "", "MIAOWANG_PING", ""]
 };
 
 /**
  * 运曜
  */
 BizEnum.YUNYAO = {
	"FIENDSTAR_QINGYANGXING" : {
		"starName" : "YUN_FIENDSTAR_QINGYANGXING",
		"shortName" : "YUN_YANG"
	},
	"FIENDSTAR_TUOLUOXING" : {
		"starName" : "YUN_FIENDSTAR_TUOLUOXING",
		"shortName" : "YUN_TUO"
	},
	"GEMSTAR_LUCUNXING" : {
		"starName" : "YUN_GEMSTAR_LUCUNXING",
		"shortName" : "YUN_LU"
	},
	"GEMSTAR_WENCHANGXING" : {
		"starName" : "YUN_GEMSTAR_WENCHANGXING",
		"shortName" : "YUN_CHANG"
	},
	"GEMSTAR_WENQUXING" : {
		"starName" : "YUN_GEMSTAR_WENQUXING",
		"shortName" : "YUN_QU"
	},
	"GEMSTAR_TIANKUIXING" : {
		"starName" : "YUN_GEMSTAR_TIANKUIXING",
		"shortName" : "YUN_KUI"
	},
	"GEMSTAR_TIANYUEXING" : {
		"starName" : "YUN_GEMSTAR_TIANYUEXING",
		"shortName" : "YUN_YUE"
	}
 };
 
 /**
  * 流曜
  */
 BizEnum.LIUYAO = {
	"FIENDSTAR_QINGYANGXING" : {
		"starName" : "LIU_FIENDSTAR_QINGYANGXING",
		"shortName" : "LIU_YANG"
	},
	"FIENDSTAR_TUOLUOXING" : {
		"starName" : "LIU_FIENDSTAR_TUOLUOXING",
		"shortName" : "LIU_TUO"
	},
	"GEMSTAR_LUCUNXING" : {
		"starName" : "LIU_GEMSTAR_LUCUNXING",
		"shortName" : "LIU_LU"
	},
	"GEMSTAR_WENCHANGXING" : {
		"starName" : "LIU_GEMSTAR_WENCHANGXING",
		"shortName" : "LIU_CHANG"
	},
	"GEMSTAR_WENQUXING" : {
		"starName" : "LIU_GEMSTAR_WENQUXING",
		"shortName" : "LIU_QU"
	},
	"GEMSTAR_TIANKUIXING" : {
		"starName" : "LIU_GEMSTAR_TIANKUIXING",
		"shortName" : "LIU_KUI"
	},
	"GEMSTAR_TIANYUEXING" : {
		"starName" : "LIU_GEMSTAR_TIANYUEXING",
		"shortName" : "LIU_YUE"
	},
	"NORMALSTAR_HONGLUANXING" : {
		"starName" : "LIU_NORMALSTAR_HONGLUANXING",
		"shortName" : "LIU_LUAN"
	},
	"NORMALSTAR_TIANXIXING" : {
		"starName" : "LIU_NORMALSTAR_TIANXIXING",
		"shortName" : "LIU_XI"
	}
 };

 /**
  * 24节气
  */
 BizEnum.FEASTS = ["FEAST_XIAOHAN", "FEAST_DAHAN", "FEAST_LICHUN", "FEAST_YUSHUI", "FEAST_JINGZHE", "FEAST_CHUNFEN",
				   "FEAST_QINGMING", "FEAST_GUYU", "FEAST_LIXIA", "FEAST_XIAOMAN", "FEAST_MANGZHONG", "FEAST_XIAZHI", 
				   "FEAST_XIAOSHU", "FEAST_DASHU", "FEAST_LIQIU", "FEAST_CHUSHU", "FEAST_BAILU", "FEAST_QIUFEN", 
				   "FEAST_HANLU", "FEAST_SHUANGJIANG", "FEAST_LIDONG", "FEAST_XIAOXUE", "FEAST_DAXUE", "FEAST_DONGZHI"];
				   

/**
 * 系统配置
 */
BizEnum.CONFIG = {
	"LANGUAGE" : ["LANG_SIMPLIFIED", "LANG_TRADITIONAL"],
	"WUGANSIHUA" : [
		{                             // 贪阴弼机
			"lu" : "MAINSTAR_TANLANGXING",
			"quan" : "MAINSTAR_TAIYINXING",
			"ke" : "GEMSTAR_YOUBIXING",
			"ji" : "MAINSTAR_TIANJIXING"
		},{                             // 贪阴阳机
			"lu" : "MAINSTAR_TANLANGXING",
			"quan" : "MAINSTAR_TAIYINXING",
			"ke" : "MAINSTAR_TAIYANGXING",
			"ji" : "MAINSTAR_TIANJIXING"
		}
	],
	"GENGGANSIHUA" :[{                     // 阳武同阴
		"lu" : "MAINSTAR_TAIYANGXING",
		"quan" : "MAINSTAR_WUQUXING",
		"ke" : "MAINSTAR_TIANTONGXING",
		"ji" : "MAINSTAR_TAIYINXING"
	},{                                    // 阳武阴同
		"lu" : "MAINSTAR_TAIYANGXING",
		"quan" : "MAINSTAR_WUQUXING",
		"ke" : "MAINSTAR_TAIYINXING",
		"ji" : "MAINSTAR_TIANTONGXING"
	},{                                     // 阳武府同
		"lu" : "MAINSTAR_TAIYANGXING",
		"quan" : "MAINSTAR_WUQUXING",
		"ke" : "MAINSTAR_TIANFUXING",
		"ji" : "MAINSTAR_TIANTONGXING"
	}],
	"RENGANSIHUA" :[{                       // 梁微左武
		"lu" : "MAINSTAR_TIANLIANGXING",
		"quan" : "MAINSTAR_ZIWEIXING",
		"ke" : "GEMSTAR_ZUOFUXING",
		"ji" : "MAINSTAR_WUQUXING"
	},{                                     // 梁微府武
		"lu" : "MAINSTAR_TIANLIANGXING",
		"quan" : "MAINSTAR_ZIWEIXING",
		"ke" : "MAINSTAR_TIANFUXING",
		"ji" : "MAINSTAR_WUQUXING"
	}],
	"TIANMASTAR" : ["BIRTHMONTH_BASED", "BIRTHYEAR_BASED"],
	"RUNYUE" : ["ASNEXTMONTH", "CUTINHALF"],      // 0 按下月计  1 月中分算
	"MIAOWANGSTATUS" : ["ON", "OFF"]              // 庙旺状态          
}; 

 BizEnum.LUNARDAYS = ["LUNARDAY_CHUYI","LUNARDAY_CHUER", "LUNARDAY_CHUSAN", "LUNARDAY_CHUSI", "LUNARDAY_CHUWU",
 						"LUNARDAY_CHULIU", "LUNARDAY_CHUQI", "LUNARDAY_CHUBA", "LUNARDAY_CHUJIU", "LUNARDAY_CHUSHI",
 						"LUNARDAY_SHIYI", "LUNARDAY_SHIER", "LUNARDAY_SHISAN","LUNARDAY_SHISI","LUNARDAY_SHIWU","LUNARDAY_SHILIU","LUNARDAY_SHIQI",
 						"LUNARDAY_SHIBA","LUNARDAY_SHIJIU","LUNARDAY_ERSHI","LUNARDAY_ERYI","LUNARDAY_ERER","LUNARDAY_ERSAN","LUNARDAY_ERSI",
 						"LUNARDAY_ERWU","LUNARDAY_ERLIU","LUNARDAY_ERQI","LUNARDAY_ERBA","LUNARDAY_ERJIU","LUNARDAY_SANSHI" ];
 // 农历月内天数名称