/**
 * 个人信息页面
 */
function PersonalInfoPage()
{
	
}

/**
 * 获取页面数据
 */
PersonalInfoPage.getData = function()
{
	if(arguments.length == 0)
	{
		alert("param ------------------error");
		return false;
	}
	
	var param = arguments[0];
	
	
	param = eval("("+param+")");
	alert("param ------------------"+param);
	
	var type = PersonalInfoPage.checkType(param.type);
	
	if(!type)
	{
		return false;
	}
	
	userInfo = param.userInfo;
	
	var result = false;
	
	switch(type)
	{
		case 1:
		{
			result = PersonalInfoPage.getStrangerInAppInfo(userInfo);
			break;
		}
		case 2: 
		{
			result = PersonalInfoPage.getMateInAppInfo(userInfo);
			break;
		}
		case 3:	
		{
			result = PersonalInfoPage.getLocalChildInfo(userInfo);
			break;
		}
		case 4:
		{
			result = PersonalInfoPage.getSelfInfo(userInfo);
			break;
		}
		default:return false;
	}
	
	return JSON.stringify(result);
}

/**
 * 获取本地宝宝信息
 */
PersonalInfoPage.getLocalChildInfo = function(userInfo)
{
	Family.saveChildInfo(JSON.stringify(userInfo));
	
	var dateInfo = Session.getSession();
	var date = {
		'year' : dateInfo._gYear,
		'month' : dateInfo._gMonth,
		'day' : dateInfo._gDay
	};
	
	var info = Family.getSpecifyDateChildRelationShipInfo(JSON.stringify(date));
	
	info = eval("("+ info +")");
	info.type = '31';
	
	return info;
}

/**
 * 获取APP内爱人的个人信息
 */
PersonalInfoPage.getMateInAppInfo = function(userInfo)
{
	var content = PersonalInfoPage.getStrangerInAppInfo(userInfo);
	
	// 能量日历
	Family.saveMateInfo(JSON.stringify(userInfo));
	
	var dateInfo = Session.getSession();
	var date = {
		'year' : dateInfo._gYear,
		'month' : dateInfo._gMonth,
		'day' : dateInfo._gDay
	};
	
	var mateRelation = Family.getSpecifyDateMateRelationShipInfo(JSON.stringify(date));
	mateRelation = eval("("+ mateRelation +")");
	content.mateRelation = mateRelation;
	content.type = "2" + content.type.substr(1);
	
	return content;
}

/**
 * 获取APP内其他人的个人信息
 */
PersonalInfoPage.getStrangerInAppInfo = function(userInfo)
{
	var curUser = getCurrentUser().user;
	var stranger = ZiWeiUtils.parseUserInfoParam(JSON.stringify(userInfo));
	
	//紫微关系
	ZiWeiRelation.saveOtherUserInfo(stranger);
	var ziWeiRelation = ZiWeiRelation.calcZiWeiRelation();

	var userGender = curUser.getUserInfo().getGender();
	var strangerGender = stranger.getUserInfo().getGender();
	PersonalInfoIndex.saveOtherUserInfo(stranger);
	
	// 同性
	if(userGender == strangerGender)
	{
		//互旺指数，默契指数，合作指数
		var wangNiIndex = SameGenderIndex.wangNiIndex();
		var moQiIndex = SameGenderIndex.moQiIndex();
		var heZuoIndex = SameGenderIndex.heZuoIndex();
		
		window.tiangonggong.user.user = stranger;
		
		// 财富
		var wealth = PersonalInfoIndex.maleWealthIndex();
		// 事业
		var career = PersonalInfoIndex.maleCareerIndex();
		
		window.tiangonggong.user.user = curUser;
		
		return {
			'type' : '13',
			'ziWeiRelation' : ziWeiRelation,
			'indexes' : [
				{
					'name' : '互旺指数',
					'index' : wangNiIndex
				},
				{
					'name' : '默契指数',
					'index' : moQiIndex
				},
				{
					'name' : '合作指数',
					'index' : heZuoIndex
				},
				{
					'name' : '先天财富',
					'index' : wealth
				},
				{
					'name' : '先天事业',
					'index' : career
				}
			]
		}
	}
	else
	{
		var yinYuanIndex = PersonalInfoIndex.yinYuanIndex();	
		
		//异性(男)
		if(strangerGender == "GENDER_NAN")
		{
			window.tiangonggong.user.user = stranger;
			
			// 桃花
			var charm = PersonalInfoIndex.maleCharmIndex();
			// 财富
			var wealth = PersonalInfoIndex.maleWealthIndex();
			// 事业
			var career = PersonalInfoIndex.maleCareerIndex();
			
			// 性谐
			var hamornic = PersonalInfoIndex.femaleHamornicIndex();
			
			window.tiangonggong.user.user = curUser;
			
			return {
				'type' : '11',
				'ziWeiRelation' : ziWeiRelation,
				'indexes' : [
					{
						'name' : '姻缘指数',
						'index' : yinYuanIndex
					},
					{
						'name' : '桃花指数',
						'index' : charm
					},
					{
						'name' : '先天财富',
						'index' : wealth
					},
					{
						'name' : '先天事业',
						'index' : career
					},
					{
						'name' : '你们性谐',
						'index' : hamornic
					}
				]
			};
		}
		//异性(女)
		else
		{
			window.tiangonggong.user.user = stranger;
			
			// 旺夫
			var vanves = PersonalInfoIndex.femaleVanvesIndex();
			
			// 持家
			var keepHouse = PersonalInfoIndex.femaleKeepHouseIndex();
			
			// 性谐
			var hamornic = PersonalInfoIndex.femaleHamornicIndex();
			
			// 财富
			var wealth = PersonalInfoIndex.maleWealthIndex();
			// 事业
			var career = PersonalInfoIndex.maleCareerIndex();
			
			window.tiangonggong.user.user = curUser;
			
			return {
				'type' : '12',
				'ziWeiRelation' : ziWeiRelation,
				'indexes' : [
					{
						'name' : '姻缘指数',
						'index' : yinYuanIndex
					},
					{
						'name' : '旺夫指数',
						'index' : vanves
					},
					{
						'name' : '她的持家',
						'index' : keepHouse
					},
					{
						'name' : '你们性谐',
						'index' : hamornic
					},
					{
					'name' : '先天财富',
						'index' : wealth
					},
					{
					'name' : '先天事业',
						'index' : career
					}
				]
			};
		}
	}
}

/**
 * 获取自己的个人信息
 */
PersonalInfoPage.getSelfInfo = function()
{
	var energyDesp = ['负能量 暴强', '负能量 强', '负能量 中强', '负能量 次强', '正负能量 2:8', '正负能量 4:6', '正负能量 5:5', '正负能量 7:3', '正能量 次强', '正能量 中强', '正能量 强', '正能量 暴强'];
	var curUser = getCurrentUser().user;	
	
	var liuNianMingPan = WeiSuanQuestionUtil.getLiuNianMingPan();
	var liuNianLevel = ZiWeiUtils.getLiuNianEnergy(liuNianMingPan);
	var liuYueMingPan = WeiSuanQuestionUtil.getLiuYueMingPan();
	var liuYueLevel = EnergyCalculator.getSpecifyGongWeiEnergyLevel("GONGWEI_MINGGONG", liuYueMingPan, "LiuYueMingPan");
	
	var gender = curUser.getUserInfo().getGender();
	
	// 男
	if(gender == "GENDER_NAN")
	{
		// 桃花
		var charm = PersonalInfoIndex.maleCharmIndex();
		// 财富
		var wealth = PersonalInfoIndex.maleWealthIndex();
		// 事业
		var career = PersonalInfoIndex.maleCareerIndex();
		
		return {
			'type' : '41',
			'indexes' : [
				{
					'name' : '桃花指数',
					'index' : charm
				},
				{
					'name' : '先天财富',
					'index' : wealth
				},
				{
					'name' : '先天事业',
					'index' : career
				}
			],
			'liuNian' : "今年:" + energyDesp[liuNianLevel - 1],
			'liuYue' : (liuYueMingPan.monthIsRunYue ? "闰" : "") + Translator.translate(Util.getLunarMonthByIndex(liuYueMingPan.month - 1).name) + ":"+ energyDesp[liuYueLevel - 1]
		};
	}
	else
	{
		// 旺夫
		var vanves = PersonalInfoIndex.femaleVanvesIndex();
		
		// 持家
		var keepHouse = PersonalInfoIndex.femaleKeepHouseIndex();
		
		// 财富
		var wealth = PersonalInfoIndex.maleWealthIndex();
		
		// 事业
		var career = PersonalInfoIndex.maleCareerIndex();
		
		return {
			'type' : '42',
			'indexes' : [
				{
					'name' : '旺夫指数',
					'index' : vanves
				},
				{
					'name' : '持家指数',
					'index' : keepHouse
				},
				{
					'name' : '先天财富',
					'index' : wealth
				},
				{
					'name' : '先天事业',
					'index' : career
				}
			],
			'liuNian' : "今年" + energyDesp[liuNianLevel - 1],
			'liuYue' : (liuYueMingPan.monthIsRunYue ? "闰" : "") + Translator.translate(Util.getLunarMonthByIndex(liuYueMingPan.month - 1).name) + energyDesp[liuYueLevel - 1]
		};
	}
}

/**
 * 检查关系类别
 */
PersonalInfoPage.checkType = function(type)
{
	if(!type)
	{
		return false;
	}
	
	type = parseInt(type);
	
	if(type < 1 || type > 4)
	{
		return false;
	}
	
	return type;
}

/**
 * 个人信息指数
 */
function PersonalInfoIndex()
{
	
}

/**
 * 获取个人命盘主星属相信息
 */
PersonalInfoIndex.getPersonalMingPanInfo = function(curUser)
{	
	var myXianTianMingPan = curUser.getXianTianMingPan();
	var myMingStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_MINGGONG", myXianTianMingPan, "XianTianMingPan", true);
	var myZiNvStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_ZINVGONG", myXianTianMingPan, "XianTianMingPan", true);
	var myMingZuoStars = myMingStars['zuo'];

	// 我的先天命宫主星
	var myMingZuoMainStars = ZiWeiRelation.getMainStars(myMingZuoStars);
	var myZiNvMainStars = ZiWeiRelation.getMainStars(myZiNvStars['zuo']);
	var myZiNvSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(myZiNvStars['zuo'].concat(myZiNvStars['hui'], myZiNvStars['hui']));

	var result = {
		xtMingMainStars	: myMingZuoMainStars.unique(),
		xtZiNvMainStars : myZiNvMainStars.unique(),
		xtZiNvSFSZMainStars : myZiNvSanFangSiZhengMainStars.unique()	
	};
	
	return result;
}

/**
 * 女性性谐指数
 */
PersonalInfoIndex.femaleHamornicIndex = function()
{
	var curUser = getCurrentUser().user;
	var other = PersonalInfoIndex.getOtherUser();
	
	var curUserPersonalMingPanInfo = PersonalInfoIndex.getPersonalMingPanInfo(curUser);
	var otherPersonalMingPanInfo = PersonalInfoIndex.getPersonalMingPanInfo(other);
	
	var myXTMingMainStars = curUserPersonalMingPanInfo.xtMingMainStars;
	var myXTZiNvMainStars = curUserPersonalMingPanInfo.xtZiNvMainStars;

	var otherXTMingMainStars = otherPersonalMingPanInfo.xtMingMainStars;
	var otherXTZiNvMainStars = otherPersonalMingPanInfo.xtZiNvMainStars;
	var otherXTZiNvSanFangSiZhengMainStars = otherPersonalMingPanInfo.xtZiNvSFSZMainStars;

	// 6颗星 对方的命宫主星是你先天子女宫主星一样。
	if (ZiWeiRelation.inArray(otherXTMingMainStars, myXTZiNvMainStars))
	{
		return 6;
	}

	// 5颗星 你的先天命宫主星是对方先天子女宫主星一样
	if (ZiWeiRelation.inArray(myXTMingMainStars, otherXTZiNvMainStars))
	{
		return 5;
	}

	// 4颗星 你的先天子女宫主星与对方先天子女宫的主星一样
	if (ZiWeiRelation.inArray(myXTZiNvMainStars, otherXTZiNvMainStars))
	{
		return 4;
	}

	// 3颗星你的先天子女宫主星与对方先天子女宫的三方四正主星一样
	if (ZiWeiRelation.inArray(myXTZiNvMainStars, otherXTZiNvSanFangSiZhengMainStars))
	{
		return 3;
	}

	return 2;
}

/**
 * 女性旺夫指数
 */
PersonalInfoIndex.femaleVanvesIndex = function()
{
	//6颗星夫妻宫强主星无煞星  田宅宫有化禄或禄存    子女宫主星有一个主星为庙旺无煞星
	//5颗星夫妻宫弱主星无煞星  田宅宫有化禄或禄存    子女宫主星有一个主星为庙旺无煞星
	//4颗星夫妻宫无煞星  
	//3颗星夫妻宫有1颗煞星 三方四正少于1颗煞星
	//2颗星夫妻宫有1颗煞星 三方四正多于1颗煞星
	//1颗星夫妻宫有2颗以上煞星

	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var xianTianMingPan = curUser.getXianTianMingPan();
	var mingGongIndex = xianTianMingPan.getMingGongIndex();
	var fuqiGongIndex = (mingGongIndex - 2 + 12) % 12;
	var tianzhaiGongIndex = (mingGongIndex + 3) % 12;
	var zinvGongIndex = (fuqiGongIndex - 1 + 12) % 12;
	
	var sections = xianTianMingPan.getItems();
	var fuqiGongStars = sections[fuqiGongIndex].getStars();
	var tianzhaiGongStars = sections[tianzhaiGongIndex].getStars();
	var zinvGongStars = sections[zinvGongIndex].getStars();
	
	var fuqiGongIsStrong = false;
	var fuqiShaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(fuqiGongStars);
	var fuQiSanFangSiZhengStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", xianTianMingPan, "XianTianMingPan", true);
	var fuQiSanFangSiZhengShaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(fuQiSanFangSiZhengStars['zuo'].concat(fuQiSanFangSiZhengStars['hui'], fuQiSanFangSiZhengStars['dui']));
	
	for(var i = 0; i < fuqiGongStars.length; i ++)
	{
		if(fuqiGongStars[i].getName().indexOf("MAINSTAR_") >= 0)
		{
			fuqiGongIsStrong = MingShuQuestionsAlgorithm.common_mainStarIsStrong(fuqiGongStars[i].getName());
			
			break;
		}
	}
	
	var tianzhaiHasHuaLuLuCun = false;
	
	for(var i = 0; i < tianzhaiGongStars.length; i ++)
	{
		if(tianzhaiGongStars[i].getName() == "GEMSTAR_LUCUNXING")
		{
			tianzhaiHasHuaLuLuCun = true;
			break;
		}
		
		if(tianzhaiGongStars[i].getSiXiang() == "SIHUA_LU")
		{
			tianzhaiHasHuaLuLuCun = true;
			break;
		}
	}
	
	var zinvMainStarIsMiaoWang = false;
	var zinvShaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(zinvGongStars);
	
	for(var i = 0; i < zinvGongStars.length; i ++)
	{
		if(zinvGongStars[i].getDescriptor() == "MIAOWANG_MIAO" || zinvGongStars[i].getDescriptor() == "MIAOWANG_WANG")
		{
			zinvMainStarIsMiaoWang = true;
			
			break;
		}
	}
	
	if(fuqiGongIsStrong && fuqiShaNum == 0 && tianzhaiHasHuaLuLuCun && zinvMainStarIsMiaoWang && zinvShaNum)
	{
		return 6;
	}
	
	if(!fuqiGongIsStrong && fuqiShaNum == 0 && tianzhaiHasHuaLuLuCun && zinvMainStarIsMiaoWang && zinvShaNum)
	{
		return 5;
	}
	
	if(fuqiShaNum == 0)
	{
		return 4;
	}
	
	if(fuqiShaNum == 1 )
	{
		if(fuQiSanFangSiZhengShaNum >= 2)
		{
			return 2;
		}
		else
		{
			return 3;
		}
	}
	
	if(fuqiShaNum >= 2 )
	{
		return 1;
	}
}

/**
 * 女性持家指数
 */
PersonalInfoIndex.femaleKeepHouseIndex = function()
{
	//6颗星 田宅宫三方四正3颗以上吉星并且有化禄或禄存    
	//5颗星 田宅宫三方四正3颗以上吉星
	//4颗星 田宅宫三方四正1-2颗吉星有化禄或禄存
	//3颗星 田宅宫三方四正1-2颗吉星
	//2颗星 除以上答案为2颗
	//1颗星 无1颗

	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	var xianTianMingPan = curUser.getXianTianMingPan();
	var tianZhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_TIANZHAIGONG", xianTianMingPan, "XianTianMingPan", true);

	var totalStars = tianZhaiSanFangSiZhengStars['zuo'].concat(tianZhaiSanFangSiZhengStars['hui'], tianZhaiSanFangSiZhengStars['dui']);
	
	var gemStarNum = 0;
	var hasHuaLuLuCun = false;
	
	for(var i = 0; i < totalStars.length; i ++)
	{
		var starName = totalStars[i].getName();
		
		if(starName.indexOf("GEMSTAR_") >= 0)
		{
			gemStarNum ++;
		}
		
		if(starName == "GEMSTAR_LUCUNXING")
		{
			hasHuaLuLuCun = true;
		}
		
		if(totalStars[i].getSiXiang() == "SIHUA_LU")
		{
			hasHuaLuLuCun = true;
		}
	}
	
	if(gemStarNum >= 3)
	{
		if(hasHuaLuLuCun)
		{
			return 6;
		}
		else
		{
			return 5;
		}
	}
	
	if(gemStarNum >= 1)
	{
		if(hasHuaLuLuCun)
		{
			return 4;
		}
		else
		{
			return 3;
		}
	}
	
	return 2;
}

/**
 * 男性桃花指数
 */
PersonalInfoIndex.maleCharmIndex = function()
{
	//6颗星 H6负能量 H8负能量 命宫有贪狼星
	//5颗星 H6负能量 H8负能量  夫妻宫三方有贪狼星,左辅星,右弼星 其中一颗。
	//4颗星 夫妻宫三方有贪狼星,左辅星,右弼星 其中一颗
	// 在不满足夫妻宫三方有贪狼星,左辅星,右弼星 其中一颗的前提下再判断下面的条件
	//3颗星 H6正能量 H8负能量
	//2颗星 H6正能量 H8正能量

	var h6Result = eval("("+MingShuQuestionsAlgorithm.iosInvoked_H6_al()+")");
	var h6Index = h6Result.request;
	
	var h8Result = eval("("+MingShuQuestionsAlgorithm.iosInvoked_H8_al()+")");
	var h8Index = h8Result.request;

	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	var xianTianMingPan = curUser.getXianTianMingPan();
	
	var fuQiSanFangSiZhengStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", xianTianMingPan, "XianTianMingPan", true);
	var fuQiSanFangStars = fuQiSanFangSiZhengStars['zuo'].concat(fuQiSanFangSiZhengStars['hui']);
	var fuQiHasTanLanZuoYou = false;
	
	for(var i = 0; i < fuQiSanFangStars.length; i ++)
	{
		var starName = fuQiSanFangStars[i].getName();
		
		if(starName == "MAINSTAR_TANLANGXING" || starName == "GEMSTAR_ZUOFUXING" || starName == "GEMSTAR_YOUBIXING")
		{
			fuQiHasTanLanZuoYou = true;
			break;
		}
	}
	
	if(h6Index == "B" && h8Index == "B")
	{
		var mingSanFangSiZhengStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_MINGGONG", xianTianMingPan, "XianTianMingPan", true);
		var stars = mingSanFangSiZhengStars['zuo'];
		
		for(var i = 0; i < stars.length; i ++)
		{
			if(stars[i].getName() == "MAINSTAR_TANLANGXING")
			{
				return 6;
			}
		}
		
		if(fuQiHasTanLanZuoYou)
		{
			return 5;
		}
	}
	
	if(fuQiHasTanLanZuoYou)
	{
		return 4;
	}
	
	if(h6Index == "A")
	{
		if(h8Index == "A")
		{
			return 2;
		}
		else
		{
			return 3;
		}
	}
	
	return 4;
}

/**
 * 男性财富指数
 */
PersonalInfoIndex.maleWealthIndex = function()
{
	//6颗星 C2正能量 C3正能量  财帛或田宅为正能量
	//5颗星 C2正能量 C3正能量
	//4颗星 
	//3颗星 财帛为负能量
	//2颗星 财帛和田宅为负能量
	//1颗星 无

	var c2Result = eval("("+MingShuQuestionsAlgorithm.iosInvoked_C2_al()+")");
	var c2Index = c2Result.request;
	
	var c3Result = eval("("+MingShuQuestionsAlgorithm.iosInvoked_C3_al()+")");
	var c3Index = c3Result.request;
	
	var user = getCurrentUser().user;
	var xianTianMingPan = user.getXianTianMingPan();
	var tianZhaiLevel = EnergyCalculator.getSpecifyGongWeiEnergyLevel("GONGWEI_TIANZHAIGONG", xianTianMingPan, "XianTianMingPan");
	var caiBoLevel = EnergyCalculator.getSpecifyGongWeiEnergyLevel("GONGWEI_CAIBOGONG", xianTianMingPan, "XianTianMingPan");
		
	if(tianZhaiLevel < 5 && caiBoLevel < 5)
	{
		return 2;
	}

	if(caiBoLevel < 5)
	{
		return 3;
	}

	if(c2Index == 'A' && c3Index == 'A')
	{
		var tianZhaiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_TIANZHAIGONG", xianTianMingPan, "XianTianMingPan", true);
		var caiBoStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_CAIBOGONG", xianTianMingPan, "XianTianMingPan", true);
		var hasKongJie = false;
		var allStars = tianZhaiStars['zuo'].concat(caiBoStars['zuo']);
		
		for(var i = 0; i < allStars.length; i ++)
		{
			if(allStars[i].getName() == "FIENDSTAR_DIJIEXING" || allStars[i].getName() == "FIENDSTAR_DIKONGXING")
			{
				hasKongJie = true;
			}
		}
		
		if(!hasKongJie && tianZhaiLevel > 8 || caiBoLevel > 8)
		{
			return 6;
		}
	
		return 5;
	}

	return 4;
}

/**
 * 男性事业指数
 */
PersonalInfoIndex.maleCareerIndex = function()
{
	//6颗星
	//G6正能量 S2正能量 S4正能量

	//5颗星
	//三个条件中含一个为正负能量其余为正能量

	//4颗星
	//三个条件中含二个为正负能量其余一个为正能量
	//三个条件中含一个为负能量其余两个为正能量

	//3颗星
	//三个条件中含一个为负能量其余两个为正负能量
	//三个条件中含一个为负能量一个为正负能量一个为正能量

	//2颗星
	//三个条件中含二个为负能量另个一为正负能量

	//1颗星
	//三个条件中全部负能量

	//还有其他的就都为3颗星

	// 正能量 3    正负能量 2    负能量 1
	var g6Result = eval("("+MingShuQuestionsAlgorithm.iosInvoked_G6_al()+")");
	var g6Index = Math.ceil(g6Result.request / 4);
	
	var s4Result = eval("("+MingShuQuestionsAlgorithm.iosInvoked_S4_al()+")");
	var s4Index = s4Result.request == 'A' ? 3 : 1;
	
	var s2Result = eval("("+MingShuQuestionsAlgorithm.iosInvoked_S2_al()+")");
	var s2Index = s2Result.request == 'A' ? 3 : (s2Result.request == 'B' ? 2 : 1);
	
	var total  = g6Index + s4Index + s2Index;
	
	if(total == 9)
	{
		return 6;
	}
	
	if(s2Index == 3 && (g6Index == 3 || s4Index == 3))
	{
		return 5;
	}
	
	if(s2Index == 2 && (g6Index == 3 || s4Index == 3))
	{
		return 4;
	}
	
	if(s2Index == 1 && (g6Index == 1 || s4Index == 1))
	{
		return 2;
	}

	if(total == 3)
	{
		return 1;
	}
	
	return 3;
}

/**
 * 姻缘指数
 */
PersonalInfoIndex.yinYuanIndex = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var myXianTianMingPan = curUser.getXianTianMingPan();
	var taXianTianMingPan = PersonalInfoIndex.getOtherUser().getXianTianMingPan();
	
	var myFuQiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", myXianTianMingPan, "XianTianMingPan", true);
	var taFuQiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", taXianTianMingPan, "XianTianMingPan", true);
	
	var myMingStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_MINGGONG", myXianTianMingPan, "XianTianMingPan", true);
	var taMingStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_MINGGONG", taXianTianMingPan, "XianTianMingPan", true);
	
	var myMingJu = curUser.getUserInfo().getMingJu().index;
	var taMingJu = PersonalInfoIndex.getOtherUser().getUserInfo().getMingJu().index;
	
	var thisYear = WeiSuanQuestionUtil.getCurrentLunarDate().year;
	
	var myBirthLunarYear = curUser.getUserInfo().getBirthday().getLunarYear();
	var taBirthLunarYear = PersonalInfoIndex.getOtherUser().getUserInfo().getBirthday().getLunarYear();
	
	var myXuSui = thisYear - myBirthLunarYear + 1;
	var taXuSui = thisYear - taBirthLunarYear + 1;
	
	var myDaYunIndex = ((myXuSui - myMingJu) / 10) + 1;
	var taDaYunIndex = ((taXuSui - taMingJu) / 10) + 1;
	
	var myDaYunMingPan = curUser.getDaYunMingPan(myDaYunIndex);
	var taDaYunMingPan = PersonalInfoIndex.getOtherUser().getDaYunMingPan(taDaYunIndex);
	
	var myFuQiSanFangSiZhengStars = myFuQiStars['zuo'].concat(myFuQiStars['hui'], myFuQiStars['dui']);
	var myMingZuoStars = myMingStars['zuo'];
	
	var taFuQiSanFangSiZhengStars = taFuQiStars['zuo'].concat(taFuQiStars['hui'], taFuQiStars['dui']);
	var taMingZuoStars = taMingStars['zuo'];
	
	// 我的先天夫妻宫三方四正主星
	var myFuQiSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(myFuQiSanFangSiZhengStars);
	// 我的先天命宫主星
	var myMingZuoMainStars = ZiWeiRelation.getMainStars(myMingZuoStars);
	
	var taFuQiSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(taFuQiSanFangSiZhengStars);
	var taMingZuoMainStars = ZiWeiRelation.getMainStars(taMingZuoStars);
	
	// 我的先天夫妻宫的三方四正主星有Ta的先天命宫主星
	var myFuQiSanFangSiZhengMainInTaMingMain = ZiWeiRelation.inArray(myFuQiSanFangSiZhengMainStars, taMingZuoMainStars);
	// 我的先天命宫主星在Ta的先天夫妻宫的三方四正主星中
	var myMingMainInTaFuQiSanFangSiZhengMain = ZiWeiRelation.inArray(myMingZuoMainStars, taFuQiSanFangSiZhengMainStars);
	
	// 我的先天命宫三方属相
	var myMingSanFangZodiac = ZiWeiRelation.getZodiac(ZiWeiRelation.getSanFangSections(myXianTianMingPan,1));
	// 我的先天夫妻三方属相
	var myFuQiSanFangZodiac = ZiWeiRelation.getZodiac(ZiWeiRelation.getSanFangSections(myXianTianMingPan,2));
	// 我的出生属相
	var myZodiac = Util.getZodiacByDiZhi(curUser.getUserInfo().getBaZi().nianZhu.split("$")[1]);
	var taMingSanFangZodiac = ZiWeiRelation.getZodiac(ZiWeiRelation.getSanFangSections(taXianTianMingPan,1));
	var taFuQiSanFangZodiac = ZiWeiRelation.getZodiac(ZiWeiRelation.getSanFangSections(taXianTianMingPan,2));
	var taZodiac = Util.getZodiacByDiZhi(PersonalInfoIndex.getOtherUser().getUserInfo().getBaZi().nianZhu.split("$")[1]);
	
	// 我的先天命宫或夫妻宫的三方的属相(进空劫不算)有Ta出生的属相
	var myMingOrFuqiSanFangZodiacHasTaZodiac = ZiWeiRelation.simpleInArray(myMingSanFangZodiac.concat(myFuQiSanFangZodiac),taZodiac);
	// 我的出生的属相在Ta的先天命宫或夫妻宫三方的属相中(进空劫不算)
	var taMingOrFuqiSanFangZodiacHasMyZodiac = ZiWeiRelation.simpleInArray(taMingSanFangZodiac.concat(taFuQiSanFangZodiac),myZodiac);
	
	var myDaYunFuQiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", myDaYunMingPan, "DaYunMingPan", true);
	var taDaYunFuQiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", taDaYunMingPan, "DaYunMingPan", true);
	
	// 我的大运夫妻宫三方四正主星
	var myDaYunFuQiSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(myDaYunFuQiStars['zuo'].concat(myDaYunFuQiStars['hui'], myDaYunFuQiStars['dui']));
	var taDaYunFuQiSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(taDaYunFuQiStars['zuo'].concat(taDaYunFuQiStars['hui'], taDaYunFuQiStars['dui']));
	
	// 我的大运夫妻三方四正主星有Ta先天命宫主星
	var myDaYunFuQiSanFangSiZhengMainInTaXianTianMain = ZiWeiRelation.inArray(myDaYunFuQiSanFangSiZhengMainStars, taMingZuoMainStars);
	// 我的先天命宫主星在Ta的大运夫妻三方四正主星中
	var taDaYunFuQiSanFangSiZhengMainInMyXianTianMain = ZiWeiRelation.inArray(taDaYunFuQiSanFangSiZhengMainStars, myMingZuoMainStars);	
		
	var result = 2;
	
	if((myFuQiSanFangSiZhengMainInTaMingMain || myMingMainInTaFuQiSanFangSiZhengMain) && (myMingOrFuqiSanFangZodiacHasTaZodiac || taMingOrFuqiSanFangZodiacHasMyZodiac) && (myDaYunFuQiSanFangSiZhengMainInTaXianTianMain || taDaYunFuQiSanFangSiZhengMainInMyXianTianMain))
	{
		result = 6;
	}else if((myFuQiSanFangSiZhengMainInTaMingMain || myMingMainInTaFuQiSanFangSiZhengMain) && (myMingOrFuqiSanFangZodiacHasTaZodiac || taMingOrFuqiSanFangZodiacHasMyZodiac))
	{
		result = 5;
		
	}else if((myFuQiSanFangSiZhengMainInTaMingMain || myMingMainInTaFuQiSanFangSiZhengMain) || (myMingOrFuqiSanFangZodiacHasTaZodiac || taMingOrFuqiSanFangZodiacHasMyZodiac))
	{
		result = 4;
	}
	
	if(result == 2)
	{
		if(!(myFuQiSanFangSiZhengMainInTaMingMain || myMingMainInTaFuQiSanFangSiZhengMain) && !(myMingOrFuqiSanFangZodiacHasTaZodiac || taMingOrFuqiSanFangZodiacHasMyZodiac) && (myDaYunFuQiSanFangSiZhengMainInTaXianTianMain || taDaYunFuQiSanFangSiZhengMainInMyXianTianMain))
		{
			result = 3;
		}
	}
	
	return result;
}

/**
 * 保存对方信息
 */
PersonalInfoIndex.saveOtherUserInfo = function()
{
	var user = arguments[0];
	
	if(!window.tiangonggong)
	{
		window.tiangonggong = new Object();
	}
	
	window.tiangonggong.personalinfoindex = user;
}

/**
 * 获取对方信息
 */
PersonalInfoIndex.getOtherUser = function()
{
	return window.tiangonggong.personalinfoindex;
}

/**
 * 同性指数
 */
function SameGenderIndex()
{

}

/**
 * 互旺指数
 */
SameGenderIndex.wangNiIndex = function()
{
	var isNightmare = ZiWeiRelation.isNightmare();
	
	if(isNightmare)
	{
		return 2;
	}
	
	var isDisaster = ZiWeiRelation.isDisaster();
	
	if(isDisaster)
	{
		var isCai = ZiWeiRelation.isCai();
		
		if(isCai)
		{
			var isOpenHeart = ZiWeiRelation.isOpenHeart();
			
			if(isOpenHeart)
			{
				if(ZiWeiRelation.isMagnate() || ZiWeiRelation.isPartner())
				{
					return 6;
				}
				
				return 5;
			}
			
			return 4;
		}
	}
	
	return 3;
}

/**
 * 默契指数
 */
SameGenderIndex.moQiIndex = function()
{
	var isNightmare = ZiWeiRelation.isNightmare();
	
	if(isNightmare)
	{
		return 2;
	}
	
	var isDisaster = ZiWeiRelation.isDisaster();
	
	if(isDisaster)
	{
		var isOpenHeart = ZiWeiRelation.isOpenHeart();
		
		if(isOpenHeart)
		{
			if(ZiWeiRelation.isMagnate() || ZiWeiRelation.isPartner())
			{
				return 6;
			}
		
			return 5;
		}
		
		return 3;
	}
	
	return 4;
}

/**
 * 合作指数
 */
SameGenderIndex.heZuoIndex = function()
{
	var isNightmare = ZiWeiRelation.isNightmare();
	
	if(isNightmare)
	{
		return 2;
	}
	
	var isDisaster = ZiWeiRelation.isDisaster();
	
	if(isDisaster)
	{
		var isCai = ZiWeiRelation.isCai();
		
		if(isCai)
		{
			if(ZiWeiRelation.isMagnate() || ZiWeiRelation.isPartner())
			{
				return 6;
			}
			
			return 5;
		}
		
		return 4;
	}
	
	return 3;
}


/**
 * 紫微关系算法
 */ 
function ZiWeiRelation()
{
	
}

/**
 * 批量计算紫微关系
 *
 * @users 用户列表
 *    格式为：[{"userId" : 123456, "gender" : "男", "lunarBirthday" : "1978-二月-十五-辰时"},{"userId" : 123457, "gender" : "女", "lunarBirthday" : "1978-二月-十五-辰时"}]
 */
ZiWeiRelation.batchCalcZiWeiRelation = function(users)
{
	if(!users)
	{
		return false;
	}
	
	users = JSON.parse(users);
	var result = [];
	
	for(var i = 0; i < users.length; i ++)
	{
		var user = users[i];
		user = ZiWeiUtils.parseUserInfoParam('{"sysFont":"0","name":"abc","gender":"'+ user.gender +'","birthday":"'+ user.lunarBirthday +'","isLunarDate":true}')
		ZiWeiRelation.saveOtherUserInfo(user);
		var ziWeiRelation = ZiWeiRelation.calcZiWeiRelation();
		var index = ziWeiRelation.indexOf("\r\n");
		
		result.push({
			'userId' : users[i].userId,
			'ziWeiRelation' : ziWeiRelation.substr(0, index)
		});
	}
	
	return JSON.stringify(result);
}

/**
 * 计算紫微关系
 *
 * @users 用户列表
 *    格式为：{"userId" : 123456, "gender" : "男", "lunarBirthday" : "1978-二月-十五-辰时"}
 */
ZiWeiRelation.calcZiWeiRelation4SingleUser = function(user)
{
	if(!user)
	{
		return false;
	}
	
	user = JSON.parse(user);
	
	user = ZiWeiUtils.parseUserInfoParam('{"sysFont":"0","name":"abc","gender":"'+ user.gender +'","birthday":"'+ user.lunarBirthday +'","isLunarDate":true}')
	ZiWeiRelation.saveOtherUserInfo(user);
	var ziWeiRelation = ZiWeiRelation.calcZiWeiRelation();
	
	var index = ziWeiRelation.indexOf("\r\n");
	
	var result = {
		'userId' : user.userId,
		'ziWeiRelation' : index > 0 ? ziWeiRelation.substr(0, index) : ziWeiRelation
	};
	
	return JSON.stringify(result);
}

/**
 * 计算紫微关系
 */
ZiWeiRelation.calcZiWeiRelation = function()
{
	var result = new Array();
	
	var isNightmare = ZiWeiRelation.isNightmare();
	
	if(isNightmare)
	{
		if(ZiWeiRelation.isDisaster())
		{
			result.push("TA是你要付出分享的人！");
		}
		
		result.push("预防彼此负能量干扰！");
		
		return result.join("\r\n");
	}
	
	var isMate = ZiWeiRelation.isMate();
	
	if(isMate)
	{
		result.push("TA与你在一起概率高！");
	}
	
	if(ZiWeiRelation.isCai())
	{
		result.push("TA为你的财，互动生财！");
	}
	
	if(!isMate && ZiWeiRelation.isLover())
	{
		result.push("TA与你有情人缘！");
	}
	
	if(ZiWeiRelation.isMagnate())
	{
		result.push("TA为你的真贵人！");
	}
	
	if(ZiWeiRelation.isPartner())
	{
		result.push("TA是帮助你的人！");
	}
	
	if(ZiWeiRelation.isOpenHeart())
	{
		result.push("TA是你交心的人！");
	}
	
	if(ZiWeiRelation.isDisaster())
	{
		result.push("TA是你要付出分享的人！");
	}
	
	if(result.length > 0)
	{
		return result.join("\r\n");
	}
	else
	{
		return "TA与你的交集不明显！";
	}
}

/**
 * TA是否为你的财
 *
 * A的文昌文曲所在的宫位属相是B的属相前提A的昌曲宫位不能进空劫。不符合就排除
 * A的财帛宫的主星是庙旺没有进空劫B的命宫三方主星一致。
 */
ZiWeiRelation.isCai = function()
{
	var userXianTianMingPan = getCurrentUser().user.getXianTianMingPan();
	var userBaZi = getCurrentUser().user.getUserInfo().getBaZi();
	var userZodiac = Util.getZodiacByDiZhi(userBaZi.nianZhu.split("$")[1]);
	var otherXianTianMingPan = ZiWeiRelation.getOtherUser().getXianTianMingPan();
	
	var sections = otherXianTianMingPan.getItems();
	
	for(var i = 0; i < sections.length; i ++)
	{
		var stars = sections[i].getStars();
		var hasKongJie = false, hasChangQu = false;
		
		for(var j = 0; j < stars.length; j ++)
		{
			var starName = stars[j].getName();
			
			if(starName == "FIENDSTAR_DIKONGXING" || starName == "FIENDSTAR_DIJIEXING")
			{
				hasKongJie = true;
				break;
			}
			
			if(starName == "GEMSTAR_WENCHANGXING" || starName == "GEMSTAR_WENQUXING")
			{
				hasChangQu = true;
			}
		}
		
		if(!hasKongJie && hasChangQu)
		{
			var otherZodiac = Util.getZodiacByIndex(i);
			
			if(userZodiac == otherZodiac)
			{
				return true;
			}
		}
	}
	
	var otherCaiBo = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_CAIBOGONG", otherXianTianMingPan, "XianTianMingPan");
	var otherCaiBoZuo = otherCaiBo['zuo'];
	
	var otherCaiBoZuoIsMiaoWang = false, otherCaiBoZuoHasKongJie = false;
	var otherCaiBoZuoMainStars = new Array();
	
	for(var i = 0; i < otherCaiBoZuo.length; i ++)
	{
		var starName = otherCaiBoZuo[i].getName();
		
		if(starName == "FIENDSTAR_DIKONGXING" || starName == "FIENDSTAR_DIJIEXING")
		{
			otherCaiBoZuoHasKongJie = true;
			break;
		}
		
		if(starName.indexOf("MAINSTAR_") >= 0)
		{
			var descriptor = otherCaiBoZuo[i].getDescriptor();
			
			if(descriptor == "MIAOWANG_MIAO" || descriptor == "MIAOWANG_WANG")
			{
				otherCaiBoZuoIsMiaoWang = true;
			}
			
			otherCaiBoZuoMainStars.push(starName);
		}
	}
	
	if(!otherCaiBoZuoIsMiaoWang || otherCaiBoZuoHasKongJie)
	{
		return false;
	}
	
	var userMing = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_MINGGONG", userXianTianMingPan, "XianTianMingPan");
	var userMingSanFang = userMing['zuo'].concat(userMing['hui']);
	
	for(var i = 0; i < userMingSanFang.length; i ++)
	{
		var starName = userMingSanFang[i].getName();
		
		if(starName.indexOf("MAINSTAR_") >= 0)
		{
			for(var j = 0; j < otherCaiBoZuoMainStars.length; j ++)
			{
				if(starName == otherCaiBoZuoMainStars[j])
				{
					return true;
				}
			}
		}
	}
	
	return false;
}

/**
 * TA是否与你命里一世姻缘！
 *
 *
 */
ZiWeiRelation.isMate = function()
{
	var curUser = getCurrentUser().user;
	var otherUser = ZiWeiRelation.getOtherUser();
	var curUserGender = curUser.getUserInfo().getGender();
	var otherUserGender = otherUser.getUserInfo().getGender();
	
	if(curUserGender == otherUserGender)
	{
		return false;
	}

	var userBirthYear = curUser.getUserInfo().getBirthday().getYear();
	var otherBirthYear = otherUser.getUserInfo().getBirthday().getYear();
	
	if(curUserGender == "GENDER_NAN")
	{
		if(userBirthYear < otherBirthYear)
		{
			return false;
		}
		
		if(userBirthYear - otherBirthYear > 5)
		{
			return false;
		}
	}
	else
	{
		if(userBirthYear > otherBirthYear)
		{
			return false;
		}
		
		if(otherBirthYear - userBirthYear > 5)
		{
			return false;
		}
	}
	
	var myXianTianMingPan = curUser.getXianTianMingPan();
	var taXianTianMingPan = otherUser.getXianTianMingPan();
	
	var myFuQiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", myXianTianMingPan, "XianTianMingPan", true);
	var taFuQiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", taXianTianMingPan, "XianTianMingPan", true);
	
	var myMingStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_MINGGONG", myXianTianMingPan, "XianTianMingPan", true);
	var taMingStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_MINGGONG", taXianTianMingPan, "XianTianMingPan", true);
	
	var myMingJu = curUser.getUserInfo().getMingJu().index;
	var taMingJu =otherUser.getUserInfo().getMingJu().index;
	
	var thisYear = WeiSuanQuestionUtil.getCurrentLunarDate().year;
	
	var myBirthLunarYear = curUser.getUserInfo().getBirthday().getLunarYear();
	var taBirthLunarYear = otherUser.getUserInfo().getBirthday().getLunarYear();
	
	var myXuSui = thisYear - myBirthLunarYear + 1;
	var taXuSui = thisYear - taBirthLunarYear + 1;
	
	var myDaYunIndex = ((myXuSui - myMingJu) / 10) + 1;
	var taDaYunIndex = ((taXuSui - taMingJu) / 10) + 1;
	
	var myDaYunMingPan = curUser.getDaYunMingPan(myDaYunIndex);
	var taDaYunMingPan = otherUser.getDaYunMingPan(taDaYunIndex);
	
	var myFuQiSanFangSiZhengStars = myFuQiStars['zuo'].concat(myFuQiStars['hui'], myFuQiStars['dui']);
	var myMingZuoStars = myMingStars['zuo'];
	
	var taFuQiSanFangSiZhengStars = taFuQiStars['zuo'].concat(taFuQiStars['hui'], taFuQiStars['dui']);
	var taMingZuoStars = taMingStars['zuo'];
	
	// 我的先天夫妻宫三方四正主星
	var myFuQiSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(myFuQiSanFangSiZhengStars);
	// 我的先天命宫主星
	var myMingZuoMainStars = ZiWeiRelation.getMainStars(myMingZuoStars);
	
	var taFuQiSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(taFuQiSanFangSiZhengStars);
	var taMingZuoMainStars = ZiWeiRelation.getMainStars(taMingZuoStars);
	
	// 我的先天夫妻宫的三方四正主星有Ta的先天命宫主星
	var myFuQiSanFangSiZhengMainInTaMingMain = ZiWeiRelation.inArray(myFuQiSanFangSiZhengMainStars, taMingZuoMainStars);
	// 我的先天命宫主星在Ta的先天夫妻宫的三方四正主星中
	var myMingMainInTaFuQiSanFangSiZhengMain = ZiWeiRelation.inArray(myMingZuoMainStars, taFuQiSanFangSiZhengMainStars);
	
	// 我的先天命宫三方属相
	var myMingSanFangZodiac = ZiWeiRelation.getZodiac(ZiWeiRelation.getSanFangSections(myXianTianMingPan,1));
	// 我的先天夫妻三方属相
	var myFuQiSanFangZodiac = ZiWeiRelation.getZodiac(ZiWeiRelation.getSanFangSections(myXianTianMingPan,2));
	// 我的出生属相
	var myZodiac = Util.getZodiacByDiZhi(curUser.getUserInfo().getBaZi().nianZhu.split("$")[1]);
	var taMingSanFangZodiac = ZiWeiRelation.getZodiac(ZiWeiRelation.getSanFangSections(taXianTianMingPan,1));
	var taFuQiSanFangZodiac = ZiWeiRelation.getZodiac(ZiWeiRelation.getSanFangSections(taXianTianMingPan,2));
	var taZodiac = Util.getZodiacByDiZhi(otherUser.getUserInfo().getBaZi().nianZhu.split("$")[1]);
	
	// 我的先天命宫或夫妻宫的三方的属相(进空劫不算)有Ta出生的属相
	var myMingOrFuqiSanFangZodiacHasTaZodiac = ZiWeiRelation.simpleInArray(myMingSanFangZodiac.concat(myFuQiSanFangZodiac),taZodiac);
	// 我的出生的属相在Ta的先天命宫或夫妻宫三方的属相中(进空劫不算)
	var taMingOrFuqiSanFangZodiacHasMyZodiac = ZiWeiRelation.simpleInArray(taMingSanFangZodiac.concat(taFuQiSanFangZodiac),myZodiac);
	
	var myDaYunFuQiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", myDaYunMingPan, "DaYunMingPan", true);
	var taDaYunFuQiStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_FUQIGONG", taDaYunMingPan, "DaYunMingPan", true);
	
	// 我的大运夫妻宫三方四正主星
	var myDaYunFuQiSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(myDaYunFuQiStars['zuo'].concat(myDaYunFuQiStars['hui'], myDaYunFuQiStars['dui']));
	var taDaYunFuQiSanFangSiZhengMainStars = ZiWeiRelation.getMainStars(taDaYunFuQiStars['zuo'].concat(taDaYunFuQiStars['hui'], taDaYunFuQiStars['dui']));
	
	// 我的大运夫妻三方四正主星有Ta先天命宫主星
	var myDaYunFuQiSanFangSiZhengMainInTaXianTianMain = ZiWeiRelation.inArray(myDaYunFuQiSanFangSiZhengMainStars, taMingZuoMainStars);
	// 我的先天命宫主星在Ta的大运夫妻三方四正主星中
	var taDaYunFuQiSanFangSiZhengMainInMyXianTianMain = ZiWeiRelation.inArray(taDaYunFuQiSanFangSiZhengMainStars, myMingZuoMainStars);	
		
	if((myFuQiSanFangSiZhengMainInTaMingMain || myMingMainInTaFuQiSanFangSiZhengMain) && (myMingOrFuqiSanFangZodiacHasTaZodiac || taMingOrFuqiSanFangZodiacHasMyZodiac) && (myDaYunFuQiSanFangSiZhengMainInTaXianTianMain || taDaYunFuQiSanFangSiZhengMainInMyXianTianMain))
	{
		return true;
	}
	
	return false;
}

ZiWeiRelation.simpleInArray = function(array, item)
{
	if(array && item && array.length > 0)
	{
		for(var i = 0; i < array.length; i ++)
		{
			if(item == array[i])
			{
				return true;
			}
		}
	}
	
	return false;
}

/**
 * 获取三方宫位
 */
ZiWeiRelation.getSanFangSections = function(mingpan, type)
{
	var mingGongIndex = mingpan.getMingGongIndex();
	
	var sections = mingpan.getItems();
	
	// 命宫
	if(type == 1)
	{
		return [sections[mingGongIndex], sections[(mingGongIndex+ 4) % 12], sections[(mingGongIndex + 8)% 12]];
	}

	// 夫妻宫
	if(type == 2)
	{
		var fuQiIndex = (mingGongIndex - 2 + 12) % 12;
		
		return [sections[fuQiIndex], sections[(fuQiIndex+ 4) % 12], sections[(fuQiIndex + 8)% 12]];
	}
	
	return false;
}

/**
 * 获取属相(进空劫的属相不算)
 */
ZiWeiRelation.getZodiac = function(sections)
{
	if(sections && sections.length > 0)
	{
		var zodiacArray = new Array();
		
		for(var i = 0; i < sections.length; i ++)
		{
			var stars = sections[i].getStars();
			
			var hasKongJie = false;
			
			for(var j = 0; j < stars.length; j ++)
			{
				if("FIENDSTAR_DIJIEXING" == stars[j].getName() || "FIENDSTAR_DIKONGXING" == stars[j].getName())
				{
					hasKongJie = true;
					break;
				}
			}
			
			if(!hasKongJie)
			{
				var index = sections[i].getIndex();
				zodiacArray.push(Util.getZodiacByIndex(index - 1));
			}
		}
		
		return zodiacArray;
	}
	
	return false;
}

/** 
 * 判断两个数组是否存在相同的元素
 */
ZiWeiRelation.inArray = function(array1, array2)
{
	if(array1 && array2 && array1.length > 0 && array2.length > 0)
	{
		for(var i = 0; i < array1.length; i ++)
		{
			for(var j = 0; j < array2.length; j ++)
			{
				if(array1[i] == array2[j])
				{
					return true;
				}
			}
		}
	}
	
	return false;
}

ZiWeiRelation.getMainStars = function(stars)
{
	if(stars && stars.length > 0)
	{
		var mainStars = new Array();
		
		for(var i = 0; i < stars.length; i ++)
		{
			if(stars[i].getName().indexOf("MAINSTAR_") >= 0)
			{
				mainStars.push(stars[i].getName());
			}
		}
		
		return mainStars;
	}
	
	return false;
}

/**
 * TA是否为你的命中情人
 *
 * A的子女宫主星是B的命宫三方主星。
 * A的夫妻宫有煞星夫妻宫的主星是Ｂ的命宫
 */
ZiWeiRelation.isLover = function()
{
	var curUser = getCurrentUser().user;
	var otherUser = ZiWeiRelation.getOtherUser();
	var curUserGender = curUser.getUserInfo().getGender();
	var otherUserGender = otherUser.getUserInfo().getGender();
	
	if(curUserGender == otherUserGender)
	{
		return false;
	}
	
	var userXianTianMingPan = curUser.getXianTianMingPan();
	var otherXianTianMingPan = otherUser.getXianTianMingPan();
	
	var otherZiNv = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_ZINVGONG", otherXianTianMingPan, "XianTianMingPan");
	var userMing = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_MINGGONG", userXianTianMingPan, "XianTianMingPan");
	var userMingSanFang = userMing['zuo'].concat(userMing['hui']);
	
	for(var i = 0; i < otherZiNv['zuo'].length; i ++)
	{
		var otherZiNvStarName =  otherZiNv['zuo'][i].getName();
		
		if(otherZiNvStarName.indexOf("MAINSTAR_") < 0)
		{
			continue;
		}
		
		for(var j = 0; j < userMingSanFang.length; j ++)
		{
			var userMingStarName = userMingSanFang[j].getName();
			
			if(otherZiNvStarName == userMingStarName)
			{
				return true;
			}
		}
	}
	
	var otherFuQi = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_FUQIGONG", otherXianTianMingPan, "XianTianMingPan");
	var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(otherFuQi['zuo'], "XianTianMingPan");
	
	if(shaNum > 0)
	{
		for(var i = 0; i < otherFuQi['zuo'].length; i ++)
		{
			var otherFuQiStarName =  otherFuQi['zuo'][i].getName();
			
			if(otherFuQiStarName.indexOf("MAINSTAR_") < 0)
			{
				continue;
			}
			
			for(var j = 0; j < userMing['zuo'].length; j ++)
			{
				var userMingStarName = userMing['zuo'][j].getName();
				
				if(otherFuQiStarName == userMingStarName)
				{
					return true;
				}
			}
		}
	}
	
	return false;
}

/**
 * TA是否为你的真贵人
 *
 * Ａ的天魁星的宫位属相是Ｂ的属相
 * Ａ的天魁星的宫位主星是Ｂ的命宫三方
 */
ZiWeiRelation.isMagnate = function()
{
	var userXianTianMingPan = getCurrentUser().user.getXianTianMingPan();
	var userBaZi = getCurrentUser().user.getUserInfo().getBaZi();
	var userZodiac = Util.getZodiacByDiZhi(userBaZi.nianZhu.split("$")[1]);
	var otherXianTianMingPan = ZiWeiRelation.getOtherUser().getXianTianMingPan();
	
	var sections = otherXianTianMingPan.getItems();
	
	
	for(var i = 0; i < sections.length; i ++)
	{
		var stars = sections[i].getStars();
		var hasTianKui = false;
		var mainStars = new Array();
		
		for(var j = 0; j < stars.length; j ++)
		{
			var starName = stars[j].getName();
			
			if(starName == "GEMSTAR_TIANKUIXING")
			{
				hasTianKui = true;
				
				var otherZodiac = Util.getZodiacByIndex(i);
				
				if(userZodiac == otherZodiac)
				{
					return true;
				}
			}
			
			if(starName.indexOf("MAINSTAR_") >= 0)
			{
				mainStars.push(starName);
			}
		}
		
		if(hasTianKui)
		{
			if(mainStars.length == 0)
			{
				var stars = sections[(i + 6) % 12].getStars();
				
				for(var j = 0; j < stars.length; j ++)
				{
					var starName = stars[j].getName();
										
					if(starName.indexOf("MAINSTAR_") >= 0)
					{
						mainStars.push(starName);
					}
				}
			}
			
			var userMing = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_MINGGONG", userXianTianMingPan, "XianTianMingPan");
			var userMingSanFang = userMing['zuo'].concat(userMing['hui']);
			
			for(var m = 0; m < mainStars.length; m ++)
			{
				for(var n = 0; n < userMingSanFang.length; n ++)
				{
					if(mainStars[m] == userMingSanFang[n].getName())
					{
						return true;
					}
				}
			}
			
			return false;
		}
	}
	
	return false;
}

/**
 * TA是否为你合作默契的好伙伴
 *
 * Ａ的左右的宫位属相是Ｂ的属相
 * Ａ的左右的宫位主星是Ｂ的命宫三方
 */
ZiWeiRelation.isPartner = function()
{
	var userXianTianMingPan = getCurrentUser().user.getXianTianMingPan();
	var userBaZi = getCurrentUser().user.getUserInfo().getBaZi();
	var userZodiac = Util.getZodiacByDiZhi(userBaZi.nianZhu.split("$")[1]);
	var otherXianTianMingPan = ZiWeiRelation.getOtherUser().getXianTianMingPan();
	var userMing = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_MINGGONG", userXianTianMingPan, "XianTianMingPan");
	var userMingSanFang = userMing['zuo'].concat(userMing['hui']);
	var sections = otherXianTianMingPan.getItems();
	
	for(var i = 0; i < sections.length; i ++)
	{
		var stars = sections[i].getStars();
		var hasZuoYou = false;
		var mainStars = new Array();
		
		for(var j = 0; j < stars.length; j ++)
		{
			var starName = stars[j].getName();
			
			if(starName == "GEMSTAR_ZUOFUXING" || starName == "GEMSTAR_YOUBIXING")
			{
				hasZuoYou = true;
				
				var otherZodiac = Util.getZodiacByIndex(i);
				
				if(userZodiac == otherZodiac)
				{
					return true;
				}
			}
			
			if(starName.indexOf("MAINSTAR_") >= 0)
			{
				mainStars.push(starName);
			}
		}
		
		if(hasZuoYou)
		{
			if(mainStars.length == 0)
			{
				var stars = sections[(i + 6) % 12].getStars();
				
				for(var j = 0; j < stars.length; j ++)
				{
					var starName = stars[j].getName();
										
					if(starName.indexOf("MAINSTAR_") >= 0)
					{
						mainStars.push(starName);
					}
				}
			}
			
			for(var m = 0; m < mainStars.length; m ++)
			{
				for(var n = 0; n < userMingSanFang.length; n ++)
				{
					if(mainStars[m] == userMingSanFang[n].getName())
					{
						return true;
					}
				}
			}
		}
	}
	
	return false;
}

/**
 * TA是否为你交心的人
 *
 * Ａ的兄弟宫无煞星的主星是Ｂ命宫的三方主星
 * Ａ的交友宫无煞星的主星是Ｂ命宫的三方主星
 */
ZiWeiRelation.isOpenHeart = function()
{
	var userXianTianMingPan = getCurrentUser().user.getXianTianMingPan();
	var otherXianTianMingPan = ZiWeiRelation.getOtherUser().getXianTianMingPan();
	
	var otherXiongDi = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_XIONGDIGONG", otherXianTianMingPan, "XianTianMingPan");
	var userMing = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_MINGGONG", userXianTianMingPan, "XianTianMingPan");
	var userMingSanFang = userMing['zuo'].concat(userMing['hui']);
	
	var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(otherXiongDi['zuo'], "XianTianMingPan");
	
	if(shaNum > 0)
	{
		return false;
	}
	
	for(var i = 0; i < userMingSanFang.length; i ++)
	{
		var starName = userMingSanFang[i].getName();
		
		if(starName.indexOf("MAINSTAR_") < 0)
		{
			continue;
		}
		
		for(var j = 0; j < otherXiongDi['zuo'].length; j ++)
		{
			if(starName == otherXiongDi['zuo'][j].getName())
			{
				return true;
			}
		}
	}
	
	var otherJiaoYou = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_JIAOYOUGONG", otherXianTianMingPan, "XianTianMingPan");
	shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(otherJiaoYou['zuo'], "XianTianMingPan");
	
	if(shaNum > 0)
	{
		return false;
	}
	
	for(var i = 0; i < userMingSanFang.length; i ++)
	{
		var starName = userMingSanFang[i].getName();
		
		if(starName.indexOf("MAINSTAR_") < 0)
		{
			continue;
		}
		
		for(var j = 0; j < otherJiaoYou['zuo'].length; j ++)
		{
			if(starName == otherJiaoYou['zuo'][j].getName())
			{
				return true;
			}
		}
	}
	
	return false;
}

/**
 * TA是否为你的劫
 *
 * Ａ的负能量宫位主星是Ｂ的命宫三方
 * Ａ的负能量宫位三方属相是B的属相
 */
ZiWeiRelation.isDisaster = function()
{
	var userXianTianMingPan = getCurrentUser().user.getXianTianMingPan();
	var userBaZi = getCurrentUser().user.getUserInfo().getBaZi();
	var userZodiac = Util.getZodiacByDiZhi(userBaZi.nianZhu.split("$")[1]);
	var userMing = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_MINGGONG", userXianTianMingPan, "XianTianMingPan");
	var userMingSanFang = userMing['zuo'].concat(userMing['hui']);
	var otherXianTianMingPan = ZiWeiRelation.getOtherUser().getXianTianMingPan();
	
	var sections = otherXianTianMingPan.getItems();
	
	for(var i = 0; i <  sections.length; i ++)
	{
		var gongWei = sections[i].getGongWei().replace("(GONGWEI_SHENGONG)", "");
		
		var level = EnergyCalculator.getSpecifyGongWeiEnergyLevel(gongWei, otherXianTianMingPan, "XianTianMingPan");

		if(level < 5)
		{
			var otherGongWei = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars(gongWei, otherXianTianMingPan, "XianTianMingPan");
			var stars = otherGongWei['zuo'];
			
			for(var j = 0; j < stars.length; j ++)
			{
				var starName = stars[j].getName();
				
				if(starName.indexOf("MAINSTAR_") < 0)
				{
					continue;
				}
				
				for(m = 0; m < userMingSanFang.length; m ++)
				{
					if(starName == userMingSanFang[m].getName())
					{
						return true;
					}
				}
			}
			
			var otherZodiac = Util.getZodiacByIndex(i);
			
			if(otherZodiac == userZodiac)
			{
				return true;
			}
			
			otherZodiac = Util.getZodiacByIndex((i + 4) % 12);
			
			if(otherZodiac == userZodiac)
			{
				return true;
			}
			
			otherZodiac = Util.getZodiacByIndex((i + 8) % 12);
			
			if(otherZodiac == userZodiac)
			{
				return true;
			}
		}
	}
	
	return false;
}

/**
 * 是否要预防彼此带来伤害
 *
 * A的火星铃星陀罗擎羊落陷宫位的主星是B命宫主星
 */
ZiWeiRelation.isNightmare = function()
{
	var userXianTianMingPan = getCurrentUser().user.getXianTianMingPan();
	var userMing = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars("GONGWEI_MINGGONG", userXianTianMingPan, "XianTianMingPan");
	var otherXianTianMingPan = ZiWeiRelation.getOtherUser().getXianTianMingPan();
	
	for(var i = 0; i <  BizEnum.GONGWEI.length; i ++)
	{
		var otherGongWei = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars(BizEnum.GONGWEI[i], otherXianTianMingPan, "XianTianMingPan");
		var stars = otherGongWei['zuo'];
		var fiendstarInXian = false;
		var hasLuCun = false;
		
		for(var j = 0; j < stars.length; j ++)
		{
			var starName = stars[j].getName();
			
			if(starName == "GEMSTAR_LUCUNXING")
			{
				hasLuCun = true;
				break;
			}
			
			if(starName == "FIENDSTAR_QINGYANGXING" || starName == "FIENDSTAR_TUOLUOXING" || starName == "FIENDSTAR_HUOXING" || starName == "FIENDSTAR_LINGXING")
			{
				if(stars[j].getDescriptor() == "MIAOWANG_XIAN")
				{
					fiendstarInXian = true;
				}
			}
		}
		
		if(fiendstarInXian && !hasLuCun)
		{
			for(var m = 0; m < stars.length; m ++)
			{
				if(stars[m].getName().indexOf("MAINSTAR_") < 0)
				{
					continue;
				}
				
				for(var n = 0; n < userMing['zuo'].length; n ++)
				{
					if(stars[m].getName() == userMing['zuo'][n].getName())
					{
						return true;
					}
				}
			}
		}
	}
	
	return false;
}


/**
 * 保存对方信息
 */
ZiWeiRelation.saveOtherUserInfo = function()
{
	var user = arguments[0];
	window.tiangonggong.ziweirelation = user;
}

/**
 * 获取对方信息
 */
ZiWeiRelation.getOtherUser = function()
{
	return window.tiangonggong.ziweirelation;
}