function LiuNianFortuneQuestionAlgorithm()
{
	
}

// 设置流年
LiuNianFortuneQuestionAlgorithm.setLiuNian = function(liuNian)
{
	if(!liuNian)
	{
		return ;
	}
	
	LiuNianFortuneQuestionAlgorithm.liuNian = liuNian
};

// 获取流年
LiuNianFortuneQuestionAlgorithm.getLiuNian = function()
{
	return LiuNianFortuneQuestionAlgorithm.liuNian;
};

// 获取整体运势
LiuNianFortuneQuestionAlgorithm.getTotalFortune = function()
{
	var curUser = getCurrentUser();
	
	if(!curUser){
		return false;
	}
	
	curUser = curUser.user;
	
	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();

	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
			
	var sanFangSiZheng = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa("GONGWEI_MINGGONG", liuNianMingPan, "LiuNianMingPan", true);
	
	var result = EnergyCalculator.getLevel(liuNianMingPan, "LiuNianMingPan");
	
	if(!result){
		return false;
	}
	
	var info = {
		// 14主星
		"MAINSTAR_ZIWEIXING" : 
		{
			'positive' : '容易会发生：事业、职务、利财、考试、名誉等事情。可得贵人相助，能发挥才干，事情顺利，地位高升，经商赚钱，可加大投资。',
			'negative' : '容易会发生：事业、职务、利财、考试、名誉等事情。容易有孤独感，无助的苦恼。'
		},
		"MAINSTAR_WUQUXING" :
		{
			'positive' : '容易会发生：利财、竞争、健康、旅行等事情。正能量强：适宜创业、声誉好、政界高升、经商发财。',
			'negative' : '容易会发生：利财、竞争、健康、旅行等事情。财运欠佳、财务纠纷、事业低落。资金容易周转困难。打架、刑伤。'
		},
		 "MAINSTAR_TIANFUXING" : 
		 {
			'positive' : '工作、利财、产业、不动产方面的事情，可以创业，购置房产。容易在金钱，地位，婚姻，声誉，考试等呈现不错的状态。能量强的还有可能遇到升迁、发财的机遇，可以加大投资，可以合伙，购置房地产。',
			'negative' : '容易会发生：工作、利财、产业、不动产方面的事情，可以创业，购置房产。运气平平，遇到困难挫折，计划难实现，产生空虚感都有可能。'
		 },
		 "MAINSTAR_TIANXIANGXING" : 
		 {
				'positive' : '容易会发生：事业、仕途、夫运、学问等相关事情。会与地位高的人相识往来，胸怀大略，具有前瞻性，事业顺利，赚钱有利。易有外调或出差。',
				'negative' : '容易会发生：事业、仕途、夫运、学问等相关事情。要特别小心受人欺骗、破财、意外。'
		 },
		 "MAINSTAR_LIANZHENXING" :
		 {
			'positive' : '容易会发生：工作、夫妻、情色、健康、赚钱、名誉等相关事情。容易有突发性的好机遇，政界升官提职，经商赚钱，未婚者遇到不错的对象。可以加大事业投资。',
			'negative' : '容易会发生：工作、夫妻、情色、健康、赚钱、名誉等相关事情。容易有官司纠纷，预防意外与出行安全。不宜冒险。感情事伤心。'
		 },	
		 "MAINSTAR_QISHAXING" :
		 {
			 'positive' : '容易会发生：工作、外出、事业变动、健康等有关的事情。会有意外的好运，一举成名，地位高升。事业会有好的变动。',
			 'negative' : '容易会发生：工作、外出、事业变动、健康等有关的事情。易有纷争、事业反复失败，急成急败。易有疾病与官司。'
		 },
		 "MAINSTAR_POJUNXING" :
		 {
			 'positive' : '容易会发生：利财、子女、健康等有关事情。会碰到意想不到的事情发生。福气多多，也能突然攻克难关而做出成绩。事业突然发达。女命容易结婚或者生育。',
			 'negative' : '容易会发生：利财、子女、健康等有关事情。事业就会突然衰败。因为某种原因花销大。女命容易流产。易受伤，手术。'
		 },	
		 "MAINSTAR_TANLANGXING" : 
		 {
			'positive' : '夫妻、色情、健康、交际应酬、买房、搬家、装修、异性交往等相关事情。事业多开创机遇多，升职发财，容易接触不错的异性。',
			'negative' : '容易会发生：夫妻、色情、健康、交际应酬、买房、搬家、装修、异性交往等相关事情。事事不如意，夫妻不合，破财，事业阻碍，容易有色情纠纷，女性易有感情破裂或流产。'
		 },
		 "MAINSTAR_TIANTONGXING" :
		 {
			 'positive' : '容易会发生：交际、夫妻、色情、健康、旅行、饮食、喜庆、宴会、吃喝玩乐等相关事情。容易懒散但运气很好，喜事临门，交友广而获益。事情顺利，常有人宴请。',
			'negative' : '容易会发生：交际、夫妻、色情、健康、旅行、饮食、喜庆、宴会、吃喝玩乐等相关事情事业有阻碍，运气欠佳，夫妻不合，生病破财，缺少享受乐趣。容易感伤，牙、心、肾、生殖系统容易生病。'
		 },
		 "MAINSTAR_TIANLIANGXING" :
		 {
			'positive' : '容易会发生：旅行、健康、学问、苦恼等有关的事情。有利于求职、求学、求名。官员和公务员易获得领导的赏识和重要。声誉日高，有升迁加薪的机会。有利求医看病，中医更佳。',
			'negative' : '容易会发生：旅行、健康、学问、苦恼等有关的事情。常遇小人，事业不顺，容易生病，家庭有时不太和睦。'
		 },
		 "MAINSTAR_TIANJIXING" :
		 {
			'positive' : '容易会发生：交际、应酬、事业变动、外出、搬家、学问、考试、名誉、宗教、数术的事情。多得贤人指路，思维敏捷，机遇较多，事业大有发展，建议果敢行动。',
			'negative' : '容易会发生：交际、应酬、事业变动、外出、搬家、学问、考试、名誉、宗教、数术的事情。会有沮丧的境遇，头痛心烦。'	
		 },
		 "MAINSTAR_TAIYINXING" :
		 {
			'positive' : '容易会发生：旅游、房产、理财、女性亲属、情感等事情。可以得到女性贵人的助力，理财运旺，适宜到有水的地方游玩。',
			'negative' : '容易会发生：旅游、房产、理财、女性亲属、情感等事情。会产生感情纠葛，伤神伤心。'		
		 },
		 "MAINSTAR_TAIYANGXING" : 
		 {
			'positive' : '容易会发生：工作、考试、事业、名誉等事情。女性容易有关于父、夫、子等方面的事情。容易有创业想法，会接近与政治有关的人或事。升职、进财、添子、结婚等喜气事。女性容易有桃花缘。',
			'negative' : '容易会发生：工作、考试、事业、名誉等事情。女性容易有关于父、夫、子等方面的事情。容易招人抱怨名誉受损。女性容易有烂桃花。'			
		 },
		 "MAINSTAR_JUMENXING" :
		 {
			'positive' : '容易会发生：口舌是非，暧昧，健康等有关的事情。会有新的发展，获得好的名声。说话有说服力。',
			'negative' : '是非多，引起纠纷，做事进退不定，失去地位，失业，事业不如意，夫妻不和睦。建议：适宜去进修语言技能，可以改善负能量干扰。'
		 },
		
		// 8吉星
		"GEMSTAR_TIANKUIXING" :
		{
			'positive' : '活动能力强，得长辈相助，事业顺利，升职加薪。事业机遇多。',
			'negative' : '化解的方法：来自长辈相助。'
		},
		"GEMSTAR_TIANYUEXING" :
		{
			'positive' : '活动能力强，得长辈相助，事业顺利，升职加薪。事业机遇多。',
			'negative' : '化解的方法：来自长辈相助。'
		},
		"GEMSTAR_WENCHANGXING" :
		{
			'positive' : '在文学艺术，学问，考试，名誉上容易成功。',
			'negative' : '口舌是非，不利考试、合伙、名声，易有文书、契约、合同上的纠纷，表达、文字错误。'
		},
		"GEMSTAR_WENQUXING" :
		{
			'positive' : '在文学艺术，学问，考试，名誉上容易成功。',
			'negative' : '口舌是非，不利考试、合伙、名声，易有文书、契约、合同上的纠纷，表达、文字错误。'
		},
		"GEMSTAR_ZUOFUXING" :
		{
			'positive' : '容易得到同事朋友的帮助。',
			'negative' : '化解的方法：同事朋友的帮助。'	
		},
		"GEMSTAR_YOUBIXING" :
		{
			'positive' : '容易得到同事朋友的帮助。',
			'negative' : '化解的方法：同事朋友的帮助。'	
		},
		"GEMSTAR_LUCUNXING" :
		{
			'positive' : '会发生工作，利财，不动产之事。发财升职，劳中获财。',
			'negative' : '会发生工作，利财，不动产之事。发财升职，劳中获财。'	
		},
		"GEMSTAR_TIANMAXING" : 
		{
			'positive' : '有机会旅游，升迁，迁动的事情。',
			'negative' : '化解的方法：注意出行。减少事情变动带来的负面影响。'	
		},
		
		// 六煞星
		"FIENDSTAR_QINGYANGXING" :
		{
			'positive' : '发挥执着力、坚持韧性克服难关。提升自我。',
			'negative' : '尤其注意：容易发生伤害、疾病、争执之事。'	
		},
		"FIENDSTAR_TUOLUOXING" :
		{
			'positive' : '发挥执着力、坚持韧性克服难关。提升自我。',
			'negative' : '尤其注意：容易发生伤害、疾病、争执之事'
		},
		"FIENDSTAR_DIKONGXING" :
		{
			'positive' : '很好的想象力、想法、创意正能量发挥到工作中来。',
			'negative' : '尤其注意：虚假之事，发生钱财亏损，生病破财等。'	
		},
		"FIENDSTAR_DIJIEXING" :
		{
			'positive' : '很好的想象力、想法、创意正能量发挥到工作中来。',
			'negative' : '尤其注意：虚假之事，发生钱财亏损，生病破财等。'	
		},
		"FIENDSTAR_HUOXING" :
		{
			'positive' : '会发生突如其来的事情。',
			'negative' : '尤其注意：是非纠纷。'	
		},
		"FIENDSTAR_LINGXING" :
		{
			'positive' : '会发生突如其来的事情。',
			'negative' : '尤其注意：是非纠纷。'	
		}
	};
	
	var zuoStars = sanFangSiZheng['zuo'];
	
	zuoStars = TianGongGongUtil.removeDuplicateStars(zuoStars);
	
	zuoStars = LiuNianFortuneQuestionAlgorithm.sort(zuoStars);
	
	var resultStr = "";
	
	// 正能量
	if(result.level > 6)
	{
		resultStr += "整体运势：上升。\n\n";
		
		for(var i = 0; i < zuoStars.length; i ++)
		{
			resultStr += info[zuoStars[i]].positive + '\n\n';
		}
	}
	// 负能量
	else
	{
		resultStr += "整体运势：下降。\n\n";
		
		for(var i = 0; i < zuoStars.length; i ++)
		{
			resultStr += info[zuoStars[i]].negative + '\n\n';
		}
	}

	return resultStr;
};

LiuNianFortuneQuestionAlgorithm.sort = function(stars)
{
	for(var i = 0; i < stars.length - 1; i ++)
	{
		for(var j = i + 1; j < stars.length; j ++)
		{
			var iVal = 0, jVal = 0;
			
			if(stars[i].indexOf("MAINSTAR_") >= 0)
			{
				iVal = 1;
			}
			
			if(stars[i].indexOf("GEMSTAR_") >= 0)
			{
				iVal = 0;
			}
			
			if(stars[i].indexOf("FIENDSTAR_") >= 0)
			{
				iVal = -1;
			}
			
			if(stars[j].indexOf("MAINSTAR_") >= 0)
			{
				jVal = 1;
			}
			
			if(stars[j].indexOf("GEMSTAR_") >= 0)
			{
				jVal = 0;
			}
			
			if(stars[j].indexOf("FIENDSTAR_") >= 0)
			{
				jVal = -1;
			}
			
			if(iVal < jVal)
			{
				var temp = stars[i];
				stars[i] = stars[j];
				stars[j] = temp;
			}
		}
	}
	
	return stars;
};

LiuNianFortuneQuestionAlgorithm.WA1_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	var sections = liuNianMingPan.getItems();
	
	var zuoStars = false;
	var huiStars = false;
	
	for(var i = 0; i < sections.length; i ++){
		if(sections[i].getLiuNianGongWei().indexOf("GONGWEI_FUQIGONG") >= 0){
			zuoStars = sections[i].getStars();
			
			huiStars = sections[(i + 4) % 12].getStars();
			
			huiStars.concat(sections[(i + 8) % 12].getStars());
		}
	}
	
	var sanFangStars = zuoStars.concat(huiStars);
	
	//var totalStars = sanFangStars.concat(fuqiSanFangSiZhengStars['dui']);
	
	var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(sanFangStars, "LiuNianMingPan");

	var sanFangHasKongJie = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		var star = sanFangStars[i];
		
		if(star.getName() == "FIENDSTAR_DIKONGXING" || star.getName() == "FIENDSTAR_DIJIEXING"){
			sanFangHasKongJie = true;
			
			break;
		}
	}
	
	if(sanFangHasKongJie){
		return JSON.stringify({
			'request' : 'B',
			'useful' : true
		});
	}
	
	var isStrongMainStar = false;
	
	for(var i = 0; i < zuoStars.length; i ++){
		var starName = zuoStars[i].getName();
		
		if(starName.indexOf("MAINSTAR_") >= 0){
			isStrongMainStar = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
			
			break;
		}
	}
	
	if(isStrongMainStar && shaNum < 3){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	var hasLiuNianHuaLu = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		var star = sanFangStars[i];
		
		if(star.getSiHuaOfLiuNian() == "SIHUA_LU"){
			hasLiuNianHuaLu = true;
			
			break;
		}
	}
	
	if(!isStrongMainStar && shaNum <= 1 && hasLiuNianHuaLu){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
}

// 爱情-WA1
LiuNianFortuneQuestionAlgorithm.WA1 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WA1_stub();
	
	return result;
};

// 爱情-WA2
LiuNianFortuneQuestionAlgorithm.WA2 = function()
{
	var result =  LiuNianFortuneQuestionAlgorithm.WA2_stub();

	return result;
};

LiuNianFortuneQuestionAlgorithm.WA2_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	
	var answer = LiuNianFortuneQuestionAlgorithm.WA1_stub();
	
	answer = JSON.parse(answer);
	
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
	
	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[liuNian-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var monthArray = new Array();
	
	for(var i = 0; i < monthInfo.length; i ++){
		var monthIndex, isRunYue = false;
		
		if(i < runYueIndex){
			monthIndex = i + 1;
		}else if(i == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(i > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = i;
			}else{
				monthIndex = i + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(liuNian, monthIndex, isRunYue);

		if(!liuYueMingPan){
			return false;
		}
			
		var sections = liuYueMingPan.getItems();
		
		var zuoStars = false;
		var huiStars = false;
		
		for(var j = 0; j < sections.length; j ++){
			if(sections[j].getMonthGongWei().indexOf("GONGWEI_FUQIGONG") >= 0){
				zuoStars = sections[j].getStars();
				
				huiStars = sections[(j + 4) % 12].getStars();
				
				huiStars.concat(sections[(j + 8) % 12].getStars());
			}
		}
		
		var sanFangStars = zuoStars.concat(huiStars);
		
	//	var totalStars = sanFangStars.concat(fuqiSanFangSiZhengStars['dui']);
		
		var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(sanFangStars, "LiuYueMingPan");

		var sanFangHasKongJie = false;
		
		for(var j = 0; j < sanFangStars.length; j ++){
			var star = sanFangStars[j];
			
			if(star.getName() == "FIENDSTAR_DIKONGXING" || star.getName() == "FIENDSTAR_DIJIEXING"){
				sanFangHasKongJie = true;
				
				break;
			}
		}
		
		if(sanFangHasKongJie){
			continue;
		}
		
		var isStrongMainStar = false;
		
		for(var j = 0; j < zuoStars.length; j ++){
			var starName = zuoStars[j].getName();
			
			if(starName.indexOf("MAINSTAR_") >= 0){
				isStrongMainStar = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
				
				break;
			}
		}
		
		if(isStrongMainStar && shaNum < 3){
			var monthName = defaultLunarMonth[monthIndex - 1];
						
			if(isRunYue){
				monthName = "闰" + monthName;
			}
		
			monthArray.push(monthName);
		}
		
		var hasLiuNianHuaLu = false;
		
		for(var j = 0; j < sanFangStars.length; j ++){
			var star = sanFangStars[j];
			
			if(star.getSiHuaOfLiuYue() == "SIHUA_LU"){
				hasLiuNianHuaLu = true;
				
				break;
			}
		}
		
		if(!isStrongMainStar && shaNum <= 1 && hasLiuNianHuaLu){
			var monthName = defaultLunarMonth[monthIndex - 1];
						
			if(isRunYue){
				monthName = "闰" + monthName;
			}
		
			monthArray.push(monthName);
		}
	}
	
	if(answer.request == "A"){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true,
			'append' : '在农历的' + monthArray.join('、')
		});
	}else{
		return JSON.stringify({
			'request' : 'B',
			'useful' : true,
			'append' : '相对来说正能量会在农历的' + monthArray.join('、')
		});
	}
}

// 爱情-WA3
LiuNianFortuneQuestionAlgorithm.WA3 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WA3_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WA3_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	var fuqiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_FUQIGONG', liuNianMingPan, "LiuNianMingPan");

	var totalStars = fuqiSanFangSiZhengStars['zuo'].concat(fuqiSanFangSiZhengStars['hui'], fuqiSanFangSiZhengStars['dui']);
	
	var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(totalStars, "LiuNianMingPan");
	
	var sanFangStars = fuqiSanFangSiZhengStars['zuo'].concat(fuqiSanFangSiZhengStars['hui']);
	
	var sanFangHasKongJie = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		var star = sanFangStars[i];
		
		if(star.getName() == "FIENDSTAR_DIKONGXING" || star.getName() == "FIENDSTAR_DIJIEXING"){
			sanFangHasKongJie = true;
			
			break;
		}
	}
	
	if(shaNum < 3 && !sanFangHasKongJie){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
	
	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[liuNian-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var monthArray = new Array();
	
	for(var i = 0; i < monthInfo.length; i ++){
		var monthIndex, isRunYue = false;
		
		if(i < runYueIndex){
			monthIndex = i + 1;
		}else if(i == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(i > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = i;
			}else{
				monthIndex = i + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(liuNian, monthIndex, isRunYue);

		if(!liuYueMingPan){
			return false;
		}
		
		var fuqiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_FUQIGONG', liuYueMingPan, "LiuYueMingPan");

		var sanFangStars = fuqiSanFangSiZhengStars['zuo'].concat(fuqiSanFangSiZhengStars['hui']);
		
		var monthTotalStars = sanFangStars.concat(fuqiSanFangSiZhengStars['dui']);
		
		var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(monthTotalStars, "LiuYueMingPan");

		var sanFangHasKongJie = false;
		
		for(var j = 0; j < fuqiSanFangSiZhengStars['zuo'].length; j ++){
			var star = fuqiSanFangSiZhengStars['zuo'][j];
			
			if(star.getName() == "FIENDSTAR_DIKONGXING" || star.getName() == "FIENDSTAR_DIJIEXING"){
				sanFangHasKongJie = true;
				
				break;
			}
		}
	
		if(sanFangHasKongJie || shaNum >= 4){
			var monthName = defaultLunarMonth[monthIndex - 1];
						
			if(isRunYue){
				monthName = "闰" + monthName;
			}
		
			monthArray.push(monthName);
		}
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true,
		'append' : '相对来说农历的'+monthArray.join(' ')+' 负能量最强。'
	});
};

LiuNianFortuneQuestionAlgorithm.WA4_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	var fuqiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_FUQIGONG', liuNianMingPan, "LiuNianMingPan");

	var totalStars = fuqiSanFangSiZhengStars['zuo'].concat(fuqiSanFangSiZhengStars['hui'], fuqiSanFangSiZhengStars['dui']);
	
	var hasZuoYou = false, 
		hasChangQu = false,
		hasLu = false;
	
	for(var i = 0; i < totalStars.length; i ++){
		var starName = totalStars[i].getName();
		  
		if(starName == "GEMSTAR_WENCHANGXING" || starName == "GEMSTAR_WENQUXING"){
			hasChangQu = true;
		}
		
		if(starName == "GEMSTAR_ZUOFUXING" || starName == "GEMSTAR_YOUBIXING"){
			hasZuoYou = true;
		}
		
		if(starName == "GEMSTAR_LUCUNXING"){
			hasLu = true;
		}
		
		if(totalStars[i].getSiXiang() == "SIHUA_LU" || totalStars[i].getSiHuaOfDaYun() == "SIHUA_LU" || totalStars[i].getSiHuaOfLiuNian() == "SIHUA_LU"){
			hasLu = true;
		}
	}
	
	var sections = liuNianMingPan.getItems();
	
	var liuYaos = new Array();
	
	for(var i = 0; i < sections.length; i ++){
		if(sections[i].getLiuNianGongWei().indexOf("GONGWEI_FUQIGONG") >= 0){
			var index = i;
			
			if(sections[index].getLiuNianStars()){
				liuYaos.push(sections[index].getLiuNianStars());
			}
			
			index = (i + 4) % 12;
			
			if(sections[index].getLiuNianStars()){
				liuYaos.push(sections[index].getLiuNianStars());
			}
			
			index = (i + 8) % 12;
			
			if(sections[index].getLiuNianStars()){
				liuYaos.push(sections[index].getLiuNianStars());
			}
			
			index = (i + 6) % 12;
			
			if(sections[index].getLiuNianStars()){
				liuYaos.push(sections[index].getLiuNianStars());
			}
		}
	}
	
	var hasLiuChangQu = false;
	
	for(var i = 0; i < liuYaos.length; i ++){
		var xingyaos = liuYaos[i];
		
		for(var j = 0; j < xingyaos.length; j ++){
			if(xingyaos[j].starName == "LIU_GEMSTAR_WENCHANGXING" || xingyaos[j].starName == "LIU_GEMSTAR_WENQUXING"){
				hasLiuChangQu = true;
				
				break;
			}
		}
	}
	
	if((hasChangQu || hasLiuChangQu) && hasZuoYou && hasLu){
		return JSON.stringify({
			'request' : 'B',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true
	});
};

// 爱情-WA4
LiuNianFortuneQuestionAlgorithm.WA4 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WA4_stub();
	
	return result;
};

// 爱情-WA5
LiuNianFortuneQuestionAlgorithm.WA5 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WA4_stub();
	
	return result;
};

// 爱情-WA6
LiuNianFortuneQuestionAlgorithm.WA6 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WA6_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WA6_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	var fuqiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_FUQIGONG', liuNianMingPan, "LiuNianMingPan");

	var totalStars = fuqiSanFangSiZhengStars['zuo'].concat(fuqiSanFangSiZhengStars['hui'], fuqiSanFangSiZhengStars['dui']);
	
	var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(totalStars, "LiuNianMingPan");
	
	if(shaNum >= 4){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 爱情-WA7
LiuNianFortuneQuestionAlgorithm.WA7 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WA7_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WA7_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
	
	var calendar = new PerpetualCalendar();

	var basePerpetualCalenderItem = calendar.getCalendar()[liuNian-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var monthArray = new Array();
	
	for(var i = 0; i < monthInfo.length; i ++){
		var monthIndex, isRunYue = false;
		
		if(i < runYueIndex){
			monthIndex = i + 1;
		}else if(i == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(i > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = i;
			}else{
				monthIndex = i + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(liuNian, monthIndex, isRunYue);

		if(!liuYueMingPan){
			return false;
		}
		
		var fuqiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_FUQIGONG', liuYueMingPan, "LiuYueMingPan");

		var sanFangStars = fuqiSanFangSiZhengStars['zuo'].concat(fuqiSanFangSiZhengStars['hui']);
		
		var monthTotalStars = sanFangStars.concat(fuqiSanFangSiZhengStars['dui']);
		
		var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(monthTotalStars, "LiuYueMingPan");

		var isStrongMainStar = false;
		
		for(var j = 0; j < fuqiSanFangSiZhengStars['zuo'].length; j ++){
			var starName = fuqiSanFangSiZhengStars['zuo'][j].getName();
		
			if(starName.indexOf("MAINSTAR_") >= 0){
				isStrongMainStar = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
			}
		}
		
		var sanFangHasKongJie = false;
		
		for(var j = 0; j < sanFangStars.length; j ++){
			var star = sanFangStars[j];
			
			if(star.getName() == "FIENDSTAR_DIKONGXING" || star.getName() == "FIENDSTAR_DIJIEXING"){
				sanFangHasKongJie = true;
				
				break;
			}
		}
	
		
		if(!sanFangHasKongJie){
			if(isStrongMainStar){
				var monthName = defaultLunarMonth[monthIndex - 1];
						
				if(isRunYue){
					monthName = "闰" + monthName;
				}
			
				monthArray.push(monthName);
			}else{
				if(shaNum < 1){
					var monthName = defaultLunarMonth[monthIndex - 1];
						
					if(isRunYue){
						monthName = "闰" + monthName;
					}
				
					monthArray.push(monthName);
				}
			}
		}
	}
	
	if(monthArray.length == 0){
		return JSON.stringify({
			'request' : false,
			'useful' : false,
			'append' : '抱歉，没有搜到合适的时间！'
		});
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true,
		'append' : '农历的'+ monthArray.join('、') +'适合。在这些月份可以发挥自身强大的正能量，好好利用哦！'
	});
};

// 事业-WS1
LiuNianFortuneQuestionAlgorithm.WS1 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS1_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS1_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var sections = liuNianMingPan.getItems();
	
	for(var i = 0; i < sections.length; i ++){
		var liuNianGongWei = sections[i].getLiuNianGongWei();
		
		if(liuNianGongWei.indexOf("GONGWEI_MINGGONG") >= 0 || liuNianGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0 || liuNianGongWei.indexOf("GONGWEI_FUDEGONG") >= 0 || liuNianGongWei.indexOf("GONGWEI_CAIBOGONG") >= 0){
			var stars = sections[i].getStars();
			
			for(var j = 0; j < stars.length; j ++){
				var starName = stars[j].getName();
				
				if("MAINSTAR_ZIWEIXING" == starName){
					var curYear = liuNianMingPan.getYear();
				
					var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
	
					var calendar = new PerpetualCalendar();
						
					var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
					
					var runYueIndex = basePerpetualCalenderItem.runYueIndex;
					
					var monthInfo = basePerpetualCalenderItem.monthInfo;

					var resultMonthArray = new Array();
					
					for(var m = 0; m < monthInfo.length; m ++){
						var monthIndex, isRunYue = false;
						
						if(m < runYueIndex){
							monthIndex = m + 1;
						}else if(m == runYueIndex){
							monthIndex = runYueIndex;
							isRunYue = true;
						}else if(m > runYueIndex){
							if(runYueIndex > 0){
								monthIndex = m;
							}else{
								monthIndex = m + 1;
							}
						}
						
						var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

						if(!liuYueMingPan){
							return false;
						}
						
						sections = liuYueMingPan.getItems();
						
						for(var t = 0; t < sections.length; t ++){
							var liuYueGongWei = sections[t].getMonthGongWei();
						
							if(liuYueGongWei.indexOf("GONGWEI_MINGGONG") >= 0 || liuYueGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0 || liuYueGongWei.indexOf("GONGWEI_FUDEGONG") >= 0 || liuYueGongWei.indexOf("GONGWEI_CAIBOGONG") >= 0){
								var stars = sections[t].getStars();
				
								for(var s = 0; s < stars.length; s ++){
									var starName = stars[s].getName();
								
									if("MAINSTAR_ZIWEIXING" == starName){
										if(isRunYue){
											resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
										}else{
											resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
										}
									}
								}
							}
						}
					}
					
					return JSON.stringify({
						'request' : 'A',
						'useful' : true,
						'append' : '农历' + resultMonthArray.join('、') + '能量指数最高。'
					});
				}
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 事业-WS2
LiuNianFortuneQuestionAlgorithm.WS2 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS2_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS2_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var sections = liuNianMingPan.getItems();
	
	for(var i = 0; i < sections.length; i ++){
		var liuNianGongWei = sections[i].getLiuNianGongWei();
		
		if(liuNianGongWei.indexOf("GONGWEI_MINGGONG") >= 0 || liuNianGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0 || liuNianGongWei.indexOf("GONGWEI_FUDEGONG") >= 0 || liuNianGongWei.indexOf("GONGWEI_CAIBOGONG") >= 0){
			var stars = sections[i].getStars();
			
			for(var j = 0; j < stars.length; j ++){
				var starName = stars[j].getName();
				
				if("MAINSTAR_ZIWEIXING" == starName){
					var curYear = liuNianMingPan.getYear();
				
					var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
	
					var calendar = new PerpetualCalendar();
						
					var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
					
					var runYueIndex = basePerpetualCalenderItem.runYueIndex;
					
					var monthInfo = basePerpetualCalenderItem.monthInfo;

					var resultMonthArray = new Array();
					
					for(var m = 0; m < monthInfo.length; m ++){
						var monthIndex, isRunYue = false;
						
						if(m < runYueIndex){
							monthIndex = m + 1;
						}else if(m == runYueIndex){
							monthIndex = runYueIndex;
							isRunYue = true;
						}else if(m > runYueIndex){
							if(runYueIndex > 0){
								monthIndex = m;
							}else{
								monthIndex = m + 1;
							}
						}
						
						var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

						if(!liuYueMingPan){
							return false;
						}
						
						sections = liuYueMingPan.getItems();
						
						for(var t = 0; t < sections.length; t ++){
							var liuYueGongWei = sections[t].getMonthGongWei();
						
							if(liuYueGongWei.indexOf("GONGWEI_MINGGONG") >= 0 || liuYueGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0 || liuYueGongWei.indexOf("GONGWEI_FUDEGONG") >= 0 || liuYueGongWei.indexOf("GONGWEI_CAIBOGONG") >= 0){
								var stars = sections[t].getStars();
				
								for(var s = 0; s < stars.length; s ++){
									var starName = stars[s].getName();
								
									if("MAINSTAR_ZIWEIXING" == starName){
										if(isRunYue){
											resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
										}else{
											resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
										}
									}
								}
							}
						}
					}
					
					if(resultMonthArray.length > 0){
						return JSON.stringify({
							'request' : 'A',
							'useful' : true,
							'append' : '尤其在农历' + resultMonthArray.join('、')
						});
					}
				}
			}
		}
	}
	
	for(var i = 0; i < sections.length; i ++){
		var liuNianGongWei = sections[i].getLiuNianGongWei();
		
		if(liuNianGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0){
			var stars = sections[i].getStars();
			
			for(var j = 0; j < stars.length; j ++){
				var starName = stars[j].getName();
				
					if("MAINSTAR_TANLANGXING" == starName || "MAINSTAR_POJUNXING" == starName || "MAINSTAR_QISHAXING" == starName){
					var curYear = liuNianMingPan.getYear();
				
					var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
	
					var calendar = new PerpetualCalendar();
						
					var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
					
					var runYueIndex = basePerpetualCalenderItem.runYueIndex;
					
					var monthInfo = basePerpetualCalenderItem.monthInfo;

					var resultMonthArray = new Array();
					
					for(var m = 0; m < monthInfo.length; m ++){
						var monthIndex, isRunYue = false;
						
						if(m < runYueIndex){
							monthIndex = m + 1;
						}else if(m == runYueIndex){
							monthIndex = runYueIndex;
							isRunYue = true;
						}else if(m > runYueIndex){
							if(runYueIndex > 0){
								monthIndex = m;
							}else{
								monthIndex = m + 1;
							}
						}
						
						var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

						if(!liuYueMingPan){
							return false;
						}
						
						sections = liuYueMingPan.getItems();
						
						for(var t = 0; t < sections.length; t ++){
							var liuYueGongWei = sections[t].getMonthGongWei();
						
							if(liuYueGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0){
								var stars = sections[t].getStars();
				
								for(var s = 0; s < stars.length; s ++){
									var starName = stars[s].getName();
								
									if("MAINSTAR_TANLANGXING" == starName || "MAINSTAR_POJUNXING" == starName || "MAINSTAR_QISHAXING" == starName){
										if(isRunYue){
											resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
										}else{
											resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
										}
									}
								}
							}
						}
					}
					
					return JSON.stringify({
						'request' : 'B',
						'useful' : true,
						'append' : '尤其在农历' + resultMonthArray.join(' ')
					});
				}
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'C',
		'useful' : true
	});
}

// 事业-WS3
LiuNianFortuneQuestionAlgorithm.WS3 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS3_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS3_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var shiYeSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_SHIYEGONG', liuNianMingPan, "LiuNianMingPan");
	
	var zuoStars = shiYeSanFangSiZhengStars['zuo'];
	
	var huiStars = shiYeSanFangSiZhengStars['hui'];
	
	var sanFangStars = zuoStars.concat(huiStars);
	
	var isStrong = false;
	
	for(var i = 0; i < zuoStars.length; i ++){
		var starName = zuoStars[i].getName();
				
		if(starName.indexOf("MAINSTAR_") >= 0){
			isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
			
			break;
		}
	}
	
	var hasZuoYou = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		var starName = sanFangStars[i].getName();
				
		if(starName == "GEMSTAR_ZUOFUXING" || starName == "GEMSTAR_YOUBIXING"){
			hasZuoYou = true;
			
			break;
		}
	}
	
	if(isStrong){
		if(hasZuoYou){
			return JSON.stringify({
				'request' : 'B',
				'useful' : true
			});
		}else{
			return JSON.stringify({
				'request' : 'A',
				'useful' : true
			});
		}
	}else{
		if(hasZuoYou){
			return JSON.stringify({
				'request' : 'C',
				'useful' : true
			});
		}else{
			return JSON.stringify({
				'request' : 'D',
				'useful' : true
			});
		}
	}
};

// 事业-WS4
LiuNianFortuneQuestionAlgorithm.WS4 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS4_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS4_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var shiYeSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_SHIYEGONG', liuNianMingPan, "LiuNianMingPan");
	
	var zuoStars = shiYeSanFangSiZhengStars['zuo'];
	
	var isStrong = false;
	
	for(var i = 0; i < zuoStars.length; i ++){
		var starName = zuoStars[i].getName();
				
		if(starName.indexOf("MAINSTAR_") >= 0){
			isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
			
			break;
		}
	}

	if(isStrong){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 事业-WS5
LiuNianFortuneQuestionAlgorithm.WS5 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS5_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS5_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var curYear = liuNianMingPan.getYear();
				
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];

	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var resultMonthArray = new Array();
	
	for(var m = 0; m < monthInfo.length; m ++){
		var monthIndex, isRunYue = false;
		
		if(m < runYueIndex){
			monthIndex = m + 1;
		}else if(m == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(m > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = m;
			}else{
				monthIndex = m + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

		if(!liuYueMingPan){
			return false;
		}
		
		sections = liuYueMingPan.getItems();
		
		var isStrong = false;
		var isMiaoWang = false;
		
		var stars = WeiSuanQuestionUtil.getSpecifyMonthGongWeiStars(sections, "GONGWEI_SHIYEGONG");
		
		for(var s = 0; s < stars.length; s ++){
			var starName = stars[s].getName();
		
			if(starName.indexOf("MAINSTAR_") >= 0){
				isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
				
				var descriptor = stars[s].getDescriptor();
			
				if(descriptor == "MIAOWANG_MIAO" || descriptor == "MIAOWANG_WANG" ){
					isMiaoWang = true;
				}
			}
		}
		
		if(isStrong && isMiaoWang){
			if(isRunYue){
				resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
			}else{
				resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true,
		'append' : '正能量月份在农历'+resultMonthArray.join('、')+'，可以在以上月份中多积极主动争取。将会有不错的好机会。'
	});
};

// 事业-WS6
LiuNianFortuneQuestionAlgorithm.WS6 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS6_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS6_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var sections = liuNianMingPan.getItems();
	
	for(var i = 0; i < sections.length; i ++){
		var liuNianGongWei = sections[i].getLiuNianGongWei();
		
		if(liuNianGongWei.indexOf("GONGWEI_MINGGONG") >= 0 || liuNianGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0 ){
			var stars = sections[i].getStars();
			
			for(var j = 0; j < stars.length; j ++){
				var starName = stars[j].getName();
				
				if("MAINSTAR_ZIWEIXING" == starName){
					var curYear = liuNianMingPan.getYear();
				
					var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
	
					var calendar = new PerpetualCalendar();
						
					var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
					
					var runYueIndex = basePerpetualCalenderItem.runYueIndex;
					
					var monthInfo = basePerpetualCalenderItem.monthInfo;

					var resultMonthArray = new Array();
					
					for(var m = 0; m < monthInfo.length; m ++){
						var monthIndex, isRunYue = false;
						
						if(m < runYueIndex){
							monthIndex = m + 1;
						}else if(m == runYueIndex){
							monthIndex = runYueIndex;
							isRunYue = true;
						}else if(m > runYueIndex){
							if(runYueIndex > 0){
								monthIndex = m;
							}else{
								monthIndex = m + 1;
							}
						}
						
						var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

						if(!liuYueMingPan){
							return false;
						}
						
						sections = liuYueMingPan.getItems();
						
						for(var t = 0; t < sections.length; t ++){
							var liuYueGongWei = sections[t].getMonthGongWei();
						
							if(liuYueGongWei.indexOf("GONGWEI_MINGGONG") >= 0 || liuYueGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0){
								var stars = sections[t].getStars();
				
								for(var s = 0; s < stars.length; s ++){
									var starName = stars[s].getName();
								
									if("MAINSTAR_ZIWEIXING" == starName){
										if(isRunYue){
											resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
										}else{
											resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
										}
									}
								}
							}
						}
					}
					
					return JSON.stringify({
						'request' : 'A',
						'useful' : true,
						'append' : '尤其在农历' + resultMonthArray.join('、')
					});
				}
			}
		}
	}
	
	for(var i = 0; i < sections.length; i ++){
		var liuNianGongWei = sections[i].getLiuNianGongWei();
		
		if(liuNianGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0){
			var stars = sections[i].getStars();
			
			for(var j = 0; j < stars.length; j ++){
				var starName = stars[j].getName();
				
				if("MAINSTAR_TANLANGXING" == starName || "MAINSTAR_POJUNXING" == starName || "MAINSTAR_QISHAXING" == starName){
					var curYear = liuNianMingPan.getYear();
				
					var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
	
					var calendar = new PerpetualCalendar();
						
					var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
					
					var runYueIndex = basePerpetualCalenderItem.runYueIndex;
					
					var monthInfo = basePerpetualCalenderItem.monthInfo;

					var resultMonthArray = new Array();
					
					for(var m = 0; m < monthInfo.length; m ++){
						var monthIndex, isRunYue = false;
						
						if(m < runYueIndex){
							monthIndex = m + 1;
						}else if(m == runYueIndex){
							monthIndex = runYueIndex;
							isRunYue = true;
						}else if(m > runYueIndex){
							if(runYueIndex > 0){
								monthIndex = m;
							}else{
								monthIndex = m + 1;
							}
						}
						
						var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

						if(!liuYueMingPan){
							return false;
						}
						
						sections = liuYueMingPan.getItems();
						
						for(var t = 0; t < sections.length; t ++){
							var liuYueGongWei = sections[t].getMonthGongWei();
						
							if(liuYueGongWei.indexOf("GONGWEI_SHIYEGONG") >= 0){
								var stars = sections[t].getStars();
				
								for(var s = 0; s < stars.length; s ++){
									var starName = stars[s].getName();
								
									if("MAINSTAR_TANLANGXING" == starName || "MAINSTAR_POJUNXING" == starName || "MAINSTAR_QISHAXING" == starName){
										if(isRunYue){
											resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
										}else{
											resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
										}
									}
								}
							}
						}
					}
					
					return JSON.stringify({
						'request' : 'B',
						'useful' : true,
						'append' : '尤其在农历' + resultMonthArray.join('、')
					});
				}
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'C',
		'useful' : true
	});
};

// 事业-WS7
LiuNianFortuneQuestionAlgorithm.WS7 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS7_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS7_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var mingSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_MINGGONG', liuNianMingPan, "LiuNianMingPan");
	
	var totalStars = mingSanFangSiZhengStars['zuo'].concat(mingSanFangSiZhengStars['hui'], mingSanFangSiZhengStars['dui']);
	
	var hasKuiYue = false;
	
	for(var i = 0; i < totalStars.length; i ++){
		var starName = totalStars[i].getName();
				
		if(starName == "GEMSTAR_TIANKUIXING" || starName == "GEMSTAR_TIANYUEXING"){
			hasKuiYue = true;
			
			break;
		}
	}

	if(hasKuiYue){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 事业-WS8
LiuNianFortuneQuestionAlgorithm.WS8 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS8_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS8_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var mingSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_SHIYEGONG', liuNianMingPan, "LiuNianMingPan");
	
	var sanFangStars = mingSanFangSiZhengStars['zuo'].concat(mingSanFangSiZhengStars['hui']);
	
	var hasChangQu = false;
	var hasKongJie = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		var starName = sanFangStars[i].getName();
				
		if(starName == "GEMSTAR_WENCHANGXING" || starName == "GEMSTAR_WENQUXING"){
			hasChangQu = true;
			
			continue;
		}
		
		if(starName == "FIENDSTAR_DIKONGXING" || starName == "FIENDSTAR_DIJIEXING"){
			hasKongJie = true;
		}
	}
	
	var isStrong = false;
	
	for(var i = 0; i < mingSanFangSiZhengStars['zuo'].length; i ++){
		var starName = mingSanFangSiZhengStars['zuo'][i].getName();
				
		if(starName.indexOf("MAINSTAR_") >= 0){
			isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
			
			break;
		}
	}
	
	if(isStrong){
		if(hasChangQu && !hasKongJie){
			return JSON.stringify({
				'request' : 'A',
				'useful' : true
			});
		}
	}else{
		if(hasChangQu && !hasKongJie){
			return JSON.stringify({
				'request' : 'B',
				'useful' : true
			});
		}
	}
	
	return JSON.stringify({
		'request' : 'C',
		'useful' : true
	});
};

// 事业-WS9
LiuNianFortuneQuestionAlgorithm.WS9 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WS9_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WS9_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var shiyeSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_SHIYEGONG', liuNianMingPan, "LiuNianMingPan");
	
	var totalStars = shiyeSanFangSiZhengStars['zuo'].concat(shiyeSanFangSiZhengStars['hui'], shiyeSanFangSiZhengStars['dui']);
	
	var hasKongJie = false;
	
	for(var i = 0; i < totalStars.length; i ++){
		var starName = totalStars[i].getName();
		
		if(starName == "FIENDSTAR_DIKONGXING" || starName == "FIENDSTAR_DIJIEXING"){
			hasKongJie = true;
			
			break;
		}
	}
	
	var fumuSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_FUMUGONG', liuNianMingPan, "LiuNianMingPan");
	
	totalStars = fumuSanFangSiZhengStars['zuo'].concat(fumuSanFangSiZhengStars['hui']);
	
	var hasLiuJi = false;
	
	for(var i = 0; i < totalStars.length; i ++){
		if(totalStars[i].getSiHuaOfLiuNian() == "SIHUA_JI"){
			hasLiuJi = true;
			
			break
		}
	}
	
	if(hasKongJie && hasLiuJi){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 健康-WJ4
LiuNianFortuneQuestionAlgorithm.WJ4 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WJ4_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WJ4_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian); 
	
	if(!liuNianMingPan){
		return false;
	}
	
	var mingSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_MINGGONG', liuNianMingPan, "LiuNianMingPan");
	
	var mingHasLiuNianHuaJi = false;
	for(var i = 0; i < mingSanFangSiZhengStars['zuo'].length; i ++){
		var liuNianSiHua = mingSanFangSiZhengStars['zuo'][i].getSiHuaOfLiuNian();
		
		if("SIHUA_JI" == liuNianSiHua){
			mingHasLiuNianHuaJi = true;
			
			break;
		}
	}
	
	if(mingHasLiuNianHuaJi){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	var jieSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_JIEGONG', liuNianMingPan, "LiuNianMingPan");
		
	var jieSanFangStars = jieSanFangSiZhengStars['zuo'].concat(jieSanFangSiZhengStars['hui']);
	
	var jieTotalStars = jieSanFangStars.concat(jieSanFangSiZhengStars['dui']);
	
	var jieHasHuaJiNum = 0;
	var jieHasHuaLuNum = 0;
	var jieHasLiuNianHuaJi = false;
	for(var i = 0; i < jieSanFangStars.length; i ++){
		var xianTianSiHua = jieSanFangStars[i].getSiXiang();
		var daYunSiHua = jieSanFangStars[i].getSiHuaOfDaYun();
		var liuNianSiHua = jieSanFangStars[i].getSiHuaOfLiuNian();
		
		if("SIHUA_JI" == xianTianSiHua || "SIHUA_JI" == daYunSiHua){
			jieHasHuaJiNum ++;
		}
		
		if("SIHUA_JI" == liuNianSiHua){
			jieHasLiuNianHuaJi = true;
			jieHasHuaJiNum ++;
		}
	}
	
	for(var i = 0; i < jieTotalStars.length; i ++){
		var xianTianSiHua = jieTotalStars[i].getSiXiang();
		var daYunSiHua = jieTotalStars[i].getSiHuaOfDaYun();
		var liuNianSiHua = jieTotalStars[i].getSiHuaOfLiuNian();
		
		if("SIHUA_LU" == xianTianSiHua || "SIHUA_LU" == daYunSiHua || "SIHUA_LU" == liuNianSiHua){
			jieHasHuaLuNum ++;
		}
	}
	
	if(jieHasHuaJiNum >= 2){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	var level = EnergyCalculator.getSpecifyGongWeiEnergyLevel("GONGWEI_MINGGONG", liuNianMingPan, "LiuNianMingPan");
	
	if(level <= 4 && jieHasHuaLuNum >= 2){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	if(level <= 4 && jieHasLiuNianHuaJi){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	var jieTotalStars = jieSanFangStars.concat(jieSanFangSiZhengStars['dui']);
	
	var shaNum =  MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(jieTotalStars, "LiuNianMingPan"); 
	
	if(shaNum >= 5){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 健康-WJ8
LiuNianFortuneQuestionAlgorithm.WJ8 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WJ8_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WJ8_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var curYear = liuNianMingPan.getYear();
				
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];

	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var resultMonthArray = new Array();
	
	for(var m = 0; m < monthInfo.length; m ++){
		var monthIndex, isRunYue = false;
		
		if(m < runYueIndex){
			monthIndex = m + 1;
		}else if(m == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(m > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = m;
			}else{
				monthIndex = m + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

		if(!liuYueMingPan){
			return false;
		}
		
		var jieSanFangSiZhengStars = EnergyCalculator.getSpecifyGongWeiSanFangSiZhengStarsWithTianMa('GONGWEI_JIEGONG', liuYueMingPan, "LiuYueMingPan", true);
		
		var sanFangStars = jieSanFangSiZhengStars['zuo'].concat(jieSanFangSiZhengStars['hui']);
		
		var hasTianFu = false;
		for(var t = 0; t < sanFangStars.length; t ++){
			var starName = sanFangStars[t].getName();
			
			if(starName == "MAINSTAR_TIANFUXING"){
				hasTianFu = true;
				
				break;
			}
		}
		
		if(hasTianFu){
			if(isRunYue){
				resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
			}else{
				resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true,
		'append' : '最容易的月份为农历'+resultMonthArray.join('、')
	});
};

// 钱财-WC5
LiuNianFortuneQuestionAlgorithm.WC5 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC5_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC5_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var xiongdiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_XIONGDIGONG', liuNianMingPan, "LiuNianMingPan");
	
	var sanFangStars = xiongdiSanFangSiZhengStars['zuo'].concat(xiongdiSanFangSiZhengStars['hui']);
	
	var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(sanFangStars, "LiuNianMingPan");
	
	var hasLiuNianHuaJi = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		if(sanFangStars[i].getSiHuaOfLiuNian() == "SIHUA_JI"){
			hasLiuNianHuaJi = true;
			
			break;
		}
	}
	
	if(shaNum < 3 && !hasLiuNianHuaJi){
		return JSON.stringify({
				'request' : 'A',
				'useful' : true
			});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 钱财-WC6
LiuNianFortuneQuestionAlgorithm.WC6 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC6_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC6_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuNianMingPan, "LiuNianMingPan");
	
	var sanFangStars = tianzhaiSanFangSiZhengStars['zuo'].concat(tianzhaiSanFangSiZhengStars['hui']);
	
	var totalStars = sanFangStars.concat(tianzhaiSanFangSiZhengStars['dui']);
	
	var shaNum = MingShuQuestionsAlgorithm.commonUtil_getSanFangSiZhengShaNum(sanFangStars, "LiuNianMingPan");

	var isStrong = false;
	
	for(var i = 0; i < tianzhaiSanFangSiZhengStars['zuo'].length; i ++){
		var starName = tianzhaiSanFangSiZhengStars['zuo'][i].getName();
				
		if(starName.indexOf("MAINSTAR_") >= 0){
			isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
			
			break;
		}
	}
	
	var hasKongJie = false;
	var hasLiuRiHuaKeLuQuan = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		if(sanFangStars[i].getName() == "FIENDSTAR_DIKONGXING" || sanFangStars[i].getName() == "FIENDSTAR_DIJIEXING"){
			hasKongJie = true;
		}
	}
	
	for(var i = 0; i < totalStars.length; i ++){
		if(totalStars[i].getSiHuaOfLiuNian() == "SIHUA_LU" || totalStars[i].getSiHuaOfLiuNian() == "SIHUA_QUAN" || totalStars[i].getSiHuaOfLiuNian() == "SIHUA_KE"){
			hasLiuRiHuaKeLuQuan = true;
			
			break;
		}
	}
	
	if(isStrong){
		if(!hasKongJie){
			return JSON.stringify({
				'request' : 'A',
				'useful' : true
			});
		}else{
			return JSON.stringify({
				'request' : 'B',
				'useful' : true
			});
		}
	}else{
		if(hasLiuRiHuaKeLuQuan){
			return JSON.stringify({
				'request' : 'C',
				'useful' : true
			});
		}else{
			return JSON.stringify({
				'request' : 'D',
				'useful' : true
			});
		}
	}
};

// 钱财-WC7
LiuNianFortuneQuestionAlgorithm.WC7 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC7_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC7_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var curYear = liuNianMingPan.getYear();
				
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];

	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var resultMonthArray = new Array();
	
	for(var m = 0; m < monthInfo.length; m ++){
		var monthIndex, isRunYue = false;
		
		if(m < runYueIndex){
			monthIndex = m + 1;
		}else if(m == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(m > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = m;
			}else{
				monthIndex = m + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

		if(!liuYueMingPan){
			return false;
		}
		
		var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuYueMingPan, "LiuYueMingPan");
	
		for(var i = 0; i < tianzhaiSanFangSiZhengStars['zuo'].length; i ++){
			var starName = tianzhaiSanFangSiZhengStars['zuo'][i].getName();
				
			if(starName.indexOf("MAINSTAR_") >= 0){
				if(WeiSuanQuestionUtil.mainStarsIsStrong(starName)){
					if(isRunYue){
						resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
					}else{
						resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
					}
					
					break;
				}
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true,
		'append' : '能量最强的月份是：农历' + resultMonthArray.join('、')
	});
};

// 钱财-WC8
LiuNianFortuneQuestionAlgorithm.WC8 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC8_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC8_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
				
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];

	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[liuNian-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var resultMonthArray = new Array();
	
	for(var m = 0; m < monthInfo.length; m ++){
		var monthIndex, isRunYue = false;
		
		if(m < runYueIndex){
			monthIndex = m + 1;
		}else if(m == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(m > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = m;
			}else{
				monthIndex = m + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(liuNian, monthIndex, isRunYue);

		if(!liuYueMingPan){
			continue;
		}
		
		var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuYueMingPan, "LiuYueMingPan");
	
		var sanFangStars = tianzhaiSanFangSiZhengStars['zuo'].concat(tianzhaiSanFangSiZhengStars['hui']);
		
		var hasKongJie = false;
	
		for(var i = 0; i < sanFangStars.length; i ++){
			if(sanFangStars[i].getName() == "FIENDSTAR_DIKONGXING" || sanFangStars[i].getName() == "FIENDSTAR_DIJIEXING"){
				hasKongJie = true;
				
				break;
			}
		}
	
		if(hasKongJie){
			if(isRunYue){
				resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
			}else{
				resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true,
		'append' : '能量最强的月份是：农历' + resultMonthArray.join('、')
	});
};

// 钱财-WC9
LiuNianFortuneQuestionAlgorithm.WC9 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC9_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC9_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}

	var mingSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_MINGGONG', liuNianMingPan, "LiuNianMingPan");

	var mingTotalStars = mingSanFangSiZhengStars['zuo'].concat(mingSanFangSiZhengStars['hui'], mingSanFangSiZhengStars['dui']);
	var mingSanFangStars = mingSanFangSiZhengStars['zuo'].concat(mingSanFangSiZhengStars['hui']);
	
	var mingHasLianZhenWuQu = false;
	var mingHasKongJie = false;
	
	for(var i = 0; i < mingTotalStars.length; i ++){
		var starName = mingTotalStars[i].getName();
		
		if("MAINSTAR_WUQUXING" == starName){   // || "MAINSTAR_LIANZHENXING" == starName
			mingHasLianZhenWuQu = true;
		}
	}
	
	for(var i = 0; i < mingSanFangStars.length; i ++){
		var starName = mingSanFangStars[i].getName();
		
		if("FIENDSTAR_DIKONGXING" == starName || "FIENDSTAR_DIJIEXING" == starName){
			mingHasKongJie = true;
		}
	}
	
	var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuNianMingPan, "LiuNianMingPan");

	var tianzhaiSanFangStars = tianzhaiSanFangSiZhengStars['zuo'].concat(tianzhaiSanFangSiZhengStars['hui'], tianzhaiSanFangSiZhengStars['dui']);
	
	var tianzhaiHasLuCun = false,
		tianzhaiHasXianTianHuaLu = false,
		tianzhaiHasDaYunHuaLu = false,
		tianzhaiHasLiuNianHuaLu = false;
	
	for(var i = 0; i < tianzhaiSanFangStars.length; i ++){
		var starName = tianzhaiSanFangStars[i].getName();
		var liuNianSiHua = tianzhaiSanFangStars[i].getSiHuaOfLiuNian();
		var daYunSiHua = tianzhaiSanFangStars[i].getSiHuaOfDaYun();
		var xianTianSiHua = tianzhaiSanFangStars[i].getSiXiang();
		
		if(starName == "GEMSTAR_LUCUNXING"){
			tianzhaiHasLuCun = true;
		}
		
		if("SIHUA_LU" == xianTianSiHua){
			tianzhaiHasXianTianHuaLu = true;
		}
		
		if("SIHUA_LU" == liuNianSiHua){
			tianzhaiHasLiuNianHuaLu = true;
		}
		
		if("SIHUA_LU" == daYunSiHua){
			tianzhaiHasDaYunHuaLu = true;
		}
	}
	
	if(mingHasLianZhenWuQu && (tianzhaiHasLuCun || tianzhaiHasLiuNianHuaLu || tianzhaiHasDaYunHuaLu)){
		return JSON.stringify({
			request : 'B',
			useful : true
		});
	}
	
	if(tianzhaiHasLuCun && tianzhaiHasXianTianHuaLu && tianzhaiHasDaYunHuaLu && tianzhaiHasLiuNianHuaLu){
		return JSON.stringify({
			request : 'B',
			useful : true
		});
	}
	
	var tianzhaiCoincideAndHasLu = false;
	
	var sections = liuNianMingPan.getItems();
	
	for(var i = 0; i < sections.length; i ++){
		var dayunGongWei = sections[i].getDaYunGongWei();
		var liunianGongWei = sections[i].getLiuNianGongWei();
		var stars = sections[i]
		
		if(dayunGongWei == "GONGWEI_TIANZHAIGONG" && liunianGongWei == "GONGWEI_TIANZHAIGONG"){
			var isStrong = false;
			
			for(var j = 0; j < tianzhaiSanFangSiZhengStars['zuo'].length; j ++){
				var starName = tianzhaiSanFangSiZhengStars['zuo'][j].getName();
				
				if(starName.indexOf("MAINSTAR_") >= 0){
					isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
					
					break;
				}
			}
		
			if(isStrong && (tianzhaiHasLuCun || tianzhaiHasDaYunHuaLu || tianzhaiHasLiuNianHuaLu)){
				tianzhaiCoincideAndHasLu = true;
				
				break;
			}
		}
	}
	
	if(tianzhaiCoincideAndHasLu){
		return JSON.stringify({
			request : 'B',
			useful : true
		});
	}
	
	if(mingHasLianZhenWuQu && mingHasKongJie && (tianzhaiHasLuCun || tianzhaiHasLiuNianHuaLu || tianzhaiHasDaYunHuaLu)){
		return JSON.stringify({
			request : 'A',
			useful : true
		});
	}
	
	if(mingHasKongJie && tianzhaiCoincideAndHasLu){
		return JSON.stringify({
			request : 'A',
			useful : true
		});
	}
	
	return JSON.stringify({
		request : 'C',
		useful : true
	});
};

// 钱财-WC10
LiuNianFortuneQuestionAlgorithm.WC10 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC10_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC10_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var curYear = liuNianMingPan.getYear();
				
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];

	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var resultMonthArray = new Array();
	
	for(var m = 0; m < monthInfo.length; m ++){
		var monthIndex, isRunYue = false;
		
		if(m < runYueIndex){
			monthIndex = m + 1;
		}else if(m == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(m > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = m;
			}else{
				monthIndex = m + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

		if(!liuYueMingPan){
			continue;
		}
		
		var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuYueMingPan, "LiuYueMingPan");
	
		var sanFangStars = tianzhaiSanFangSiZhengStars['zuo'].concat(tianzhaiSanFangSiZhengStars['hui']);
		
		var isStrong = false;
	
		for(var i = 0; i < sanFangStars.length; i ++){
			var starName = sanFangStars[i].getName();
			
			if(starName.indexOf("MAINSTAR_") >= 0){
				isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
				
				break;
			}
		}
	
		if(isStrong){
			if(isRunYue){
				resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
			}else{
				resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true,
		'append' : '能量最强的月份是：农历' + resultMonthArray.join('、')
	});
};

// 钱财-WC11
LiuNianFortuneQuestionAlgorithm.WC11 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC11_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC11_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var curYear = liuNianMingPan.getYear();
				
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];

	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var resultMonthArray = new Array();
	
	for(var m = 0; m < monthInfo.length; m ++){
		var monthIndex, isRunYue = false;
		
		if(m < runYueIndex){
			monthIndex = m + 1;
		}else if(m == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(m > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = m;
			}else{
				monthIndex = m + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

		if(!liuYueMingPan){
			continue;
		}
		
		var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuYueMingPan, "LiuYueMingPan");
	
		var sanFangStars = tianzhaiSanFangSiZhengStars['zuo'].concat(tianzhaiSanFangSiZhengStars['hui'], tianzhaiSanFangSiZhengStars['dui']);
		
		var hasKongJie = false;
	
		for(var i = 0; i < sanFangStars.length; i ++){
			if(sanFangStars[i].getName() == "FIENDSTAR_DIKONGXING" || sanFangStars[i].getName() == "FIENDSTAR_DIJIEXING"){
				hasKongJie = true;
				
				break;
			}
		}
	
		if(hasKongJie){
			if(isRunYue){
				resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
			}else{
				resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true,
		'append' : '能量最强的月份是：农历' + resultMonthArray.join('、')
	});
};

// 钱财-WC12
LiuNianFortuneQuestionAlgorithm.WC12 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC12_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC12_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}

	var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuNianMingPan, "LiuNianMingPan");

	var tianzhaiSanFangStars = tianzhaiSanFangSiZhengStars['zuo'].concat(tianzhaiSanFangSiZhengStars['hui']);
	
	var hasKongJieQingYang = false;
	
	for(var i = 0; i < tianzhaiSanFangStars.length; i ++){
		var starName = tianzhaiSanFangStars[i].getName();

		if("FIENDSTAR_QINGYANGXING" == starName || "FIENDSTAR_DIKONGXING" == starName || "FIENDSTAR_DIJIEXING" == starName){
			hasKongJieQingYang = true;
			
			break;
		}
	}
	
	if(hasKongJieQingYang){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 钱财-WC13
LiuNianFortuneQuestionAlgorithm.WC13 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC13_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC13_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var caiboSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_CAIBOGONG', liuNianMingPan, "LiuNianMingPan");

	var caiboHasStrongMainStar = false;
	for(var i = 0; i < caiboSanFangSiZhengStars['zuo'].length; i ++){
		var starName = caiboSanFangSiZhengStars['zuo'][i].getName();
		
		if(starName.indexOf("MAINSTAR_") >= 0){
			caiboHasStrongMainStar = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
			
			break;
		}
	}
	
	var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuNianMingPan, "LiuNianMingPan");

	var hasKongJieQingYang = false;
	
	for(var i = 0; i < tianzhaiSanFangSiZhengStars['zuo'].length; i ++){
		var starName = tianzhaiSanFangSiZhengStars['zuo'][i].getName();

		if("FIENDSTAR_QINGYANGXING" == starName || "FIENDSTAR_DIKONGXING" == starName || "FIENDSTAR_DIJIEXING" == starName){
			hasKongJieQingYang = true;
			
			break;
		}
	}
	
	if(caiboHasStrongMainStar && hasKongJieQingYang){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 钱财-WC14
LiuNianFortuneQuestionAlgorithm.WC14 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC14_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC14_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var curYear = liuNianMingPan.getYear();
				
	var defaultLunarMonth = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];

	var calendar = new PerpetualCalendar();
		
	var basePerpetualCalenderItem = calendar.getCalendar()[curYear-1901];    // 获取该年的数据
	
	var runYueIndex = basePerpetualCalenderItem.runYueIndex;
	
	var monthInfo = basePerpetualCalenderItem.monthInfo;

	var resultMonthArray = new Array();
	
	for(var m = 0; m < monthInfo.length; m ++){
		var monthIndex, isRunYue = false;
		
		if(m < runYueIndex){
			monthIndex = m + 1;
		}else if(m == runYueIndex){
			monthIndex = runYueIndex;
			isRunYue = true;
		}else if(m > runYueIndex){
			if(runYueIndex > 0){
				monthIndex = m;
			}else{
				monthIndex = m + 1;
			}
		}
		
		var liuYueMingPan = curUser.getLiuYueMingPan(curYear, monthIndex, isRunYue);

		if(!liuYueMingPan){
			continue;
		}
		
		var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuYueMingPan, "LiuYueMingPan");
	
		var sanFangStars = tianzhaiSanFangSiZhengStars['zuo'].concat(tianzhaiSanFangSiZhengStars['hui']);
		
		var hasKongJieQingYang = false;
	
		for(var i = 0; i < sanFangStars.length; i ++){
			if(sanFangStars[i].getName() == "FIENDSTAR_QINGYANGXING" || sanFangStars[i].getName() == "FIENDSTAR_DIKONGXING" || sanFangStars[i].getName() == "FIENDSTAR_DIJIEXING"){
				hasKongJieQingYang = true;
				
				break;
			}
		}
	
		if(hasKongJieQingYang){
			if(isRunYue){
				resultMonthArray.push("闰" + defaultLunarMonth[monthIndex - 1]);
			}else{
				resultMonthArray.push(defaultLunarMonth[monthIndex - 1]);
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'A',
		'useful' : true,
		'append' : '能量最强的月份是：农历' + resultMonthArray.join('、')
	});
};

// 钱财-WC15
LiuNianFortuneQuestionAlgorithm.WC15 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WC15_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WC15_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}

	var tianzhaiSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_TIANZHAIGONG', liuNianMingPan, "LiuNianMingPan");
	var sanFangStars = tianzhaiSanFangSiZhengStars['zuo'].concat(tianzhaiSanFangSiZhengStars['hui']);
	
	var hasKongJieQingYang = false;
	var isStrong = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		var starName = sanFangStars[i].getName();

		if("FIENDSTAR_QINGYANGXING" == starName || "FIENDSTAR_DIKONGXING" == starName || "FIENDSTAR_DIJIEXING" == starName){
			hasKongJieQingYang = true;
		}
		
		if(starName.indexOf("MAINSTAR_") >= 0){
			isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
		}
	}
	
	if(isStrong && !hasKongJieQingYang){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	if(isStrong && hasKongJieQingYang){
		return JSON.stringify({
			'request' : 'B',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'C',
		'useful' : true
	});
};

// 怀孕-WY1
LiuNianFortuneQuestionAlgorithm.WY1 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WY1_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WY1_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}
	
	if(curUser.getUserInfo().getGender() == "GENDER_NAN"){
		return JSON.stringify({
			'request' : false,
			'useful' : false,
			'append' : '此问题仅对女士有效。'
		});
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}
	
	var sections = liuNianMingPan.getItems();
	
	var isStrong = false;
	var hasKongJie = false;
	
	for(var i = 0; i < sections.length; i ++){
		var liuNianGongWei = sections[i].getLiuNianGongWei();
		
		if(liuNianGongWei.indexOf("GONGWEI_ZINVGONG") >= 0){
			
			var stars = sections[i].getStars();
			
			for(var j = 0; j < stars.length; j ++){
				var starName = stars[j].getName();
				
				if(starName.indexOf("MAINSTAR_") >= 0){
					isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
				}
				
				if(starName== "FIENDSTAR_DIKONGXING" || starName == "FIENDSTAR_DIJIEXING"){
					hasKongJie = true;
				}
			}
		}
	}
		
	var zinvSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_ZINVGONG', liuNianMingPan, "LiuNianMingPan");
	
	var totalStars = zinvSanFangSiZhengStars['zuo'].concat(zinvSanFangSiZhengStars['hui'], zinvSanFangSiZhengStars['dui']);
	
	var hasLiuLu = false;
	
	for(var m = 0 ; m < totalStars.length; m ++){
		var liuNianSiHua = totalStars[m].getSiHuaOfLiuNian();
		
		if(liuNianSiHua == "SIHUA_LU"){
			hasLiuLu = true;
			
			break;
		}
	}
	
	if(!hasKongJie){
		if(isStrong){
			return JSON.stringify({
				'request' : 'A',
				'useful' : true
			});
		}else{
			if(hasLiuLu){
				return JSON.stringify({
					'request' : 'A',
					'useful' : true
				});
			}
		}
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};

// 学业-WX1
LiuNianFortuneQuestionAlgorithm.WX1 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WX1_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WX1_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}

	var shiyeSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_SHIYEGONG', liuNianMingPan, "LiuNianMingPan");
	var sanFangStars = shiyeSanFangSiZhengStars['zuo'].concat(shiyeSanFangSiZhengStars['hui']);
	
	var hasKongJie = false;
	var isStrong = false;
	var hasChangQu = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		var starName = sanFangStars[i].getName();

		if("FIENDSTAR_DIKONGXING" == starName || "FIENDSTAR_DIJIEXING" == starName){
			hasKongJie = true;
		}
		
		if("GEMSTAR_WENCHANGXING" == starName || "GEMSTAR_WENQUXING" == starName){
			hasChangQu = true;
		}
		
		if(starName.indexOf("MAINSTAR_") >= 0){
			isStrong = WeiSuanQuestionUtil.mainStarsIsStrong(starName);
		}
	}
	
	if(hasChangQu && !hasKongJie){
		if(isStrong){
			return JSON.stringify({
				'request' : 'A',
				'useful' : true
			});
		}else{
			return JSON.stringify({
				'request' : 'B',
				'useful' : true
			});
		}
	}
	
	return JSON.stringify({
		'request' : 'C',
		'useful' : true
	});
};

// 学业-WX4
LiuNianFortuneQuestionAlgorithm.WX4 = function()
{
	var result = LiuNianFortuneQuestionAlgorithm.WX4_stub();
	
	return result;
};

LiuNianFortuneQuestionAlgorithm.WX4_stub = function()
{
	var curUser = getCurrentUser() ? getCurrentUser().user : false;
	
	if(!curUser){
		return false;
	}

	var liuNian = LiuNianFortuneQuestionAlgorithm.getLiuNian();
	var liuNianMingPan = curUser.getLiuNianMingPan(liuNian);
	
	if(!liuNianMingPan){
		return false;
	}

	var shiyeSanFangSiZhengStars = EnergyCalculator.getSpecifyMingPanSanFangSiZhengStars('GONGWEI_SHIYEGONG', liuNianMingPan, "LiuNianMingPan");
	var sanFangStars = shiyeSanFangSiZhengStars['zuo'].concat(shiyeSanFangSiZhengStars['hui']);
	
	var hasChangQu = false;
	
	for(var i = 0; i < sanFangStars.length; i ++){
		var starName = sanFangStars[i].getName();
		
		if("GEMSTAR_WENCHANGXING" == starName || "GEMSTAR_WENQUXING" == starName){
			hasChangQu = true;
		}
	}
	
	if(hasChangQu){
		return JSON.stringify({
			'request' : 'A',
			'useful' : true
		});
	}
	
	return JSON.stringify({
		'request' : 'B',
		'useful' : true
	});
};