/**
 * TianGongGongEnum.js
 * 天公公枚举
 *
 * @date 2014-02-14
 * @version 0.1
 */
 
 function TianGongGongEnum(){
 
 }
 
 TianGongGongEnum.consts = new Object();
 
 TianGongGongEnum.consts.STAR_TIP = {
	"MAINSTAR_ZIWEIXING" : "容易会发生：事业、职务、利财、考试、名誉等事情。\n正能量强：可得贵人相助，能发挥才干，事情顺利，地位高升，经商赚钱，可加大投资。\n负能量强：容易有孤独感，无助的苦恼。",
	"MAINSTAR_WUQUXING" : "容易会发生：利财、竞争、健康、旅行等事情。\n正能量强：适宜创业、声誉好、政界高升、经商发财。\n负能量强：财运欠佳、财务纠纷、事业低落。资金容易周转困难。打架、刑伤。",
	"MAINSTAR_TIANFUXING" : "容易会发生：工作、利财、产业、不动产方面的事情，可以创业，购置房产。\n正能量强：容易在金钱，地位，婚姻，声誉，考试等呈现不错的状态。能量强的还有可能遇到升迁、发财的机遇，可以加大投资，可以合伙，购置房地产。\n负能量强：运气平平，遇到困难挫折，计划难实现，产生空虚感都有可能。",
	"MAINSTAR_TIANXIANGXING" : "容易会发生：事业、仕途、夫运、学问等相关事情。\n正能量强：会与地位高的人相识往来，胸怀大略，具有前瞻性，事业顺利，赚钱有利。易有外调或出差。\n负能量强：要特别小心受人欺骗、破财、意外。",
	"MAINSTAR_LIANZHENXING" : "容易会发生：工作、夫妻、情色、健康、赚钱、名誉等相关事情\n正能量强：容易有突发性的好机遇，政界升官提职，经商赚钱，未婚者遇到不错的对象。可以加大事业投资。\n负能量强：容易有官司纠纷，预防意外与出行安全。不宜冒险。感情事伤心。",
	"MAINSTAR_QISHAXING" : "容易会发生：工作、外出、事业变动、健康等有关的事情。\n正能量强：会有意外的好运，一举成名，地位高升。事业会有好的变动。\n负能量强：易有纷争、事业反复失败，急成急败。易有疾病与官司。",
	"MAINSTAR_POJUNXING" : "容易会发生：利财、子女、健康等有关事情。\n正能量强：会碰到意想不到的事情发生。福气多多，也能突然攻克难关而做出成绩。事业突然发达。女命容易结婚或者生育。\n负能量强：事业就会突然衰败。因为某种原因花销大。女命容易流产。易受伤，手术。", 
	"MAINSTAR_TANLANGXING" : "容易会发生：夫妻、色情、健康、交际应酬、买房、搬家、装修、异性交往等相关事情。\n正能量强：事业多开创机遇多，升职发财，容易接触不错的异性。\n负能量强：事事不如意，夫妻不合，破财，事业阻碍，容易有色情纠纷，女性易有感情破裂或流产。",
	"MAINSTAR_TIANTONGXING" : "容易会发生：交际、夫妻、色情、健康、旅行、饮食、喜庆、宴会、吃喝玩乐等相关事情\n正能量强：容易懒散但运气很好，喜事临门，交友广而获益。事情顺利，常有人宴请。\n负能量强：事业有阻碍，运气欠佳，夫妻不合，生病破财，缺少享受乐趣。容易感伤，牙、心、肾、生殖系统容易生病。",
	"MAINSTAR_TIANLIANGXING" : "容易会发生：旅行、健康、学问、苦恼等有关的事情。\n正能量强：有利于求职、求学、求名。官员和公务员易获得领导的赏识和重要。声誉日高，有升迁加薪的机会。有利求医看病，中医更佳。\n负能量强：常遇小人，事业不顺，容易生病，家庭有时不太和睦。", 
	"MAINSTAR_TIANJIXING" : "容易会发生：交际、应酬、事业变动、外出、搬家、学问、考试、名誉、宗教、数术的事情。\n正能量强：多得贤人指路，思维敏捷，机遇较多，事业大有发展，建议果敢行动。\n负能量强：会有沮丧的境遇，头痛心烦。",
	"MAINSTAR_TAIYINXING" : "容易会发生：旅游、房产、理财、女性亲属、情感等事情。\n正能量强：可以得到女性贵人的助力，理财运旺，适宜到有水的地方游玩。感情相处顺利。\n负能量强：会产生感情纠葛，伤神伤心。",
	"MAINSTAR_TAIYANGXING" : "容易会发生：工作、考试、事业、名誉等事情。女性容易有关于父、夫、子等方面的事情。\n正能量强：容易有创业想法，会接近与政治有关的人或事。升职、进财、添子、结婚等喜气事。女性容易有桃花缘。\n负能量强：容易招人抱怨名誉受损。女性容易有烂桃花。",
	"MAINSTAR_JUMENXING" : "容易会发生：口舌是非，暧昧，健康等有关的事情。\n正能量强：会有新的发展，获得好的名声。说话有说服力。\n负能量强：是非多，引起法纪方面的纠纷，做事进退不定，失去地位，失业，失业不如意，夫妻不和睦。天公公建议：此年或此月适宜去进修语言技能，可以改善负能量干扰）",
	"GEMSTAR_TIANKUIXING" : "正能量强：活动能力强，得长辈相助，事业顺利，升职加薪。事业机遇多。",
	"GEMSTAR_TIANYUEXING" : "正能量强：活动能力强，得长辈相助，事业顺利，升职加薪。事业机遇多。",
	"GEMSTAR_WENCHANGXING" : "正能量强：在文学艺术，学问，考试，名誉上容易成功。\n负能量强：口舌是非，不利考试、合伙、名声，易有文书、契约、合同上的纠纷，表达、文字错误。",
	"GEMSTAR_WENQUXING" : "正能量强：在文学艺术，学问，考试，名誉上容易成功。\n负能量强：口舌是非，不利考试、合伙、名声，易有文书、契约、合同上的纠纷，表达、文字错误。", 
	"GEMSTAR_ZUOFUXING" : "正能量强：容易得到同事朋友的帮助。",
	"GEMSTAR_YOUBIXING" : "正能量强：容易得到同事朋友的帮助。",
	"GEMSTAR_LUCUNXING" : "正能量强：会发生工作，利财，不动产之事。发财升职，劳中获财。", 
	"GEMSTAR_TIANMAXING" : "正能量强： 有机会旅游，升迁，迁动的事情。\n负能量强： 反而不易出行。减少事情变动带来的负面影响。",
	"FIENDSTAR_QINGYANGXING" : "负能量强：容易发生伤害、疾病、争执之事。",
	"FIENDSTAR_TUOLUOXING" : "负能量强：容易发生伤害、疾病、争执之事。", 
	"FIENDSTAR_DIKONGXING" : "负能量强：常遇虚假之事，发生钱财亏损，破财，生病难免。",
	"FIENDSTAR_DIJIEXING" : "负能量强：常遇虚假之事，发生钱财亏损，破财，生病难免。", 
	"FIENDSTAR_HUOXING" : "负能量强：是非纠纷不断。", 
	"FIENDSTAR_LINGXING" : "负能量强：是非纠纷不断。"
 };
 
 TianGongGongEnum.consts.WAIJIEENERGY = {
	"TG_JIA" : {
		"positive" : {
			"title" : "正能量",
			"description" : "万象更新，好的契机开始。执着努力会大有收获。",
			"items" : [
				"恋爱 —— 对于情感传达非常有利。", "工作 —— 充分发挥利用好创意想法的执行力。", "财运 —— 可以提升自身理财能力，整体财运也会有所提升。", 
				"运势 —— 可以发挥改变创新的能量，根据自身状况发力突破难关。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"人际 —— 适当减少与长辈、领导、父亲或老公之间的不必要的争执与负干扰。",
				"身体 —— 注意多休息减少视觉疲劳。"
			]
		}
	},
	"TG_YI" : {
		"positive" : {
			"title" : "正能量",
			"description" : "运筹帷幄，开展智力。",
			"items" : [
				"恋爱 —— 发挥想法的正能量带给对方一个小惊喜，让感情与关系更进一步。", 
				"工作 —— 充分发挥利用好灵感的正能量，让策划创意工作更加出色。适合开发自己领导潜能，提升职场上升空间。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"恋爱 —— 感情困扰的负能量会影响到有问题的恋人相处对待。", "人际 —— 适当减少与女性领导、母亲或老婆之间的不必要的争执与负干扰。易逢小人。",
				"身体 —— 注意内分泌，女性妇科疾病。"
			]
		}
	},
	"TG_BING" : {
		"positive" : {
			"title" : "正能量",
			"description" : "乐观，积极，以亲和力帮助获利。",
			"items" : [
				"恋爱 —— 跟恋人一起去公园放松一下吧，或者把你深藏很久的心里话写出来发给他（她）。", 
				"工作 —— 利用好不错的思考正能量，对合同、支票也会比较有利。",
				"学业 —— 对考试，写作正能量极佳。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"恋爱 —— 容易认识上烂桃花。忌相亲，忌发生争吵。", "出行 —— 开车的朋友要多注意安全。多检查自己的出行工具。出远门玩，要注意出行安全，千万不可大意。",
				"工作 —— 工作上压力太大就去有山有水有树的地方放松一下。注意劳逸结合，别把自己搞的太累。", "财运 —— 注意跟他人之间产生不必要的财务纠纷与官司。",
				"人际 —— 易逢小人。", "身体 —— 容易碰伤。建议适当献血。"
			]
		}
	},
	"TG_DING" : {
		"positive" : {
			"title" : "正能量",
			"description" : "女人缘旺，购置房产有利。",
			"items" : [
				"恋爱 —— 对于女生可以释放自身魅力提升异性缘。", 
				"工作 ——  充分发挥自身才能的好时机。",
				"财运 —— 按部就班的加强自身财运正能量。",
				"出行 —— 适合旅游度假。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"恋爱 —— 情侣配偶之间，学会淡定，减少争执，控制住自己的嘴。", "出行 —— 外出避免跟人争吵。",
				"工作 —— 要注意跟领导保持好关系，别争执。", "人际 —— 易逢小人在背后搬弄是非。",
				"身体 —— 吃东西要注意干净卫生。防治肠胃不适。"
			]
		}
	},
	"TG_WU" : {
		"positive" : {
			"title" : "正能量",
			"description" : "偏财旺，异性缘也不错。",
			"items" : [
				"恋爱 —— 异性缘分正能量达到最高值，想恋爱的小伙伴好好抓住机会。", 
				"工作 —— 好好发挥自身的专业能力加上同事的有利协助，让工作表现更加出色，同时有机会提升收入。",
				"财运 —— 理财能力与偏财运气都非常有利。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"恋爱 —— 情侣配偶之间，容易会有小麻烦，想开点，开开心心就对了。", "出行 —— 开车的时候要多加留心，注意交通安全。",
				"工作 —— 工作中遇到想不明白的问题，学会放一放，不要聪明反被聪明误。", "财运 —— 不易投机导致钱财损失。",
				"身体 —— 多注意休息，防头疼发生。"
			]
		}
	},
	"TG_JI" : {
		"positive" : {
			"title" : "正能量",
			"description" : "财运旺，赚钱机会多。",
			"items" : [
				"工作 —— 可以通过自身的行业地位与名声拓展更多的财源。", 
				"财运 —— 赚钱机会正能量极强，好好行动起来。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"人际 —— 留意口舌是非。", "工作 —— 减少功利心态，过分表现。注意文书与官司是非负能量干扰，文件资料证件的丢失。",
				"学业 —— 对考试不太有利。才能的表现上欠佳。", "恋爱 —— 需注意欲速则不达，单身者相亲不能急。",
				"身体 —— 脸上比平时更容易长小痘痘。"
			]
		}
	},
	"TG_GENG" : {
		"positive" : {
			"title" : "正能量",
			"description" : "男人缘旺，事业开展顺利。",
			"items" : [
				"恋爱 —— 女孩子桃花运会很棒，也许有机会能一见钟情！", 
				"工作 —— 对于做传播推广工作的朋友运势极佳。",
				"财运 —— 赚钱的能量极强，让身心保持最佳状态，财运就会更加旺盛。", 
				"人际 —— 女性贵人能量强。多一些社交活动提升贵人运。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"恋爱 —— 情侣配偶之间，控制情绪波动，减少争执。", "出行 —— 外出游玩负能量干扰大。",
				"身体 —— 情绪容易失控，放松心情。"
			]
		}
	},
	"TG_XIN" : {
		"positive" : {
			"title" : "正能量",
			"description" : "开口见财，文教、卫生、传媒行业有利。",
			"items" : [
				"恋爱 ——  把爱大胆的说出来。", 
				"工作 —— 通过表达演说的正能量提升工作运势。顺利有效开展事业。演艺事业正能量旺盛。",
				"财运 ——  通过表达沟通的正能量拓展更多的财源。营销、教育的进财旺。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"人际 —— 易犯小人。出现意外。", "工作 —— 文件、资料、合同、文字、数字多细心检查，防止错误发生。",
				"学业 —— 对学习、考试不太有利。", "身体 —— 体质容易较弱，脸上比平时更容易长小痘痘。",
				"出行 —— 出行要遵守交通规则，以免被罚。"
			]
		}
	},
	"TG_REN" : {
		"positive" : {
			"title" : "正能量",
			"description" : "长者助力强，逢凶化吉。",
			"items" : [
				"恋爱 ——  通过长者的介绍可以提升恋爱指数。", 
				"工作 —— 地位和权力可以进一步提升。容易突显策划谋略才能。",
				"财运 ——  暗财、偏财运不错。服务业进财顺利。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"人际 —— 容易因为钱导致是非纠葛。切忌不要与人发生争执。", "工作 —— 因为待遇导致换工作的负能量增强。",
				"恋爱 —— 很容易感情中出现第三者。泡妞需谨慎，谨防遇到女骗子。", "财运 —— 需注意财务方面的损失。比如过度消费、开销大、理财损失、财务纠纷。",
				"身体 —— 内心容易孤独。", "出行 —— 出行要格外注意安全，以免发生交通事故。"
			]
		}
	},
	"TG_GUI" : {
		"positive" : {
			"title" : "正能量",
			"description" : "有强大的开展力。",
			"items" : [
				"工作 —— 工作运顺畅，可以大胆开拓事业，容易成功。表达能力提升工作运势。", 
				"财运 —— 尝试改变，行动起来，赚钱的运势就会大增。",
				"出行 —— 外出容易遇到女性贵人。"
			]
		},
		"negative" : {
			"title" : "负能量",
			"description" : "",
			"items" : [
				"恋爱 —— 防烂桃花，不利表白。欲望过强导致失败，相亲成功率低。容易感情不和闹矛盾。", "财运 —— 不要太贪，不要强求，顺其自然比较好。",
				"身体 —— 注意警惕皮肤过敏。", "人际 —— 需要注意人际关系。保持淡定的心态是关键。"
			]
		}
	}
 };