/**
 * Simplified.js
 * 简体
 *
 * @date 2014-01-13
 * @version 0.1
 */
 
 namespace("com.taxen.framework.ziwei.lang");
 
 /**
  * BizEnum的简体版
  */
 function BizEnum_Simplified(){
 
 }
 
 // 天干
 BizEnum_Simplified.TIANGAN = ["甲", "乙", "丙", "丁", "戊", "己", "庚", "辛", "壬", "癸"];
  
 // 地支 
 BizEnum_Simplified.DIZHI= ["子", "丑", "寅", "卯", "辰", "巳", "午", "未", "申", "酉", "戌", "亥"];
 
 // 阴阳
 BizEnum_Simplified.YINYANG = ["阴", "阳"];
 
 // 性别
 BizEnum_Simplified.GENDER = ["男", "女"];
 
 // 生肖
 BizEnum_Simplified.ZODIAC = ["鼠", "牛", "虎", "兔", "龙", "蛇", "马", "羊", "猴", "鸡", "狗", "猪"];
 
 // 60甲子
 BizEnum_Simplified.JIAZI = [ "甲子","乙丑","丙寅","丁卯","戊辰","己巳","庚午","辛未","壬申","癸酉", 
			　　   "甲戌","乙亥","丙子","丁丑","戊寅","己卯","庚辰","辛巳","壬午","癸未", 
			　　   "甲申","乙酉","丙戌","丁亥","戊子","己丑","庚寅","辛卯","壬辰","癸巳", 
			　　   "甲午","乙未","丙申","丁酉","戊戌","己亥","庚子","辛丑","壬寅","癸卯", 
			　　   "甲辰","乙巳","丙午","丁未","戊申","己酉","庚戌","辛亥","壬子","癸丑", 
			　　   "甲寅","乙卯","丙辰","丁巳","戊午","己未","庚申","辛酉","壬戌","癸亥"
			      ];
				  
 // 12宫位				  
 BizEnum_Simplified.GONGWEI = ["命宫", "兄弟宫", "夫妻宫", "子女宫", "财帛宫", "疾厄宫", "迁移宫", "交友宫", "事业宫", "田宅宫", "福德宫", "父母宫"];
 BizEnum_Simplified.GONGWEI.SHENGONG = "身宫";
 
 // 12长生
 BizEnum_Simplified.CHANGSHENG = ["长生", "沐浴", "冠带", "临官", "帝旺", "衰", "病", "死", "墓", "绝", "胎", "养"];
 
 // 12太岁杀禄
 BizEnum_Simplified.TAISUISHALU = ["博士", "力士", "青龙", "小耗", "将军", "奏书", "飞廉", "喜神", "病符", "大耗", "伏兵", "官府"];
 
 // 12流年岁前
 BizEnum_Simplified.LIUNIANSUIQIAN = ["岁建", "晦气", "丧门", "贯索", "官符", "小耗", "大耗", "龙德", "白虎", "天德", "吊客", "病符"];
 
 // 12流年将前
 BizEnum_Simplified.LIUNIANJIANGQIAN = ["将星","攀鞍", "岁驿", "息神", "华盖", "劫煞", "灾煞", "天煞", "指背", "咸池", "月煞", "亡神"];
 
 // 四化
 BizEnum_Simplified.SIHUA = ["禄", "权", "科", "忌"];
 
 // 星期
 BizEnum_Simplified.WEEK = [{
					"index" : 1,
					"name" : "星期一"
				 },{
					"index" : 2,
					"name" : "星期二"
				 },{
					"index" : 3,
					"name" : "星期三"
				 },{
					"index" : 4,
					"name" : "星期四"
				 },{
					"index" : 5,
					"name" : "星期五"
				 },{
					"index" : 6,
					"name" : "星期六"
				 },{
					"index" : 0,
					"name" : "星期日"
				 }];
 
 BizEnum_Simplified.LUNARDAY = ["一", "二", "三", "四", "五", "六", "七", "八", "九", "初", "十", "廿", "卅"];
 // 农历月内天数名称
 
 BizEnum_Simplified.LUNARDAYS = ["初一","初二","初三","初四","初五","初六","初七","初八","初九","初十",
  								 "十一","十二","十三","十四","十五","十六","十七","十八","十九","廿",
  								"廿一","廿二","廿三","廿四","廿五","廿六","廿七","廿八","廿九","卅"];
 // 农历月份名称
 BizEnum_Simplified.LUNARMONTH = [{
							"index" : 1,
							"name" : "正月"
						 },{
							"index" : 2,
							"name" : "二月"
						 },{
							"index" : 3,
							"name" : "三月"
						 },{
							"index" : 4,
							"name" : "四月"
						 },{
							"index" : 5,
							"name" : "五月"
						 },{
							"index" : 6,
							"name" : "六月"
						 },{
							"index" : 7,
							"name" : "七月"
						 },{
							"index" : 8,
							"name" : "八月"
						 },{
							"index" : 9,
							"name" : "九月"
						 },{
							"index" : 10,
							"name" : "十月"
						 },{
							"index" : 11,
							"name" : "冬月"
						 },{
							"index" : 12,
							"name" : "腊月"
						 }];
 
 // 命局
 BizEnum_Simplified.MINGJU = [{
						"index" : 2,
						"name" : "水二局"
					 },{
						"index" : 3,
						"name" : "木三局"
					 },{
						"index" : 4,
						"name" : "金四局"
					 },{
						"index" : 5,
						"name" : "土五局"
					 },{
						"index" : 6,
						"name" : "火六局"
					 }];

// 14主星
BizEnum_Simplified.MAINSTAR = ["紫微星", "武曲星", "天府星", "天相星", "廉贞星", "七杀星", "破军星", "贪狼星", "天同星", "天梁星", "天机星", "太阴星", "太阳星", "巨门星"];

// 8吉星
BizEnum_Simplified.GEMSTAR = ["天魁星", "天钺星", "文昌星", "文曲星", "左辅星", "右弼星", "禄存星", "天马星"];

// 6煞星
BizEnum_Simplified.FIENDSTAR = ["擎羊星", "陀罗星", "地空星", "地劫星", "火星", "铃星"];

// 小星
BizEnum_Simplified.NORMALSTAR = ["三台星", "天巫星", "红鸾星", "台辅星", "阴煞星", "天德星", "寡宿星", "旬空星",
                      "解神星", "八座星", "恩光星", "天哭星", "天刑星", "天官星", "天空星", "孤辰星", "蜚廉星",
					  "破碎星", "天喜星", "天才星", "天寿星", "截空星", "天厨星", "龙池星", "凤阁星", "天月星",
					  "年解星", "天姚星", "封诰星", "天福星", "天伤星", "月德星", "天贵星", "天虚星", "天使星", "华盖星"
                  ];
				  
				  
BizEnum_Simplified.COLORCONFIG = {
						"MAINSTAR":{           // 主星
							"color" : "#7F6AA7",
							"bgcolor" : "#FFFFFF"
						},
						"GEMSTAR":{          // 吉星
							"color" : "#E25618",
							"bgcolor" : "#FFFFFF"
						},
						"FIENDSTAR":{    // 煞星
							"color" : "#FFFFFF",
							"bgcolor" : "#000000"
						},
						"NORMALSTAR":{   // 小星
							"color" : "#000000",
							"bgcolor" : "#FFFFFF"
						},
						"MIAOWANG":{          // 庙旺
							"color" : "#FF0000",
							"bgcolor" : "#FFFFFF"
						},
						"XIANTIANGONGWEI":{     // 先天宫位
							"color" : "#3EAF99",
							"bgcolor" : "#FFFFFF"
						},
						"DAYUNGONGWEI":{     // 大运宫位
							"color" : "#458EC2",
							"bgcolor" : "#FFFFFF"
						},
						"LIUNIANGONGWEI":{    // 流年宫位
							"color" : "#DE5E47",
							"bgcolor" : "#FFFFFF"
						},
						"LIUYUEGONGWEI":{     // 流月宫位
							"color" : "#6BAA3F",
							"bgcolor" : "#FFFFFF"
						},
						"LIURIGONGWEI":{      // 流日宫位
							"color" : "#A6B9C8",
							"bgcolor" : "#FFFFFF"
						},
						"LIUSHIGONGWEI":{    // 流时宫位
							"color" : "#FF9933",
							"bgcolor" : "#FFFFFF"
						},
						"YUNYAO":{            // 运曜
							"color" : "#458EC2",
							"bgcolor" : "#FFFFFF"
						},
						"LIUYAO":{          // 流曜
							"color" : "#DE5E47",
							"bgcolor" : "#FFFFFF"
						},
						"XIANTIANSIHUA":{      // 先天四化
							"color" : "#FFFFFF",
							"bgcolor" : "#3EAF99"
						},
						"DAYUNSIHUA":{      // 大运四化
							"color" : "#FFFFFF",
							"bgcolor" : "#458EC2"
						},
						"LIUNIANSIHUA":{ // 流年四化
							"color" : "#FFFFFF",
							"bgcolor" : "#DE5E47"
						},
						"LIUYUESIHUA":{     // 流月四化
							"color" : "#FFFFFF",
							"bgcolor" : "#6BAA3F"
						},
						"LIURISIHUA":{      // 流日四化
							"color" : "#FFFFFF",
							"bgcolor" : "#A6B9C8"
						},
						"LIUSHISIHUA":{       // 流时四化
							"color" : "#FFFFFF",
							"bgcolor" : "#FF9933"
						},
						"SHENGONG":{         // 身宫
							"color" : "#FFFFFF",
							"bgcolor" : "#DA5A79"
						},
						"XIAOXIAN":{       // 小限
							"color" : "#FFFFFF",
							"bgcolor" : "#CEA0C8"
						},
						"AGEPERIOD":{      // 大运年龄
							"color" : "#458EC2",
							"bgcolor" : "#FFFFFF"
						},
						"LIUNIANYUE":{        // 月份
							"color" : "#6BAA3F",
							"bgcolor" : "#FFFFFF"
						},
						"TIANGAN":{      // 天干
							"color" : "#696A69",
							"bgcolor" : "#FFFFFF"
						},
						"DIZHI":{            // 地支
							"color" : "#696A69",
							"bgcolor" : "#FFFFFF"
						}};

/**
 * 小星庙旺配置
 */
BizEnum_Simplified.MIAOWANGCONFIG = {
	"紫微星" : ["平", "庙", "庙", "旺", "陷", "旺", "庙", "庙", "旺", "平", "闲", "旺"],
	"天机星" : ["庙", "陷", "旺", "旺", "庙", "平", "庙", "陷", "平", "旺", "庙", "平"],
	"太阳星" : ["陷", "陷", "旺", "庙", "旺", "旺", "庙", "平", "闲", "闲", "陷", "陷"],
	"武曲星" : ["旺", "庙", "闲", "陷", "庙", "平", "旺", "庙", "平", "旺", "庙", "平"],
	"天同星" : ["旺", "陷", "闲", "庙", "平", "庙", "陷", "陷", "旺", "平", "平", "庙"],
	"廉贞星" : ["平", "旺", "庙", "闲", "旺", "陷", "平", "庙", "庙", "平", "旺", "陷"],
	"天府星" : ["庙", "庙", "庙", "平", "庙", "平", "旺", "庙", "平", "陷", "庙", "旺"],
	"太阴星" : ["庙", "庙", "闲", "陷", "闲", "陷", "陷", "平", "平", "旺", "旺", "庙"],
	"贪狼星" : ["旺", "庙", "平", "地", "庙", "陷", "旺", "庙", "平", "平", "庙", "陷"],
	"巨门星" : ["旺", "旺", "庙", "庙", "平", "平", "旺", "陷", "庙", "庙", "旺", "旺"],
	"天相星" : ["庙", "庙", "庙", "陷", "旺", "平", "旺", "闲", "庙", "陷", "闲", "平"], 
	"天梁星" : ["庙", "旺", "庙", "庙", "旺", "陷", "庙", "旺", "陷", "地", "旺", "陷"],
	"七杀星" : ["旺", "庙", "庙", "陷", "旺", "平", "旺", "旺", "庙", "闲", "庙", "平"],
	"破军星" : ["庙", "旺", "陷", "旺", "旺", "闲", "庙", "庙", "陷", "陷", "旺", "平"],
	"文昌星" : ["旺", "庙", "陷", "平", "旺", "庙", "陷", "平", "旺", "庙", "陷", "旺"],
	"文曲星" : ["庙", "庙", "平", "旺", "庙", "庙", "陷", "旺", "平", "庙", "陷", "旺"],
	"左辅星" : ["旺", "庙", "庙", "陷", "庙", "平", "旺", "庙", "平", "陷", "庙", "闲"],
	"右弼星" : ["庙", "庙", "旺", "陷", "庙", "平", "旺", "庙", "闲", "陷", "庙", "平"],
	"天魁星" : ["旺", "旺", "", "庙", "", "", "庙", "", "", "", "", "旺"],
	"天钺星" : ["", "", "旺", "", "", "旺", "", "旺", "庙", "庙", "", ""],
	"天马星" : ["", "", "旺", "", "", "平", "", "", "旺", "", "", "平"],
	"解神星" : ["庙", "平", "庙", "庙", "庙", "旺", "庙", "平", "闲", "旺", "庙", "闲"],
	"天巫星" : ["", "", "平", "", "", "陷", "", "", "陷", "", "", "平"],
	"天月星" : ["", "", "平", "陷", "闲", "陷", "陷", "平", "", "", "陷", "庙"],
	"阴煞星" : ["陷", "", "闲", "", "陷", "", "庙", "", "陷", "", "平", ""],
	"禄存星" : ["旺", "", "庙", "旺", "", "庙", "旺", "", "庙", "旺", "", "庙"],
	"擎羊星" : ["陷", "庙", "", "陷", "庙", "", "平", "庙", "", "陷", "庙", ""],
	"陀罗星" : ["", "庙", "陷", "", "庙", "陷", "", "庙", "陷", "", "庙", "陷"],
	"火星" : ["平", "旺", "庙", "平", "闲", "旺", "庙", "闲", "陷", "陷", "庙", "平"],
	"铃星" : ["陷", "陷", "庙", "庙", "旺", "旺", "庙", "旺", "旺", "陷", "庙", "庙"],
	"地劫星" : ["陷", "陷", "平", "平", "陷", "闲", "庙", "平", "庙", "平", "平", "旺"],
	"地空星" : ["平", "陷", "陷", "平", "陷", "庙", "庙", "平", "庙", "庙", "陷", "陷"],
	"天使星" : ["陷", "陷", "平", "平", "陷", "平", "平", "平", "平", "陷", "陷", "旺"],
	"天伤星" : ["陷", "平", "平", "陷", "平", "平", "陷", "陷", "平", "平", "平", "旺"],
	"天刑星" : ["平", "陷", "庙", "庙", "平", "陷", "平", "陷", "陷", "庙", "庙", "陷"],
	"天姚星" : ["陷", "平", "旺", "庙", "陷", "平", "平", "旺", "闲", "庙", "庙", "陷"],
	"三台星" : ["平", "庙", "平", "陷", "庙", "平", "旺", "庙", "平", "庙", "旺", "平"],
	"八座星" : ["陷", "庙", "庙", "平", "旺", "庙", "旺", "平", "庙", "庙", "平", "庙"],
	"恩光星" : ["平", "庙", "平", "庙", "庙", "平", "庙", "旺", "平", "陷", "庙", "闲"],
	"天贵星" : ["旺", "庙", "平", "旺", "旺", "平", "庙", "旺", "陷", "庙", "旺", "平"],
	"天哭星" : ["平", "庙", "平", "庙", "平", "地", "陷", "平", "庙", "闲", "平", "平"],
	"天虚星" : ["陷", "庙", "旺", "庙", "陷", "旺", "平", "陷", "庙", "旺", "陷", "平"],
	"龙池星" : ["旺", "平", "平", "庙", "庙", "陷", "闲", "庙", "平", "庙", "陷", "旺"],
	"凤阁星" : ["庙", "平", "庙", "旺", "陷", "庙", "平", "陷", "闲", "庙", "庙", "旺"],
	"台辅星" : ["庙", "庙", "庙", "平", "旺", "平", "旺", "平", "平", "陷", "庙", "陷"],
	"封诰星" : ["庙", "旺", "庙", "庙", "平", "陷", "庙", "闲", "陷", "平", "旺", "陷"],
	"天官星" : ["", "", "平", "旺", "旺", "旺", "庙", "庙", "", "平", "平", "旺"],
	"天福星" : ["平", "", "旺", "平", "", "旺", "平", "", "庙", "庙", "", "庙"],
	"红鸾星" : ["庙", "陷", "旺", "庙", "陷", "旺", "旺", "陷", "庙", "旺", "陷", "庙"],
	"天喜星" : ["旺", "陷", "庙", "旺", "陷", "庙", "庙", "陷", "旺", "庙", "陷", "旺"],
	"孤辰星" : ["", "", "平", "", "", "陷", "", "", "平", "", "", "陷"],
	"寡宿星" : ["", "平", "", "", "陷", "", "", "闲", "", "", "陷", ""],
	"破碎星" : ["", "陷", "", "", "", "陷", "", "", "", "平", "", ""],
	"天才星" : ["旺", "平", "庙", "旺", "陷", "庙", "旺", "平", "庙", "旺", "陷", "庙"],
	"天寿星" : ["平", "庙", "旺", "陷", "庙", "平", "平", "庙", "旺", "平", "庙", "旺"],
	"截空星" : ["陷", "闲", "陷", "平", "陷", "庙", "庙", "陷", "庙", "庙", "", ""],
	"旬空星" : ["陷", "平", "陷", "平", "陷", "庙", "庙", "陷", "庙", "庙", "陷", "平"],
	"天空星" : ["陷", "平", "陷", "平", "闲", "庙", "庙", "陷", "旺", "旺", "陷", "平"],
	"天德星" : ["庙", "庙", "平", "平", "庙", "旺", "旺", "庙", "平", "闲", "庙", "平"]
 };
 
 /**
  * 运曜
  */
 BizEnum_Simplified.YUNYAO = {
	"FIENDSTAR_QINGYANGXING" : {
		"starName" : "运擎羊星",
		"shortName" : "运羊"
	},
	"FIENDSTAR_TUOLUOXING" : {
		"starName" : "运陀罗星",
		"shortName" : "运陀"
	},
	"GEMSTAR_LUCUNXING" : {
		"starName" : "运禄存星",
		"shortName" : "运禄"
	},
	"GEMSTAR_WENCHANGXING" : {
		"starName" : "运文昌星",
		"shortName" : "运昌"
	},
	"GEMSTAR_WENQUXING" : {
		"starName" : "运文曲星",
		"shortName" : "运曲"
	},
	"GEMSTAR_TIANKUIXING" : {
		"starName" : "运天魁星",
		"shortName" : "运魁"
	},
	"GEMSTAR_TIANYUEXING" : {
		"starName" : "运天钺星",
		"shortName" : "运钺"
	}
 };
 
 /**
  * 流曜
  */
 BizEnum_Simplified.LIUYAO = {
	"FIENDSTAR_QINGYANGXING" : {
		"starName" : "流擎羊星",
		"shortName" : "流羊"
	},
	"FIENDSTAR_TUOLUOXING" : {
		"starName" : "流陀罗星",
		"shortName" : "流陀"
	},
	"GEMSTAR_LUCUNXING" : {
		"starName" : "流禄存星",
		"shortName" : "流禄"
	},
	"GEMSTAR_WENCHANGXING" : {
		"starName" : "流文昌星",
		"shortName" : "流昌"
	},
	"GEMSTAR_WENQUXING" : {
		"starName" : "流文曲星",
		"shortName" : "流曲"
	},
	"GEMSTAR_TIANKUIXING" : {
		"starName" : "流天魁星",
		"shortName" : "流魁"
	},
	"GEMSTAR_TIANYUEXING" : {
		"starName" : "流天钺星",
		"shortName" : "流钺"
	},
	"NORMALSTAR_HONGLUANXING" : {
		"starName" : "流红鸾星",
		"shortName" : "流鸾"
	},
	"NORMALSTAR_TIANXIXING" : {
		"starName" : "流天喜星",
		"shortName" : "流喜"
	}
 };

 /**
  * 24节气
  */
 BizEnum_Simplified.FEASTS = ["小寒", "大寒", "立春", "雨水", "惊蛰", "春分",
				   "清明", "谷雨", "立夏", "小满", "芒种", "夏至", 
				   "小暑", "大暑", "立秋", "处暑", "白露", "秋分", 
				   "寒露", "霜降", "立冬", "小雪", "大雪", "冬至"];


 BizEnum_Simplified.MAP = {
	"TG_JIA" : BizEnum_Simplified.TIANGAN[0], 
	"TG_YI" : BizEnum_Simplified.TIANGAN[1],  
	"TG_BING" : BizEnum_Simplified.TIANGAN[2],  
	"TG_DING" : BizEnum_Simplified.TIANGAN[3],  
	"TG_WU" : BizEnum_Simplified.TIANGAN[4], 
	"TG_JI" : BizEnum_Simplified.TIANGAN[5],  
	"TG_GENG" : BizEnum_Simplified.TIANGAN[6],  
	"TG_XIN" : BizEnum_Simplified.TIANGAN[7],  
	"TG_REN" : BizEnum_Simplified.TIANGAN[8], 
	"TG_GUI" : BizEnum_Simplified.TIANGAN[9], 
	"DZ_ZI" : BizEnum_Simplified.DIZHI[0],
	"DZ_CHOU" : BizEnum_Simplified.DIZHI[1], 
	"DZ_YIN" : BizEnum_Simplified.DIZHI[2], 
	"DZ_MAO" : BizEnum_Simplified.DIZHI[3],
	"DZ_CHEN" : BizEnum_Simplified.DIZHI[4], 
	"DZ_SI" : BizEnum_Simplified.DIZHI[5], 
	"DZ_WU" : BizEnum_Simplified.DIZHI[6], 
	"DZ_WEI" : BizEnum_Simplified.DIZHI[7], 
	"DZ_SHEN" : BizEnum_Simplified.DIZHI[8], 
	"DZ_YOU" : BizEnum_Simplified.DIZHI[9], 
	"DZ_XU" : BizEnum_Simplified.DIZHI[10], 
	"DZ_HAI" : BizEnum_Simplified.DIZHI[11],
	"YY_YIN" : BizEnum_Simplified.YINYANG[0],
	"YY_YANG" : BizEnum_Simplified.YINYANG[1],
	"GENDER_NAN" : BizEnum_Simplified.GENDER[0],
	"GENDER_NV" : BizEnum_Simplified.GENDER[1],
	"ZODIAC_SHU" : BizEnum_Simplified.ZODIAC[0],
	"ZODIAC_NIU" : BizEnum_Simplified.ZODIAC[1], 
	"ZODIAC_HU" : BizEnum_Simplified.ZODIAC[2], 
	"ZODIAC_TU" : BizEnum_Simplified.ZODIAC[3], 
	"ZODIAC_LONG" : BizEnum_Simplified.ZODIAC[4], 
	"ZODIAC_SHE" : BizEnum_Simplified.ZODIAC[5], 
	"ZODIAC_MA" : BizEnum_Simplified.ZODIAC[6], 
	"ZODIAC_YANG" : BizEnum_Simplified.ZODIAC[7], 
	"ZODIAC_HOU" : BizEnum_Simplified.ZODIAC[8], 
	"ZODIAC_JI" : BizEnum_Simplified.ZODIAC[9],
	"ZODIAC_GOU" : BizEnum_Simplified.ZODIAC[10], 
	"ZODIAC_ZHU" : BizEnum_Simplified.ZODIAC[11],
	"JIAZI_JIAZI" : BizEnum_Simplified.JIAZI[0],
	"JIAZI_YICHOU" : BizEnum_Simplified.JIAZI[1],
	"JIAZI_BINGYIN" : BizEnum_Simplified.JIAZI[2],
	"JIAZI_DINGMAO" : BizEnum_Simplified.JIAZI[3],
	"JIAZI_WUCHEN" : BizEnum_Simplified.JIAZI[4],
	"JIAZI_JISI" : BizEnum_Simplified.JIAZI[5],
	"JIAZI_GENGWU" : BizEnum_Simplified.JIAZI[6],
	"JIAZI_XINWEI" : BizEnum_Simplified.JIAZI[7],
	"JIAZI_RENSHEN" : BizEnum_Simplified.JIAZI[8],
	"JIAZI_GUIYOU" : BizEnum_Simplified.JIAZI[9], 
	"JIAZI_JIAXU" : BizEnum_Simplified.JIAZI[10],
	"JIAZI_YIHAI" : BizEnum_Simplified.JIAZI[11],
	"JIAZI_BINGZI" : BizEnum_Simplified.JIAZI[12],
	"JIAZI_DINGCHOU" : BizEnum_Simplified.JIAZI[13],
	"JIAZI_WUYIN" : BizEnum_Simplified.JIAZI[14],
	"JIAZI_JIMAO" : BizEnum_Simplified.JIAZI[15],
	"JIAZI_GENGCHEN" : BizEnum_Simplified.JIAZI[16],
	"JIAZI_XINSI" : BizEnum_Simplified.JIAZI[17],
	"JIAZI_RENWU" : BizEnum_Simplified.JIAZI[18],
	"JIAZI_GUIWEI" : BizEnum_Simplified.JIAZI[19], 
　　"JIAZI_JIASHEN" : BizEnum_Simplified.JIAZI[20],
    "JIAZI_YIYOU" : BizEnum_Simplified.JIAZI[21],
	"JIAZI_BINGXU" : BizEnum_Simplified.JIAZI[22],
	"JIAZI_DINGHAI" : BizEnum_Simplified.JIAZI[23],
	"JIAZI_WUZI" : BizEnum_Simplified.JIAZI[24],
	"JIAZI_JICHOU" : BizEnum_Simplified.JIAZI[25],
	"JIAZI_GENGYIN" : BizEnum_Simplified.JIAZI[26],
	"JIAZI_XINMAO" : BizEnum_Simplified.JIAZI[27],
	"JIAZI_RENCHEN" : BizEnum_Simplified.JIAZI[28],
	"JIAZI_GUISI" : BizEnum_Simplified.JIAZI[29], 
　　"JIAZI_JIAWU" : BizEnum_Simplified.JIAZI[30],
    "JIAZI_YIWEI" : BizEnum_Simplified.JIAZI[31],
	"JIAZI_BINGSHEN" : BizEnum_Simplified.JIAZI[32],
	"JIAZI_DINGYOU" : BizEnum_Simplified.JIAZI[33],
	"JIAZI_WUXU" : BizEnum_Simplified.JIAZI[34],
	"JIAZI_JIHAI" : BizEnum_Simplified.JIAZI[35],
	"JIAZI_GENGZI" : BizEnum_Simplified.JIAZI[36],
	"JIAZI_XINCHOU" : BizEnum_Simplified.JIAZI[37],
	"JIAZI_RENYIN" : BizEnum_Simplified.JIAZI[38],
	"JIAZI_GUIMAO" : BizEnum_Simplified.JIAZI[39], 
　　"JIAZI_JIACHEN" : BizEnum_Simplified.JIAZI[40],
    "JIAZI_YISI" : BizEnum_Simplified.JIAZI[41],
	"JIAZI_BINGWU" : BizEnum_Simplified.JIAZI[42],
	"JIAZI_DINGWEI" : BizEnum_Simplified.JIAZI[43],
	"JIAZI_WUSHEN" : BizEnum_Simplified.JIAZI[44],
	"JIAZI_JIYOU" : BizEnum_Simplified.JIAZI[45],
	"JIAZI_GENGXU" : BizEnum_Simplified.JIAZI[46],
	"JIAZI_XINHAI" : BizEnum_Simplified.JIAZI[47],
	"JIAZI_RENZI" : BizEnum_Simplified.JIAZI[48],
	"JIAZI_GUICHOU" : BizEnum_Simplified.JIAZI[49], 
　　"JIAZI_JIAYIN" : BizEnum_Simplified.JIAZI[50],
    "JIAZI_YIMAO" : BizEnum_Simplified.JIAZI[51],
	"JIAZI_BINGCHEN" : BizEnum_Simplified.JIAZI[52],
	"JIAZI_DINGSI" : BizEnum_Simplified.JIAZI[53],
	"JIAZI_WUWU" : BizEnum_Simplified.JIAZI[54],
	"JIAZI_JIWEI" : BizEnum_Simplified.JIAZI[55],
	"JIAZI_GENGSHEN" : BizEnum_Simplified.JIAZI[56],
	"JIAZI_XINYOU" : BizEnum_Simplified.JIAZI[57],
	"JIAZI_RENXU" : BizEnum_Simplified.JIAZI[58],
	"JIAZI_GUIHAI" : BizEnum_Simplified.JIAZI[59],
	"GONGWEI_MINGGONG" : BizEnum_Simplified.GONGWEI[0],
	"GONGWEI_XIONGDIGONG": BizEnum_Simplified.GONGWEI[1], 
	"GONGWEI_FUQIGONG": BizEnum_Simplified.GONGWEI[2], 
	"GONGWEI_ZINVGONG": BizEnum_Simplified.GONGWEI[3], 
	"GONGWEI_CAIBOGONG": BizEnum_Simplified.GONGWEI[4], 
	"GONGWEI_JIEGONG": BizEnum_Simplified.GONGWEI[5], 
	"GONGWEI_QIANYIGONG": BizEnum_Simplified.GONGWEI[6], 
	"GONGWEI_JIAOYOUGONG": BizEnum_Simplified.GONGWEI[7], 
	"GONGWEI_SHIYEGONG": BizEnum_Simplified.GONGWEI[8], 
	"GONGWEI_TIANZHAIGONG": BizEnum_Simplified.GONGWEI[9], 
	"GONGWEI_FUDEGONG": BizEnum_Simplified.GONGWEI[10], 
	"GONGWEI_FUMUGONG": BizEnum_Simplified.GONGWEI[11],
	"GONGWEI_SHENGONG" : BizEnum_Simplified.GONGWEI.SHENGONG,
	"CHANGSHENG_CHANGSHENG" : BizEnum_Simplified.CHANGSHENG[0],
	"CHANGSHENG_MUYU" : BizEnum_Simplified.CHANGSHENG[1], 
	"CHANGSHENG_GUANDAI" : BizEnum_Simplified.CHANGSHENG[2], 
	"CHANGSHENG_LINGUAN" : BizEnum_Simplified.CHANGSHENG[3], 
	"CHANGSHENG_DIWANG" : BizEnum_Simplified.CHANGSHENG[4], 
	"CHANGSHENG_SHUAI" : BizEnum_Simplified.CHANGSHENG[5], 
	"CHANGSHENG_BING" : BizEnum_Simplified.CHANGSHENG[6], 
	"CHANGSHENG_SI" : BizEnum_Simplified.CHANGSHENG[7], 
	"CHANGSHENG_MU" : BizEnum_Simplified.CHANGSHENG[8], 
	"CHANGSHENG_JUE" : BizEnum_Simplified.CHANGSHENG[9], 
	"CHANGSHENG_TAI" : BizEnum_Simplified.CHANGSHENG[10], 
	"CHANGSHENG_YANG" : BizEnum_Simplified.CHANGSHENG[11],
	"TAISUISHALU_BOSHI" : BizEnum_Simplified.TAISUISHALU[0],
	"TAISUISHALU_LISHI" : BizEnum_Simplified.TAISUISHALU[1], 
	"TAISUISHALU_QINGLONG" : BizEnum_Simplified.TAISUISHALU[2], 
	"TAISUISHALU_XIAOHAO" : BizEnum_Simplified.TAISUISHALU[3], 
	"TAISUISHALU_JIANGJUN" : BizEnum_Simplified.TAISUISHALU[4], 
	"TAISUISHALU_ZHOUSHU" : BizEnum_Simplified.TAISUISHALU[5], 
	"TAISUISHALU_FEILIAN" : BizEnum_Simplified.TAISUISHALU[6], 
	"TAISUISHALU_XISHEN" : BizEnum_Simplified.TAISUISHALU[7], 
	"TAISUISHALU_BINGFU" : BizEnum_Simplified.TAISUISHALU[8], 
	"TAISUISHALU_DAHAO" : BizEnum_Simplified.TAISUISHALU[9], 
	"TAISUISHALU_FUBING" : BizEnum_Simplified.TAISUISHALU[10], 
	"TAISUISHALU_GUANFU" : BizEnum_Simplified.TAISUISHALU[11],
	"LIUNIANSUIQIAN_SUIJIAN" : BizEnum_Simplified.LIUNIANSUIQIAN[0],
	"LIUNIANSUIQIAN_HUIQI" : BizEnum_Simplified.LIUNIANSUIQIAN[1], 
	"LIUNIANSUIQIAN_SANGMEN" : BizEnum_Simplified.LIUNIANSUIQIAN[2], 
	"LIUNIANSUIQIAN_GUANSUO" : BizEnum_Simplified.LIUNIANSUIQIAN[3], 
	"LIUNIANSUIQIAN_GUANFU" : BizEnum_Simplified.LIUNIANSUIQIAN[4], 
	"LIUNIANSUIQIAN_XIAOHAO" : BizEnum_Simplified.LIUNIANSUIQIAN[5], 
	"LIUNIANSUIQIAN_DAHAO" : BizEnum_Simplified.LIUNIANSUIQIAN[6], 
	"LIUNIANSUIQIAN_LONGDE" : BizEnum_Simplified.LIUNIANSUIQIAN[7], 
	"LIUNIANSUIQIAN_BAIHU" : BizEnum_Simplified.LIUNIANSUIQIAN[8], 
	"LIUNIANSUIQIAN_TIANDE" : BizEnum_Simplified.LIUNIANSUIQIAN[9], 
	"LIUNIANSUIQIAN_DIAOKE" : BizEnum_Simplified.LIUNIANSUIQIAN[10], 
	"LIUNIANSUIQIAN_BINGFU" : BizEnum_Simplified.LIUNIANSUIQIAN[11],
	"LIUNIANJIANGQIAN_JIANGXING" : BizEnum_Simplified.LIUNIANJIANGQIAN[0],
	"LIUNIANJIANGQIAN_PANAN" : BizEnum_Simplified.LIUNIANJIANGQIAN[1], 
	"LIUNIANJIANGQIAN_SUIYI" : BizEnum_Simplified.LIUNIANJIANGQIAN[2], 
	"LIUNIANJIANGQIAN_XISHEN" : BizEnum_Simplified.LIUNIANJIANGQIAN[3], 
	"LIUNIANJIANGQIAN_HUAGAI" : BizEnum_Simplified.LIUNIANJIANGQIAN[4], 
	"LIUNIANJIANGQIAN_JIESHA" : BizEnum_Simplified.LIUNIANJIANGQIAN[5], 
	"LIUNIANJIANGQIAN_ZHAISHA" : BizEnum_Simplified.LIUNIANJIANGQIAN[6], 
	"LIUNIANJIANGQIAN_TIANSHA" : BizEnum_Simplified.LIUNIANJIANGQIAN[7], 
	"LIUNIANJIANGQIAN_ZHIBEI" : BizEnum_Simplified.LIUNIANJIANGQIAN[8], 
	"LIUNIANJIANGQIAN_XIANCHI" : BizEnum_Simplified.LIUNIANJIANGQIAN[9], 
	"LIUNIANJIANGQIAN_YUESHA" : BizEnum_Simplified.LIUNIANJIANGQIAN[10], 
	"LIUNIANJIANGQIAN_WANGSHEN" : BizEnum_Simplified.LIUNIANJIANGQIAN[11],
	"SIHUA_LU" : BizEnum_Simplified.SIHUA[0],
	"SIHUA_QUAN" : BizEnum_Simplified.SIHUA[1], 
	"SIHUA_KE" : BizEnum_Simplified.SIHUA[2], 
	"SIHUA_JI" : BizEnum_Simplified.SIHUA[3],
	"WEEK_XINGQIYI" : BizEnum_Simplified.WEEK[0].name,
	"WEEK_XINGQIER" : BizEnum_Simplified.WEEK[1].name,
	"WEEK_XINGQISAN" : BizEnum_Simplified.WEEK[2].name,
	"WEEK_XINGQISI" : BizEnum_Simplified.WEEK[3].name,
	"WEEK_XINGQIWU" : BizEnum_Simplified.WEEK[4].name,
	"WEEK_XINGQILIU" : BizEnum_Simplified.WEEK[5].name,
	"WEEK_XINGQIRI" : BizEnum_Simplified.WEEK[6].name,
	"LUNARDAY_YI" : BizEnum_Simplified.LUNARDAY[0], 
	"LUNARDAY_ER" : BizEnum_Simplified.LUNARDAY[1],  
	"LUNARDAY_SAN" : BizEnum_Simplified.LUNARDAY[2],  
	"LUNARDAY_SI" : BizEnum_Simplified.LUNARDAY[3],  
	"LUNARDAY_WU" : BizEnum_Simplified.LUNARDAY[4],  
	"LUNARDAY_LIU" : BizEnum_Simplified.LUNARDAY[5],  
	"LUNARDAY_QI" : BizEnum_Simplified.LUNARDAY[6],  
	"LUNARDAY_BA" : BizEnum_Simplified.LUNARDAY[7],  
	"LUNARDAY_JIU" : BizEnum_Simplified.LUNARDAY[8],  
	"LUNARDAY_CHU" : BizEnum_Simplified.LUNARDAY[9],  
	"LUNARDAY_SHI" : BizEnum_Simplified.LUNARDAY[10],  
	"LUNARDAY_NIAN" : BizEnum_Simplified.LUNARDAY[11],  
	"LUNARDAY_SA" : BizEnum_Simplified.LUNARDAY[12], 
	"LUNARMONTH_ZHENGYUE" : BizEnum_Simplified.LUNARMONTH[0].name,
	"LUNARMONTH_ERYUE" : BizEnum_Simplified.LUNARMONTH[1].name,
	"LUNARMONTH_SANYUE" : BizEnum_Simplified.LUNARMONTH[2].name,
	"LUNARMONTH_SIYUE" : BizEnum_Simplified.LUNARMONTH[3].name,
	"LUNARMONTH_WUYUE" : BizEnum_Simplified.LUNARMONTH[4].name,
	"LUNARMONTH_LIUYUE" : BizEnum_Simplified.LUNARMONTH[5].name,
	"LUNARMONTH_QIYUE" : BizEnum_Simplified.LUNARMONTH[6].name,
	"LUNARMONTH_BAYUE" : BizEnum_Simplified.LUNARMONTH[7].name,
	"LUNARMONTH_JIUYUE" : BizEnum_Simplified.LUNARMONTH[8].name,
	"LUNARMONTH_SHIYUE" : BizEnum_Simplified.LUNARMONTH[9].name,
	"LUNARMONTH_SHIYIYUE" : BizEnum_Simplified.LUNARMONTH[10].name,
	"LUNARMONTH_LAYUE" : BizEnum_Simplified.LUNARMONTH[11].name,
	"MINGJU_SHUIERJU" : BizEnum_Simplified.MINGJU[0].name,
	"MINGJU_MUSANJU" : BizEnum_Simplified.MINGJU[1].name,
	"MINGJU_JINSIJU" : BizEnum_Simplified.MINGJU[2].name,
	"MINGJU_TUWUJU" : BizEnum_Simplified.MINGJU[3].name,
	"MINGJU_HUOLIUJU" : BizEnum_Simplified.MINGJU[4].name,
	"MAINSTAR_ZIWEIXING" : BizEnum_Simplified.MAINSTAR[0], 
	"MAINSTAR_WUQUXING" : BizEnum_Simplified.MAINSTAR[1],  
	"MAINSTAR_TIANFUXING" : BizEnum_Simplified.MAINSTAR[2],  
	"MAINSTAR_TIANXIANGXING" : BizEnum_Simplified.MAINSTAR[3],  
	"MAINSTAR_LIANZHENXING" : BizEnum_Simplified.MAINSTAR[4],  
	"MAINSTAR_QISHAXING" : BizEnum_Simplified.MAINSTAR[5],  
	"MAINSTAR_POJUNXING" : BizEnum_Simplified.MAINSTAR[6],  
	"MAINSTAR_TANLANGXING" : BizEnum_Simplified.MAINSTAR[7],  
	"MAINSTAR_TIANTONGXING" : BizEnum_Simplified.MAINSTAR[8],  
	"MAINSTAR_TIANLIANGXING" : BizEnum_Simplified.MAINSTAR[9],  
	"MAINSTAR_TIANJIXING" : BizEnum_Simplified.MAINSTAR[10],  
	"MAINSTAR_TAIYINXING" : BizEnum_Simplified.MAINSTAR[11],  
	"MAINSTAR_TAIYANGXING" : BizEnum_Simplified.MAINSTAR[12],  
	"MAINSTAR_JUMENXING" : BizEnum_Simplified.MAINSTAR[13], 
	"GEMSTAR_TIANKUIXING" : BizEnum_Simplified.GEMSTAR[0],
	"GEMSTAR_TIANYUEXING" : BizEnum_Simplified.GEMSTAR[1],
	"GEMSTAR_WENCHANGXING" : BizEnum_Simplified.GEMSTAR[2],
	"GEMSTAR_WENQUXING" : BizEnum_Simplified.GEMSTAR[3],
	"GEMSTAR_ZUOFUXING" : BizEnum_Simplified.GEMSTAR[4],
	"GEMSTAR_YOUBIXING" : BizEnum_Simplified.GEMSTAR[5],
	"GEMSTAR_LUCUNXING" : BizEnum_Simplified.GEMSTAR[6],
	"GEMSTAR_TIANMAXING" : BizEnum_Simplified.GEMSTAR[7],
	"FIENDSTAR_QINGYANGXING" : BizEnum_Simplified.FIENDSTAR[0],
	"FIENDSTAR_TUOLUOXING" : BizEnum_Simplified.FIENDSTAR[1], 
	"FIENDSTAR_DIKONGXING" : BizEnum_Simplified.FIENDSTAR[2], 
	"FIENDSTAR_DIJIEXING" : BizEnum_Simplified.FIENDSTAR[3], 
	"FIENDSTAR_HUOXING" : BizEnum_Simplified.FIENDSTAR[4], 
	"FIENDSTAR_LINGXING" : BizEnum_Simplified.FIENDSTAR[5],
	"NORMALSTAR_SANTAIXING" : BizEnum_Simplified.NORMALSTAR[0],
	"NORMALSTAR_TIANWUXING" : BizEnum_Simplified.NORMALSTAR[1], 
	"NORMALSTAR_HONGLUANXING" : BizEnum_Simplified.NORMALSTAR[2], 
	"NORMALSTAR_TAIFUXING" : BizEnum_Simplified.NORMALSTAR[3], 
	"NORMALSTAR_YINSHAXING" : BizEnum_Simplified.NORMALSTAR[4], 
	"NORMALSTAR_TIANDEXING" : BizEnum_Simplified.NORMALSTAR[5], 
	"NORMALSTAR_GUASUXING" : BizEnum_Simplified.NORMALSTAR[6], 
	"NORMALSTAR_XUNKONGXING" : BizEnum_Simplified.NORMALSTAR[7],
    "NORMALSTAR_JIESHENXING" : BizEnum_Simplified.NORMALSTAR[8], 
	"NORMALSTAR_BAZUOXING" : BizEnum_Simplified.NORMALSTAR[9], 
	"NORMALSTAR_ENGUANGXING" : BizEnum_Simplified.NORMALSTAR[10], 
	"NORMALSTAR_TIANKUXING" : BizEnum_Simplified.NORMALSTAR[11], 
	"NORMALSTAR_TIANXINGXING" : BizEnum_Simplified.NORMALSTAR[12], 
	"NORMALSTAR_TIANGUANXING" : BizEnum_Simplified.NORMALSTAR[13], 
	"NORMALSTAR_TIANKONGXING" : BizEnum_Simplified.NORMALSTAR[14], 
	"NORMALSTAR_GUCHENXING" : BizEnum_Simplified.NORMALSTAR[15], 
	"NORMALSTAR_FEILIANXING" : BizEnum_Simplified.NORMALSTAR[16],
	"NORMALSTAR_POSUIXING" : BizEnum_Simplified.NORMALSTAR[17], 
	"NORMALSTAR_TIANXIXING" : BizEnum_Simplified.NORMALSTAR[18], 
	"NORMALSTAR_TIANCAIXING" : BizEnum_Simplified.NORMALSTAR[19], 
	"NORMALSTAR_TIANSHOUXING" : BizEnum_Simplified.NORMALSTAR[20], 
	"NORMALSTAR_JIEKONGXING" : BizEnum_Simplified.NORMALSTAR[21], 
	"NORMALSTAR_TIANCHUXING" : BizEnum_Simplified.NORMALSTAR[22], 
	"NORMALSTAR_LONGCHIXING" : BizEnum_Simplified.NORMALSTAR[23], 
	"NORMALSTAR_FENGGEXING" : BizEnum_Simplified.NORMALSTAR[24], 
	"NORMALSTAR_TIANYUEXING" : BizEnum_Simplified.NORMALSTAR[25],
	"NORMALSTAR_NIANJIEXING" : BizEnum_Simplified.NORMALSTAR[26], 
	"NORMALSTAR_TIANYAOXING" : BizEnum_Simplified.NORMALSTAR[27], 
	"NORMALSTAR_FENGGAOXING" : BizEnum_Simplified.NORMALSTAR[28], 
	"NORMALSTAR_TIANFUXING" : BizEnum_Simplified.NORMALSTAR[29], 
	"NORMALSTAR_TIANSHANGXING" : BizEnum_Simplified.NORMALSTAR[30], 
	"NORMALSTAR_YUEDEXING" : BizEnum_Simplified.NORMALSTAR[31], 
	"NORMALSTAR_TIANGUIXING" : BizEnum_Simplified.NORMALSTAR[32], 
	"NORMALSTAR_TIANXUXING" : BizEnum_Simplified.NORMALSTAR[33], 
	"NORMALSTAR_TIANSHIXING" : BizEnum_Simplified.NORMALSTAR[34],
	"NORMALSTAR_HUAGAIXING" : BizEnum_Simplified.NORMALSTAR[35],
	"MIAOWANG_WANG" : "旺",
	"MIAOWANG_MIAO" : "庙",
	"MIAOWANG_PING" : "平",
	"MIAOWANG_XIAN" : "陷",
	"MIAOWANG_XIAN1" : "闲",
	"MIAOWANG_DI" : "地",
	"YUN_FIENDSTAR_QINGYANGXING" : BizEnum_Simplified.YUNYAO["FIENDSTAR_QINGYANGXING"]["starName"],
	"YUN_YANG" : BizEnum_Simplified.YUNYAO["FIENDSTAR_QINGYANGXING"]["shortName"],
	"YUN_FIENDSTAR_TUOLUOXING" : BizEnum_Simplified.YUNYAO["FIENDSTAR_TUOLUOXING"]["starName"],
	"YUN_TUO" : BizEnum_Simplified.YUNYAO["FIENDSTAR_TUOLUOXING"]["shortName"],
	"YUN_GEMSTAR_LUCUNXING" : BizEnum_Simplified.YUNYAO["GEMSTAR_LUCUNXING"]["starName"],
	"YUN_LU" : BizEnum_Simplified.YUNYAO["GEMSTAR_LUCUNXING"]["shortName"],
	"YUN_GEMSTAR_WENCHANGXING" : BizEnum_Simplified.YUNYAO["GEMSTAR_WENCHANGXING"]["starName"],
	"YUN_CHANG" : BizEnum_Simplified.YUNYAO["GEMSTAR_WENCHANGXING"]["shortName"],
	"YUN_GEMSTAR_WENQUXING" : BizEnum_Simplified.YUNYAO["GEMSTAR_WENQUXING"]["starName"],
	"YUN_QU" : BizEnum_Simplified.YUNYAO["GEMSTAR_WENQUXING"]["shortName"],
	"YUN_GEMSTAR_TIANKUIXING" : BizEnum_Simplified.YUNYAO["GEMSTAR_TIANKUIXING"]["starName"],
	"YUN_KUI" : BizEnum_Simplified.YUNYAO["GEMSTAR_TIANKUIXING"]["shortName"],
	"YUN_GEMSTAR_TIANYUEXING" : BizEnum_Simplified.YUNYAO["GEMSTAR_TIANYUEXING"]["starName"],
	"YUN_YUE" : BizEnum_Simplified.YUNYAO["GEMSTAR_TIANYUEXING"]["shortName"],	
	"LIU_FIENDSTAR_QINGYANGXING" : BizEnum_Simplified.LIUYAO["FIENDSTAR_QINGYANGXING"]["starName"],
	"LIU_YANG" : BizEnum_Simplified.LIUYAO["FIENDSTAR_QINGYANGXING"]["shortName"],
	"LIU_FIENDSTAR_TUOLUOXING" : BizEnum_Simplified.LIUYAO["FIENDSTAR_TUOLUOXING"]["starName"],
	"LIU_TUO" : BizEnum_Simplified.LIUYAO["FIENDSTAR_TUOLUOXING"]["shortName"],
	"LIU_GEMSTAR_LUCUNXING" : BizEnum_Simplified.LIUYAO["GEMSTAR_LUCUNXING"]["starName"],
	"LIU_LU" : BizEnum_Simplified.LIUYAO["GEMSTAR_LUCUNXING"]["shortName"],
	"LIU_GEMSTAR_WENCHANGXING" : BizEnum_Simplified.LIUYAO["GEMSTAR_WENCHANGXING"]["starName"],
	"LIU_CHANG" : BizEnum_Simplified.LIUYAO["GEMSTAR_WENCHANGXING"]["shortName"],
	"LIU_GEMSTAR_WENQUXING" : BizEnum_Simplified.LIUYAO["GEMSTAR_WENQUXING"]["starName"],
	"LIU_QU" : BizEnum_Simplified.LIUYAO["GEMSTAR_WENQUXING"]["shortName"],
	"LIU_GEMSTAR_TIANKUIXING" : BizEnum_Simplified.LIUYAO["GEMSTAR_TIANKUIXING"]["starName"],
	"LIU_KUI" : BizEnum_Simplified.LIUYAO["GEMSTAR_TIANKUIXING"]["shortName"],
	"LIU_GEMSTAR_TIANYUEXING" : BizEnum_Simplified.LIUYAO["GEMSTAR_TIANYUEXING"]["starName"],
	"LIU_YUE" : BizEnum_Simplified.LIUYAO["GEMSTAR_TIANYUEXING"]["shortName"],
	"LIU_NORMALSTAR_TIANXIXING" : BizEnum_Simplified.LIUYAO["NORMALSTAR_TIANXIXING"]["starName"],
	"LIU_XI" : BizEnum_Simplified.LIUYAO["NORMALSTAR_TIANXIXING"]["shortName"],
	"LIU_NORMALSTAR_HONGLUANXING" : BizEnum_Simplified.LIUYAO["NORMALSTAR_HONGLUANXING"]["starName"],
	"LIU_LUAN" : BizEnum_Simplified.LIUYAO["NORMALSTAR_HONGLUANXING"]["shortName"],
	"FEAST_XIAOHAN" : BizEnum_Simplified.FEASTS[0],
	"FEAST_DAHAN" : BizEnum_Simplified.FEASTS[1], 
	"FEAST_LICHUN" : BizEnum_Simplified.FEASTS[2], 
	"FEAST_YUSHUI" : BizEnum_Simplified.FEASTS[3], 
	"FEAST_JINGZHE" : BizEnum_Simplified.FEASTS[4], 
	"FEAST_CHUNFEN" : BizEnum_Simplified.FEASTS[5],
	"FEAST_QINGMING" : BizEnum_Simplified.FEASTS[6], 
	"FEAST_GUYU" : BizEnum_Simplified.FEASTS[7], 
	"FEAST_LIXIA" : BizEnum_Simplified.FEASTS[8], 
	"FEAST_XIAOMAN" : BizEnum_Simplified.FEASTS[9], 
	"FEAST_MANGZHONG" : BizEnum_Simplified.FEASTS[10], 
	"FEAST_XIAZHI" : BizEnum_Simplified.FEASTS[11], 
	"FEAST_XIAOSHU" : BizEnum_Simplified.FEASTS[12], 
	"FEAST_DASHU" : BizEnum_Simplified.FEASTS[13], 
	"FEAST_LIQIU" : BizEnum_Simplified.FEASTS[14], 
	"FEAST_CHUSHU" : BizEnum_Simplified.FEASTS[15], 
	"FEAST_BAILU" : BizEnum_Simplified.FEASTS[16], 
	"FEAST_QIUFEN" : BizEnum_Simplified.FEASTS[17], 
	"FEAST_HANLU" : BizEnum_Simplified.FEASTS[18], 
	"FEAST_SHUANGJIANG" : BizEnum_Simplified.FEASTS[19], 
	"FEAST_LIDONG" : BizEnum_Simplified.FEASTS[20], 
	"FEAST_XIAOXUE" : BizEnum_Simplified.FEASTS[21], 
	"FEAST_DAXUE" : BizEnum_Simplified.FEASTS[22], 
	"FEAST_DONGZHI" : BizEnum_Simplified.FEASTS[23],
	"LUNARDAY_CHUYI" : BizEnum_Simplified.LUNARDAYS[0],
	"LUNARDAY_CHUER" : BizEnum_Simplified.LUNARDAYS[1],
	"LUNARDAY_CHUSAN" : BizEnum_Simplified.LUNARDAYS[2],
	"LUNARDAY_CHUSI" : BizEnum_Simplified.LUNARDAYS[3],
	"LUNARDAY_CHUWU" : BizEnum_Simplified.LUNARDAYS[4],
	"LUNARDAY_CHULIU" : BizEnum_Simplified.LUNARDAYS[5],
	"LUNARDAY_CHUQI" : BizEnum_Simplified.LUNARDAYS[6],
	"LUNARDAY_CHUBA" : BizEnum_Simplified.LUNARDAYS[7],
	"LUNARDAY_CHUJIU" : BizEnum_Simplified.LUNARDAYS[8],
	"LUNARDAY_CHUSHI" : BizEnum_Simplified.LUNARDAYS[9],
	"LUNARDAY_SHIYI" : BizEnum_Simplified.LUNARDAYS[10],
	"LUNARDAY_SHIER" : BizEnum_Simplified.LUNARDAYS[11],
	"LUNARDAY_SHISAN" : BizEnum_Simplified.LUNARDAYS[12],
	"LUNARDAY_SHISI" : BizEnum_Simplified.LUNARDAYS[13],
	"LUNARDAY_SHIWU" : BizEnum_Simplified.LUNARDAYS[14],
	"LUNARDAY_SHILIU" : BizEnum_Simplified.LUNARDAYS[15],
	"LUNARDAY_SHIQI" : BizEnum_Simplified.LUNARDAYS[16],
	"LUNARDAY_SHIBA" : BizEnum_Simplified.LUNARDAYS[17],
	"LUNARDAY_SHIJIU" : BizEnum_Simplified.LUNARDAYS[18],
	"LUNARDAY_ERSHI" : BizEnum_Simplified.LUNARDAYS[19],
	"LUNARDAY_ERYI" : BizEnum_Simplified.LUNARDAYS[20],
	"LUNARDAY_ERER" : BizEnum_Simplified.LUNARDAYS[21],
	"LUNARDAY_ERSAN" : BizEnum_Simplified.LUNARDAYS[22],
	"LUNARDAY_ERSI" : BizEnum_Simplified.LUNARDAYS[23],
	"LUNARDAY_ERWU" : BizEnum_Simplified.LUNARDAYS[24],
	"LUNARDAY_ERLIU" : BizEnum_Simplified.LUNARDAYS[25],
	"LUNARDAY_ERQI" : BizEnum_Simplified.LUNARDAYS[26],
	"LUNARDAY_ERBA" : BizEnum_Simplified.LUNARDAYS[27],
	"LUNARDAY_ERJIU" : BizEnum_Simplified.LUNARDAYS[28],
	"LUNARDAY_SANSHI" : BizEnum_Simplified.LUNARDAYS[29]
 };