/**
 * TianGongGongUtil.js
 * 天公公工具 
 *
 * @date 2014-02-14
 * @version 0.1
 */
 
 function TianGongGongUtil(){
 
 }
 
 TianGongGongUtil.getTipsByStars = function(stars){
	if(!stars || stars.constructor.name != "Array"){
		return false;
	}
	
	var tips = "";
	
	stars = TianGongGongUtil.removeDuplicateStars(stars);
	
	for(var i = 0; i < stars.length; i ++){
		var tip = TianGongGongUtil.getStarTip(stars[i].getName());
		
		tips += tip + "\n";
	}
	
	return tips;
 }
 
 TianGongGongUtil.removeDuplicateStars = function(stars){
 /*
	for(var i = 0; i < stars.length -1; i ++){
		for(var j = i + 1; j < stars.length; j++){
			if("GEMSTAR_WENCHANGXING" == stars[i].getName() && "GEMSTAR_WENQUXING" == stars[j].getName()){
				stars.splice(j,1);
			}
			
			if("GEMSTAR_TIANKUIXING" == stars[i].getName() && "GEMSTAR_TIANYUEXING" == stars[j].getName()){
				stars.splice(j,1);
			}
			
			if("GEMSTAR_ZUOFUXING" == stars[i].getName() && "GEMSTAR_YOUBIXING" == stars[j].getName()){
				stars.splice(j,1);
			}
			
			if("FIENDSTAR_QINGYANGXING" == stars[i].getName() && "FIENDSTAR_TUOLUOXING" == stars[j].getName()){
				stars.splice(j,1);
			}
			
			if("FIENDSTAR_DIKONGXING" == stars[i].getName() && "FIENDSTAR_DIJIEXING" == stars[j].getName()){
				stars.splice(j,1);
			}
			
			if("FIENDSTAR_HUOXING" == stars[i].getName() && "FIENDSTAR_LINGXING" == stars[j].getName()){
				stars.splice(j,1);
			}
		}
	}
	*/
	var _temp = new Array();
	
	for(var i = 0; i < stars.length; i ++){
		_temp.push(stars[i].getName());
	}
	
	for(var i = 0; i < _temp.length; i ++){
		if(_temp[i] == "GEMSTAR_WENCHANGXING"){
			_temp[i] = "GEMSTAR_WENQUXING";
		}
		
		if(_temp[i] == "GEMSTAR_TIANKUIXING"){
			_temp[i] = "GEMSTAR_TIANYUEXING";
		}
		
		if(_temp[i] == "GEMSTAR_ZUOFUXING"){
			_temp[i] = "GEMSTAR_YOUBIXING";
		}
		
		if(_temp[i] == "FIENDSTAR_QINGYANGXING"){
			_temp[i] = "FIENDSTAR_TUOLUOXING";
		}
		
		if(_temp[i] == "FIENDSTAR_DIKONGXING"){
			_temp[i] = "FIENDSTAR_DIJIEXING";
		}
		
		if(_temp[i] == "FIENDSTAR_HUOXING"){
			_temp[i] = "FIENDSTAR_LINGXING";
		}
	}
	
	return _temp.unique();
 };
 
 TianGongGongUtil.getStarTip = function(starName){
	if(!starName){
		return false;
	}
	
	return TianGongGongEnum.consts.STAR_TIP[starName];
 };
 
 TianGongGongUtil.getWaiJieEnergy = function(tianGan){
	if(!tianGan){
		return false;
	}
	
	return TianGongGongEnum.consts.WAIJIEENERGY[tianGan];
 };
 
 TianGongGongUtil.getSectionStars = function(sections, index){
	var isEmpty = TianGongGongUtil.isEmptyGong(sections[index]);
	
	if(isEmpty){
		return sections[index].getStars().concat(sections[(index + 6) % 12].getStars());
	}
	
	return sections[index].getStars();
 };
 
 // 判断某个宫位是否为空宫
 TianGongGongUtil.isEmptyGong = function(gong){
	if(!gong){
		return false;
	}
	
	if(gong.constructor.name != "Section"){
		return false;
	}
	
	var stars = gong.getStars();
	
	var isEmpty = true;
	
	for(var i = 0;  i < stars.length; i ++){
		if(stars[i].getName().indexOf("MAINSTAR_") >= 0){
			isEmpty = false;
			
			break;
		}
	}
	
	return isEmpty;
 };
 
 Array.prototype.inArray = function(){
	if(arguments.length < 1){
		return false;
	}
	
	var param = arguments[0];
	
	if(param.constructor.name != "Array"){
		for(var i = 0; i < this.length; i ++){
			if(this[i] === param){
				return true;
			}
		}
		
		return false;
	}else{
		for(var i = 0; i < this.length; i ++){
			for(var j = 0; j < param.length; j ++){
				if(this[i] === param[j]){
					param[j] = true;
					break;
				}
			}
		}
	}
 
	var result = true;
	
	for(var j = 0; j < param.length; j ++){
		result = result && (param[j] === true);
	}
	
	return result;
 };
 
 Array.prototype.unique = function(){
	var _this = this;
	
	for(var i = 0; i < _this.length - 1; i ++){
		for(var j = i + 1; j < _this.length ; j ++){
			if(_this[i] === _this[j]){
				_this.splice(j,1);
			}
		}
	}
	
	return _this;
 };