/**
 * Traditional.js
 * 繁体
 *
 * @date 2014-01-13
 * @version 0.1
 */
 
 namespace("com.taxen.framework.ziwei.lang");
 
 /**
  * BizEnum的简体版
  */
 function BizEnum_Traditional(){
 
 }
 
 //紫微斗数
 BizEnum_Traditional.HOUR = "時";
 BizEnum_Traditional.MINGPAN = "盤";
 BizEnum_Traditional.DAI = "帶";
 BizEnum_Traditional.YUNSHI = "運勢";
 BizEnum_Traditional.POS = "負";
 
 
 // 天干
 BizEnum_Traditional.TIANGAN = ["甲", "乙", "丙", "丁", "戊", "己", "庚", "辛", "壬", "癸"];
  
 // 地支 
 BizEnum_Traditional.DIZHI= ["子", "丑", "寅", "卯", "辰", "巳", "午", "未", "申", "酉", "戌", "亥"];
 
 // 阴阳
 BizEnum_Traditional.YINYANG = ["陰", "陽"];
 
 // 性别
 BizEnum_Traditional.GENDER = ["男", "女"];
 
 // 生肖
 BizEnum_Traditional.ZODIAC = ["鼠", "牛", "虎", "兔", "龍", "蛇", "馬", "羊", "猴", "雞", "狗", "豬"];
 
 // 60甲子
 BizEnum_Traditional.JIAZI = [ "甲子","乙丑","丙寅","丁卯","戊辰","己巳","庚午","辛未","壬申","癸酉", 
			　　   "甲戌","乙亥","丙子","丁丑","戊寅","己卯","庚辰","辛巳","壬午","癸未", 
			　　   "甲申","乙酉","丙戌","丁亥","戊子","己丑","庚寅","辛卯","壬辰","癸巳", 
			　　   "甲午","乙未","丙申","丁酉","戊戌","己亥","庚子","辛丑","壬寅","癸卯", 
			　　   "甲辰","乙巳","丙午","丁未","戊申","己酉","庚戌","辛亥","壬子","癸丑", 
			　　   "甲寅","乙卯","丙辰","丁巳","戊午","己未","庚申","辛酉","壬戌","癸亥"
			      ];
				  
 // 12宮位				  
 BizEnum_Traditional.GONGWEI = ["命宮", "兄弟宮", "夫妻宮", "子女宮", "財帛宮", "疾厄宮", "遷移宮", "交友宮", "事業宮", "田宅宮", "福德宮", "父母宮"];
 BizEnum_Traditional.GONGWEI.SHENGONG = "身宮";
 
 // 12长生
 BizEnum_Traditional.CHANGSHENG = ["長生", "沐浴", "冠帶", "臨官", "帝旺", "衰", "病", "死", "墓", "絕", "胎", "養"];
 
 // 12太岁杀禄
 BizEnum_Traditional.TAISUISHALU  = ["博士", "力士", "青龍", "小耗", "將軍", "奏書", "飛廉", "喜神", "病符", "大耗", "伏兵", "官府"];
 
 // 12流年岁前
 BizEnum_Traditional.LIUNIANSUIQIAN = ["歲建", "晦氣", "喪門", "貫索", "官符", "小耗", "大耗", "龍德", "白虎", "天德", "吊客", "病符"];
 
 // 12流年将前
 BizEnum_Traditional.LIUNIANJIANGQIAN = ["將星","攀鞍", "歲驿", "息神", "華蓋", "劫煞", "災煞", "天煞", "指背", "鹹池", "月煞", "亡神"];
 
  // 四化
 BizEnum_Traditional.SIHUA = ["祿", "權", "科", "忌"];
 
 // 星期
 BizEnum_Traditional.WEEK = [{
					"index" : 1,
					"name" : "星期壹"
				 },{
					"index" : 2,
					"name" : "星期二"
				 },{
					"index" : 3,
					"name" : "星期三"
				 },{
					"index" : 4,
					"name" : "星期四"
				 },{
					"index" : 5,
					"name" : "星期五"
				 },{
					"index" : 6,
					"name" : "星期六"
				 },{
					"index" : 0,
					"name" : "星期日"
				 }];
 
 BizEnum_Traditional.LUNARDAY = ["壹", "二", "三", "四", "五", "六", "七", "八", "九", "初", "十", "廿", "卅"];
 // 农历月内天数名称
 
  BizEnum_Traditional.LUNARDAYS = ["初壹","初二","初三","初四","初五","初六","初七","初八","初九","初十",
  								 "十壹","十二","十三","十四","十五","十六","十七","十八","十九","廿",
  								"廿壹","廿二","廿三","廿四","廿五","廿六","廿七","廿八","廿九","卅"];
 
 // 农历月份名称
 BizEnum_Traditional.LUNARMONTH = [{
							"index" : 1,
							"name" : "正月"
						 },{
							"index" : 2,
							"name" : "二月"
						 },{
							"index" : 3,
							"name" : "三月"
						 },{
							"index" : 4,
							"name" : "四月"
						 },{
							"index" : 5,
							"name" : "五月"
						 },{
							"index" : 6,
							"name" : "六月"
						 },{
							"index" : 7,
							"name" : "七月"
						 },{
							"index" : 8,
							"name" : "八月"
						 },{
							"index" : 9,
							"name" : "九月"
						 },{
							"index" : 10,
							"name" : "十月"
						 },{
							"index" : 11,
							"name" : "冬月"
						 },{
							"index" : 12,
							"name" : "臘月"
						 }];
 
 // 命局
 BizEnum_Traditional.MINGJU = [{
						"index" : 2,
						"name" : "水二局"
					 },{
						"index" : 3,
						"name" : "木三局"
					 },{
						"index" : 4,
						"name" : "金四局"
					 },{
						"index" : 5,
						"name" : "土五局"
					 },{
						"index" : 6,
						"name" : "火六局"
					 }];

// 14主星
BizEnum_Traditional.MAINSTAR = ["紫微星", "武曲星", "天府星", "天相星", "廉貞星", "七殺星", "破軍星", "貪狼星", "天同星", "天梁星", "天機星", "太陰星", "太陽星", "巨門星"];

// 8吉星
BizEnum_Traditional.GEMSTAR = ["天魁星", "天钺星", "文昌星", "文曲星", "左輔星", "右弼星", "祿存星", "天馬星"];

// 6煞星
BizEnum_Traditional.FIENDSTAR = ["擎羊星", "陀羅星", "地空星", "地劫星", "火星", "鈴星"];

// 小星
BizEnum_Traditional.NORMALSTAR = ["三台星", "天巫星", "紅鸾星", "台輔星", "陰煞星", "天德星", "寡宿星", "旬空星",
                      "解神星", "八座星", "恩光星", "天哭星", "天刑星", "天官星", "天空星", "孤辰星", "蜚廉星",
					  "破碎星", "天喜星", "天才星", "天壽星", "截空星", "天廚星", "龍池星", "鳳閣星", "天月星",
					  "年解星", "天姚星", "封诰星", "天福星", "天傷星", "月德星", "天貴星", "天虛星", "天使星", "華蓋星"
                  ];
				  
				  
BizEnum_Traditional.COLORCONFIG = {
						"MAINSTAR":{           // 主星
							"color" : "#7F6AA7",
							"bgcolor" : "#FFFFFF"
						},
						"GEMSTAR":{          // 吉星
							"color" : "#E25618",
							"bgcolor" : "#FFFFFF"
						},
						"FIENDSTAR":{    // 煞星
							"color" : "#FFFFFF",
							"bgcolor" : "#000000"
						},
						"NORMALSTAR":{   // 小星
							"color" : "#000000",
							"bgcolor" : "#FFFFFF"
						},
						"MIAOWANG":{          // 廟 旺
							"color" : "#FF0000",
							"bgcolor" : "#FFFFFF"
						},
						"XIANTIANGONGWEI":{     // 先天宮位
							"color" : "#3EAF99",
							"bgcolor" : "#FFFFFF"
						},
						"DAYUNGONGWEI":{     // 大运宮位
							"color" : "#458EC2",
							"bgcolor" : "#FFFFFF"
						},
						"LIUNIANGONGWEI":{    // 流年宮位
							"color" : "#DE5E47",
							"bgcolor" : "#FFFFFF"
						},
						"LIUYUEGONGWEI":{     // 流月宮位
							"color" : "#6BAA3F",
							"bgcolor" : "#FFFFFF"
						},
						"LIURIGONGWEI":{      // 流日宮位
							"color" : "#A6B9C8",
							"bgcolor" : "#FFFFFF"
						},
						"LIUSHIGONGWEI":{    // 流时宮位
							"color" : "#FF9933",
							"bgcolor" : "#FFFFFF"
						},
						"YUNYAO":{            // 运曜
							"color" : "#458EC2",
							"bgcolor" : "#FFFFFF"
						},
						"LIUYAO":{          // 流曜
							"color" : "#DE5E47",
							"bgcolor" : "#FFFFFF"
						},
						"XIANTIANSIHUA":{      // 先天四化
							"color" : "#FFFFFF",
							"bgcolor" : "#3EAF99"
						},
						"DAYUNSIHUA":{      // 大运四化
							"color" : "#FFFFFF",
							"bgcolor" : "#458EC2"
						},
						"LIUNIANSIHUA":{ // 流年四化
							"color" : "#FFFFFF",
							"bgcolor" : "#DE5E47"
						},
						"LIUYUESIHUA":{     // 流月四化
							"color" : "#FFFFFF",
							"bgcolor" : "#6BAA3F"
						},
						"LIURISIHUA":{      // 流日四化
							"color" : "#FFFFFF",
							"bgcolor" : "#A6B9C8"
						},
						"LIUSHISIHUA":{       // 流时四化
							"color" : "#FFFFFF",
							"bgcolor" : "#FF9933"
						},
						"SHENGONG":{         // 身宮
							"color" : "#FFFFFF",
							"bgcolor" : "#DA5A79"
						},
						"XIAOXIAN":{       // 小限
							"color" : "#FFFFFF",
							"bgcolor" : "#CEA0C8"
						},
						"AGEPERIOD":{      // 大运年龄
							"color" : "#458EC2",
							"bgcolor" : "#FFFFFF"
						},
						"LIUNIANYUE":{        // 月份
							"color" : "#6BAA3F",
							"bgcolor" : "#FFFFFF"
						},
						"TIANGAN":{      // 天干
							"color" : "#696A69",
							"bgcolor" : "#FFFFFF"
						},
						"DIZHI":{            // 地支
							"color" : "#696A69",
							"bgcolor" : "#FFFFFF"
						}};
						
/**
 * 小星廟 旺配置
 */
BizEnum_Traditional.MIAOWANGCONFIG = {
	"紫微星" : ["平", "廟", "廟", "旺", "陷", "旺", "廟", "廟", "旺", "平", "閑", "旺"],
	"天機星" : ["廟", "陷", "旺", "旺", "廟", "平", "廟", "陷", "平", "旺", "廟", "平"],
	"太陽星" : ["陷", "陷", "旺", "廟", "旺", "旺", "廟", "平", "閑", "閑", "陷", "陷"],
	"武曲星" : ["旺", "廟", "閑", "陷", "廟", "平", "旺", "廟", "平", "旺", "廟", "平"],
	"天同星" : ["旺", "陷", "閑", "廟", "平", "廟", "陷", "陷", "旺", "平", "平", "廟"],
	"廉貞星" : ["平", "旺", "廟", "閑", "旺", "陷", "平", "廟", "廟", "平", "旺", "陷"],
	"天府星" : ["廟", "廟", "廟", "平", "廟", "平", "旺", "廟", "平", "陷", "廟", "旺"],
	"太陰星" : ["廟", "廟", "閑", "陷", "閑", "陷", "陷", "平", "平", "旺", "旺", "廟"],
	"貪狼星" : ["旺", "廟", "平", "地", "廟", "陷", "旺", "廟", "平", "平", "廟", "陷"],
	"巨門星" : ["旺", "旺", "廟", "廟", "平", "平", "旺", "陷", "廟", "廟", "旺", "旺"],
	"天相星" : ["廟", "廟", "廟", "陷", "旺", "平", "旺", "閑", "廟", "陷", "閑", "平"], 
	"天梁星" : ["廟", "旺", "廟", "廟", "旺", "陷", "廟", "旺", "陷", "地", "旺", "陷"],
	"七殺星" : ["旺", "廟", "廟", "陷", "旺", "平", "旺", "旺", "廟", "閑", "廟", "平"],
	"破軍星" : ["廟", "旺", "陷", "旺", "旺", "閑", "廟", "廟", "陷", "陷", "旺", "平"],
	"文昌星" : ["旺", "廟 ", "陷", "平", "旺", "廟 ", "陷", "平", "旺", "廟 ", "陷", "旺"],
	"文曲星" : ["廟 ", "廟 ", "平", "旺", "廟 ", "廟 ", "陷", "旺", "平", "廟 ", "陷", "旺"],
	"左輔星" : ["旺", "廟 ", "廟 ", "陷", "廟 ", "平", "旺", "廟 ", "平", "陷", "廟 ", "閑"],
	"右弼星" : ["廟 ", "廟 ", "旺", "陷", "廟 ", "平", "旺", "廟 ", "閑", "陷", "廟 ", "平"],
	"天魁星" : ["旺", "旺", "", "廟 ", "", "", "廟 ", "", "", "", "", "旺"],
	"天钺星" : ["", "", "旺", "", "", "旺", "", "旺", "廟 ", "廟 ", "", ""],
	"天馬星" : ["", "", "旺", "", "", "平", "", "", "旺", "", "", "平"],
	"解神星" : ["廟 ", "平", "廟 ", "廟 ", "廟 ", "旺", "廟 ", "平", "閑", "旺", "廟 ", "閑"],
	"天巫星" : ["", "", "平", "", "", "陷", "", "", "陷", "", "", "平"],
	"天月星" : ["", "", "平", "陷", "閑", "陷", "陷", "平", "", "", "陷", "廟 "],
	"陰煞星" : ["陷", "", "閑", "", "陷", "", "廟 ", "", "陷", "", "平", ""],
	"祿存星" : ["旺", "", "廟 ", "旺", "", "廟 ", "旺", "", "廟 ", "旺", "", "廟 "],
	"擎羊星" : ["陷", "廟 ", "", "陷", "廟 ", "", "平", "廟 ", "", "陷", "廟 ", ""],
	"陀羅星" : ["", "廟 ", "陷", "", "廟 ", "陷", "", "廟 ", "陷", "", "廟 ", "陷"],
	"火星" : ["平", "旺", "廟 ", "平", "閑", "旺", "廟 ", "閑", "陷", "陷", "廟 ", "平"],
	"鈴星" : ["陷", "陷", "廟 ", "廟 ", "旺", "旺", "廟 ", "旺", "旺", "陷", "廟 ", "廟 "],
	"地劫星" : ["陷", "陷", "平", "平", "陷", "閑", "廟 ", "平", "廟 ", "平", "平", "旺"],
	"地空星" : ["平", "陷", "陷", "平", "陷", "廟 ", "廟 ", "平", "廟 ", "廟 ", "陷", "陷"],
	"天使星" : ["陷", "陷", "平", "平", "陷", "平", "平", "平", "平", "陷", "陷", "旺"],
	"天傷星" : ["陷", "平", "平", "陷", "平", "平", "陷", "陷", "平", "平", "平", "旺"],
	"天刑星" : ["平", "陷", "廟 ", "廟 ", "平", "陷", "平", "陷", "陷", "廟 ", "廟 ", "陷"],
	"天姚星" : ["陷", "平", "旺", "廟 ", "陷", "平", "平", "旺", "閑", "廟 ", "廟 ", "陷"],
	"三台星" : ["平", "廟 ", "平", "陷", "廟 ", "平", "旺", "廟 ", "平", "廟 ", "旺", "平"],
	"八座星" : ["陷", "廟 ", "廟 ", "平", "旺", "廟 ", "旺", "平", "廟 ", "廟 ", "平", "廟 "],
	"恩光星" : ["平", "廟 ", "平", "廟 ", "廟 ", "平", "廟 ", "旺", "平", "陷", "廟 ", "閑"],
	"天貴星" : ["旺", "廟 ", "平", "旺", "旺", "平", "廟 ", "旺", "陷", "廟 ", "旺", "平"],
	"天哭星" : ["平", "廟 ", "平", "廟 ", "平", "地", "陷", "平", "廟 ", "閑", "平", "平"],
	"天虚星" : ["陷", "廟 ", "旺", "廟 ", "陷", "旺", "平", "陷", "廟 ", "旺", "陷", "平"],
	"龍池星" : ["旺", "平", "平", "廟 ", "廟 ", "陷", "閑", "廟 ", "平", "廟 ", "陷", "旺"],
	"鳳閣星" : ["廟 ", "平", "廟 ", "旺", "陷", "廟 ", "平", "陷", "閑", "廟 ", "廟 ", "旺"],
	"台輔星" : ["廟 ", "廟 ", "廟 ", "平", "旺", "平", "旺", "平", "平", "陷", "廟 ", "陷"],
	"封诰星" : ["廟 ", "旺", "廟 ", "廟 ", "平", "陷", "廟 ", "閑", "陷", "平", "旺", "陷"],
	"天官星" : ["", "", "平", "旺", "旺", "旺", "廟 ", "廟 ", "", "平", "平", "旺"],
	"天福星" : ["平", "", "旺", "平", "", "旺", "平", "", "廟 ", "廟 ", "", "廟 "],
	"红鸾星" : ["廟 ", "陷", "旺", "廟 ", "陷", "旺", "旺", "陷", "廟 ", "旺", "陷", "廟 "],
	"天喜星" : ["旺", "陷", "廟 ", "旺", "陷", "廟 ", "廟 ", "陷", "旺", "廟 ", "陷", "旺"],
	"孤辰星" : ["", "", "平", "", "", "陷", "", "", "平", "", "", "陷"],
	"寡宿星" : ["", "平", "", "", "陷", "", "", "閑", "", "", "陷", ""],
	"破碎星" : ["", "陷", "", "", "", "陷", "", "", "", "平", "", ""],
	"天才星" : ["旺", "平", "廟 ", "旺", "陷", "廟 ", "旺", "平", "廟 ", "旺", "陷", "廟 "],
	"天壽星" : ["平", "廟 ", "旺", "陷", "廟 ", "平", "平", "廟 ", "旺", "平", "廟 ", "旺"],
	"截空星" : ["陷", "閑", "陷", "平", "陷", "廟 ", "廟 ", "陷", "廟 ", "廟 ", "", ""],
	"旬空星" : ["陷", "平", "陷", "平", "陷", "廟 ", "廟 ", "陷", "廟 ", "廟 ", "陷", "平"],
	"天空星" : ["陷", "平", "陷", "平", "閑", "廟 ", "廟 ", "陷", "旺", "旺", "陷", "平"],
	"天德星" : ["廟 ", "廟 ", "平", "平", "廟 ", "旺", "旺", "廟 ", "平", "閑", "廟 ", "平"]
 };
 
  /**
  * 运曜
  */
 BizEnum_Traditional.YUNYAO = {
	"FIENDSTAR_QINGYANGXING" : {
		"starName" : "運擎羊星",
		"shortName" : "運羊"
	},
	"FIENDSTAR_TUOLUOXING" : {
		"starName" : "運陀羅星",
		"shortName" : "運陀"
	},
	"GEMSTAR_LUCUNXING" : {
		"starName" : "運祿存星",
		"shortName" : "運祿"
	},
	"GEMSTAR_WENCHANGXING" : {
		"starName" : "運文昌星",
		"shortName" : "運昌"
	},
	"GEMSTAR_WENQUXING" : {
		"starName" : "運文曲星",
		"shortName" : "運曲"
	},
	"GEMSTAR_TIANKUIXING" : {
		"starName" : "運天魁星",
		"shortName" : "運魁"
	},
	"GEMSTAR_TIANYUEXING" : {
		"starName" : "運天钺星",
		"shortName" : "運钺"
	}
 };
 
 /**
  * 流曜
  */
 BizEnum_Traditional.LIUYAO = {
	"FIENDSTAR_QINGYANGXING" : {
		"starName" : "流擎羊星",
		"shortName" : "流羊"
	},
	"FIENDSTAR_TUOLUOXING" : {
		"starName" : "流陀羅星",
		"shortName" : "流陀"
	},
	"GEMSTAR_LUCUNXING" : {
		"starName" : "流祿存星",
		"shortName" : "流祿"
	},
	"GEMSTAR_WENCHANGXING" : {
		"starName" : "流文昌星",
		"shortName" : "流昌"
	},
	"GEMSTAR_WENQUXING" : {
		"starName" : "流文曲星",
		"shortName" : "流曲"
	},
	"GEMSTAR_TIANKUIXING" : {
		"starName" : "流天魁星",
		"shortName" : "流魁"
	},
	"GEMSTAR_TIANYUEXING" : {
		"starName" : "流天钺星",
		"shortName" : "流钺"
	},
	"NORMALSTAR_HONGLUANXING" : {
		"starName" : "流紅鸾星",
		"shortName" : "流鸾"
	},
	"NORMALSTAR_TIANXIXING" : {
		"starName" : "流天喜星",
		"shortName" : "流喜"
	}
 };

 /**
  * 24节气
  */
 BizEnum_Traditional.FEASTS = ["小寒", "大寒", "立春", "雨水", "驚蟄", "春分",
				   "清明", "谷雨", "立夏", "小滿", "芒種", "夏至", 
				   "小暑", "大暑", "立秋", "處暑", "白露", "秋分", 
				   "寒露", "霜降", "立冬", "小雪", "大雪", "冬至"];
				   
BizEnum_Traditional.MAP = {
	"TG_JIA" : BizEnum_Traditional.TIANGAN[0], 
	"TG_YI" : BizEnum_Traditional.TIANGAN[1],  
	"TG_BING" : BizEnum_Traditional.TIANGAN[2],  
	"TG_DING" : BizEnum_Traditional.TIANGAN[3],  
	"TG_WU" : BizEnum_Traditional.TIANGAN[4], 
	"TG_JI" : BizEnum_Traditional.TIANGAN[5],  
	"TG_GENG" : BizEnum_Traditional.TIANGAN[6],  
	"TG_XIN" : BizEnum_Traditional.TIANGAN[7],  
	"TG_REN" : BizEnum_Traditional.TIANGAN[8], 
	"TG_GUI" : BizEnum_Traditional.TIANGAN[9], 
	"DZ_ZI" : BizEnum_Traditional.DIZHI[0],
	"DZ_CHOU" : BizEnum_Traditional.DIZHI[1], 
	"DZ_YIN" : BizEnum_Traditional.DIZHI[2], 
	"DZ_MAO" : BizEnum_Traditional.DIZHI[3],
	"DZ_CHEN" : BizEnum_Traditional.DIZHI[4], 
	"DZ_SI" : BizEnum_Traditional.DIZHI[5], 
	"DZ_WU" : BizEnum_Traditional.DIZHI[6], 
	"DZ_WEI" : BizEnum_Traditional.DIZHI[7], 
	"DZ_SHEN" : BizEnum_Traditional.DIZHI[8], 
	"DZ_YOU" : BizEnum_Traditional.DIZHI[9], 
	"DZ_XU" : BizEnum_Traditional.DIZHI[10], 
	"DZ_HAI" : BizEnum_Traditional.DIZHI[11],
	"YY_YIN" : BizEnum_Traditional.YINYANG[0],
	"YY_YANG" : BizEnum_Traditional.YINYANG[1],
	"GENDER_NAN" : BizEnum_Traditional.GENDER[0],
	"GENDER_NV" : BizEnum_Traditional.GENDER[1],
	"ZODIAC_SHU" : BizEnum_Traditional.ZODIAC[0],
	"ZODIAC_NIU" : BizEnum_Traditional.ZODIAC[1], 
	"ZODIAC_HU" : BizEnum_Traditional.ZODIAC[2], 
	"ZODIAC_TU" : BizEnum_Traditional.ZODIAC[3], 
	"ZODIAC_LONG" : BizEnum_Traditional.ZODIAC[4], 
	"ZODIAC_SHE" : BizEnum_Traditional.ZODIAC[5], 
	"ZODIAC_MA" : BizEnum_Traditional.ZODIAC[6], 
	"ZODIAC_YANG" : BizEnum_Traditional.ZODIAC[7], 
	"ZODIAC_HOU" : BizEnum_Traditional.ZODIAC[8], 
	"ZODIAC_JI" : BizEnum_Traditional.ZODIAC[9],
	"ZODIAC_GOU" : BizEnum_Traditional.ZODIAC[10], 
	"ZODIAC_ZHU" : BizEnum_Traditional.ZODIAC[11],
	"JIAZI_JIAZI" : BizEnum_Traditional.JIAZI[0],
	"JIAZI_YICHOU" : BizEnum_Traditional.JIAZI[1],
	"JIAZI_BINGYIN" : BizEnum_Traditional.JIAZI[2],
	"JIAZI_DINGMAO" : BizEnum_Traditional.JIAZI[3],
	"JIAZI_WUCHEN" : BizEnum_Traditional.JIAZI[4],
	"JIAZI_JISI" : BizEnum_Traditional.JIAZI[5],
	"JIAZI_GENGWU" : BizEnum_Traditional.JIAZI[6],
	"JIAZI_XINWEI" : BizEnum_Traditional.JIAZI[7],
	"JIAZI_RENSHEN" : BizEnum_Traditional.JIAZI[8],
	"JIAZI_GUIYOU" : BizEnum_Traditional.JIAZI[9], 
	"JIAZI_JIAXU" : BizEnum_Traditional.JIAZI[10],
	"JIAZI_YIHAI" : BizEnum_Traditional.JIAZI[11],
	"JIAZI_BINGZI" : BizEnum_Traditional.JIAZI[12],
	"JIAZI_DINGCHOU" : BizEnum_Traditional.JIAZI[13],
	"JIAZI_WUYIN" : BizEnum_Traditional.JIAZI[14],
	"JIAZI_JIMAO" : BizEnum_Traditional.JIAZI[15],
	"JIAZI_GENGCHEN" : BizEnum_Traditional.JIAZI[16],
	"JIAZI_XINSI" : BizEnum_Traditional.JIAZI[17],
	"JIAZI_RENWU" : BizEnum_Traditional.JIAZI[18],
	"JIAZI_GUIWEI" : BizEnum_Traditional.JIAZI[19], 
　　"JIAZI_JIASHEN" : BizEnum_Traditional.JIAZI[20],
    "JIAZI_YIYOU" : BizEnum_Traditional.JIAZI[21],
	"JIAZI_BINGXU" : BizEnum_Traditional.JIAZI[22],
	"JIAZI_DINGHAI" : BizEnum_Traditional.JIAZI[23],
	"JIAZI_WUZI" : BizEnum_Traditional.JIAZI[24],
	"JIAZI_JICHOU" : BizEnum_Traditional.JIAZI[25],
	"JIAZI_GENGYIN" : BizEnum_Traditional.JIAZI[26],
	"JIAZI_XINMAO" : BizEnum_Traditional.JIAZI[27],
	"JIAZI_RENCHEN" : BizEnum_Traditional.JIAZI[28],
	"JIAZI_GUISI" : BizEnum_Traditional.JIAZI[29], 
　　"JIAZI_JIAWU" : BizEnum_Traditional.JIAZI[30],
    "JIAZI_YIWEI" : BizEnum_Traditional.JIAZI[31],
	"JIAZI_BINGSHEN" : BizEnum_Traditional.JIAZI[32],
	"JIAZI_DINGYOU" : BizEnum_Traditional.JIAZI[33],
	"JIAZI_WUXU" : BizEnum_Traditional.JIAZI[34],
	"JIAZI_JIHAI" : BizEnum_Traditional.JIAZI[35],
	"JIAZI_GENGZI" : BizEnum_Traditional.JIAZI[36],
	"JIAZI_XINCHOU" : BizEnum_Traditional.JIAZI[37],
	"JIAZI_RENYIN" : BizEnum_Traditional.JIAZI[38],
	"JIAZI_GUIMAO" : BizEnum_Traditional.JIAZI[39], 
　　"JIAZI_JIACHEN" : BizEnum_Traditional.JIAZI[40],
    "JIAZI_YISI" : BizEnum_Traditional.JIAZI[41],
	"JIAZI_BINGWU" : BizEnum_Traditional.JIAZI[42],
	"JIAZI_DINGWEI" : BizEnum_Traditional.JIAZI[43],
	"JIAZI_WUSHEN" : BizEnum_Traditional.JIAZI[44],
	"JIAZI_JIYOU" : BizEnum_Traditional.JIAZI[45],
	"JIAZI_GENGXU" : BizEnum_Traditional.JIAZI[46],
	"JIAZI_XINHAI" : BizEnum_Traditional.JIAZI[47],
	"JIAZI_RENZI" : BizEnum_Traditional.JIAZI[48],
	"JIAZI_GUICHOU" : BizEnum_Traditional.JIAZI[49], 
　　"JIAZI_JIAYIN" : BizEnum_Traditional.JIAZI[50],
    "JIAZI_YIMAO" : BizEnum_Traditional.JIAZI[51],
	"JIAZI_BINGCHEN" : BizEnum_Traditional.JIAZI[52],
	"JIAZI_DINGSI" : BizEnum_Traditional.JIAZI[53],
	"JIAZI_WUWU" : BizEnum_Traditional.JIAZI[54],
	"JIAZI_JIWEI" : BizEnum_Traditional.JIAZI[55],
	"JIAZI_GENGSHEN" : BizEnum_Traditional.JIAZI[56],
	"JIAZI_XINYOU" : BizEnum_Traditional.JIAZI[57],
	"JIAZI_RENXU" : BizEnum_Traditional.JIAZI[58],
	"JIAZI_GUIHAI" : BizEnum_Traditional.JIAZI[59],
	"GONGWEI_MINGGONG" : BizEnum_Traditional.GONGWEI[0],
	"GONGWEI_XIONGDIGONG": BizEnum_Traditional.GONGWEI[1], 
	"GONGWEI_FUQIGONG": BizEnum_Traditional.GONGWEI[2], 
	"GONGWEI_ZINVGONG": BizEnum_Traditional.GONGWEI[3], 
	"GONGWEI_CAIBOGONG": BizEnum_Traditional.GONGWEI[4], 
	"GONGWEI_JIEGONG": BizEnum_Traditional.GONGWEI[5], 
	"GONGWEI_QIANYIGONG": BizEnum_Traditional.GONGWEI[6], 
	"GONGWEI_JIAOYOUGONG": BizEnum_Traditional.GONGWEI[7], 
	"GONGWEI_SHIYEGONG": BizEnum_Traditional.GONGWEI[8], 
	"GONGWEI_TIANZHAIGONG": BizEnum_Traditional.GONGWEI[9], 
	"GONGWEI_FUDEGONG": BizEnum_Traditional.GONGWEI[10], 
	"GONGWEI_FUMUGONG": BizEnum_Traditional.GONGWEI[11],
	"GONGWEI_SHENGONG" : BizEnum_Traditional.GONGWEI.SHENGONG,
	"CHANGSHENG_CHANGSHENG" : BizEnum_Traditional.CHANGSHENG[0],
	"CHANGSHENG_MUYU" : BizEnum_Traditional.CHANGSHENG[1], 
	"CHANGSHENG_GUANDAI" : BizEnum_Traditional.CHANGSHENG[2], 
	"CHANGSHENG_LINGUAN" : BizEnum_Traditional.CHANGSHENG[3], 
	"CHANGSHENG_DIWANG" : BizEnum_Traditional.CHANGSHENG[4], 
	"CHANGSHENG_SHUAI" : BizEnum_Traditional.CHANGSHENG[5], 
	"CHANGSHENG_BING" : BizEnum_Traditional.CHANGSHENG[6], 
	"CHANGSHENG_SI" : BizEnum_Traditional.CHANGSHENG[7], 
	"CHANGSHENG_MU" : BizEnum_Traditional.CHANGSHENG[8], 
	"CHANGSHENG_JUE" : BizEnum_Traditional.CHANGSHENG[9], 
	"CHANGSHENG_TAI" : BizEnum_Traditional.CHANGSHENG[10], 
	"CHANGSHENG_YANG" : BizEnum_Traditional.CHANGSHENG[11],
	"TAISUISHALU_BOSHI" : BizEnum_Traditional.TAISUISHALU[0],
	"TAISUISHALU_LISHI" : BizEnum_Traditional.TAISUISHALU[1], 
	"TAISUISHALU_QINGLONG" : BizEnum_Traditional.TAISUISHALU[2], 
	"TAISUISHALU_XIAOHAO" : BizEnum_Traditional.TAISUISHALU[3], 
	"TAISUISHALU_JIANGJUN" : BizEnum_Traditional.TAISUISHALU[4], 
	"TAISUISHALU_ZHOUSHU" : BizEnum_Traditional.TAISUISHALU[5], 
	"TAISUISHALU_FEILIAN" : BizEnum_Traditional.TAISUISHALU[6], 
	"TAISUISHALU_XISHEN" : BizEnum_Traditional.TAISUISHALU[7], 
	"TAISUISHALU_BINGFU" : BizEnum_Traditional.TAISUISHALU[8], 
	"TAISUISHALU_DAHAO" : BizEnum_Traditional.TAISUISHALU[9], 
	"TAISUISHALU_FUBING" : BizEnum_Traditional.TAISUISHALU[10], 
	"TAISUISHALU_GUANFU" : BizEnum_Traditional.TAISUISHALU[11],
	"LIUNIANSUIQIAN_SUIJIAN" : BizEnum_Traditional.LIUNIANSUIQIAN[0],
	"LIUNIANSUIQIAN_HUIQI" : BizEnum_Traditional.LIUNIANSUIQIAN[1], 
	"LIUNIANSUIQIAN_SANGMEN" : BizEnum_Traditional.LIUNIANSUIQIAN[2], 
	"LIUNIANSUIQIAN_GUANSUO" : BizEnum_Traditional.LIUNIANSUIQIAN[3], 
	"LIUNIANSUIQIAN_GUANFU" : BizEnum_Traditional.LIUNIANSUIQIAN[4], 
	"LIUNIANSUIQIAN_XIAOHAO" : BizEnum_Traditional.LIUNIANSUIQIAN[5], 
	"LIUNIANSUIQIAN_DAHAO" : BizEnum_Traditional.LIUNIANSUIQIAN[6], 
	"LIUNIANSUIQIAN_LONGDE" : BizEnum_Traditional.LIUNIANSUIQIAN[7], 
	"LIUNIANSUIQIAN_BAIHU" : BizEnum_Traditional.LIUNIANSUIQIAN[8], 
	"LIUNIANSUIQIAN_TIANDE" : BizEnum_Traditional.LIUNIANSUIQIAN[9], 
	"LIUNIANSUIQIAN_DIAOKE" : BizEnum_Traditional.LIUNIANSUIQIAN[10], 
	"LIUNIANSUIQIAN_BINGFU" : BizEnum_Traditional.LIUNIANSUIQIAN[11],
	"LIUNIANJIANGQIAN_JIANGXING" : BizEnum_Traditional.LIUNIANJIANGQIAN[0],
	"LIUNIANJIANGQIAN_PANAN" : BizEnum_Traditional.LIUNIANJIANGQIAN[1], 
	"LIUNIANJIANGQIAN_SUIYI" : BizEnum_Traditional.LIUNIANJIANGQIAN[2], 
	"LIUNIANJIANGQIAN_XISHEN" : BizEnum_Traditional.LIUNIANJIANGQIAN[3], 
	"LIUNIANJIANGQIAN_HUAGAI" : BizEnum_Traditional.LIUNIANJIANGQIAN[4], 
	"LIUNIANJIANGQIAN_JIESHA" : BizEnum_Traditional.LIUNIANJIANGQIAN[5], 
	"LIUNIANJIANGQIAN_ZHAISHA" : BizEnum_Traditional.LIUNIANJIANGQIAN[6], 
	"LIUNIANJIANGQIAN_TIANSHA" : BizEnum_Traditional.LIUNIANJIANGQIAN[7], 
	"LIUNIANJIANGQIAN_ZHIBEI" : BizEnum_Traditional.LIUNIANJIANGQIAN[8], 
	"LIUNIANJIANGQIAN_XIANCHI" : BizEnum_Traditional.LIUNIANJIANGQIAN[9], 
	"LIUNIANJIANGQIAN_YUESHA" : BizEnum_Traditional.LIUNIANJIANGQIAN[10], 
	"LIUNIANJIANGQIAN_WANGSHEN" : BizEnum_Traditional.LIUNIANJIANGQIAN[11],
	"SIHUA_LU" : BizEnum_Traditional.SIHUA[0],
	"SIHUA_QUAN" : BizEnum_Traditional.SIHUA[1], 
	"SIHUA_KE" : BizEnum_Traditional.SIHUA[2], 
	"SIHUA_JI" : BizEnum_Traditional.SIHUA[3],
	"WEEK_XINGQIYI" : BizEnum_Traditional.WEEK[0].name,
	"WEEK_XINGQIER" : BizEnum_Traditional.WEEK[1].name,
	"WEEK_XINGQISAN" : BizEnum_Traditional.WEEK[2].name,
	"WEEK_XINGQISI" : BizEnum_Traditional.WEEK[3].name,
	"WEEK_XINGQIWU" : BizEnum_Traditional.WEEK[4].name,
	"WEEK_XINGQILIU" : BizEnum_Traditional.WEEK[5].name,
	"WEEK_XINGQIRI" : BizEnum_Traditional.WEEK[6].name,
	"LUNARDAY_YI" : BizEnum_Traditional.LUNARDAY[0], 
	"LUNARDAY_ER" : BizEnum_Traditional.LUNARDAY[1],  
	"LUNARDAY_SAN" : BizEnum_Traditional.LUNARDAY[2],  
	"LUNARDAY_SI" : BizEnum_Traditional.LUNARDAY[3],  
	"LUNARDAY_WU" : BizEnum_Traditional.LUNARDAY[4],  
	"LUNARDAY_LIU" : BizEnum_Traditional.LUNARDAY[5],  
	"LUNARDAY_QI" : BizEnum_Traditional.LUNARDAY[6],  
	"LUNARDAY_BA" : BizEnum_Traditional.LUNARDAY[7],  
	"LUNARDAY_JIU" : BizEnum_Traditional.LUNARDAY[8],  
	"LUNARDAY_CHU" : BizEnum_Traditional.LUNARDAY[9],  
	"LUNARDAY_SHI" : BizEnum_Traditional.LUNARDAY[10],  
	"LUNARDAY_NIAN" : BizEnum_Traditional.LUNARDAY[11],  
	"LUNARDAY_SA" : BizEnum_Traditional.LUNARDAY[12], 
	"LUNARMONTH_ZHENGYUE" : BizEnum_Traditional.LUNARMONTH[0].name,
	"LUNARMONTH_ERYUE" : BizEnum_Traditional.LUNARMONTH[1].name,
	"LUNARMONTH_SANYUE" : BizEnum_Traditional.LUNARMONTH[2].name,
	"LUNARMONTH_SIYUE" : BizEnum_Traditional.LUNARMONTH[3].name,
	"LUNARMONTH_WUYUE" : BizEnum_Traditional.LUNARMONTH[4].name,
	"LUNARMONTH_LIUYUE" : BizEnum_Traditional.LUNARMONTH[5].name,
	"LUNARMONTH_QIYUE" : BizEnum_Traditional.LUNARMONTH[6].name,
	"LUNARMONTH_BAYUE" : BizEnum_Traditional.LUNARMONTH[7].name,
	"LUNARMONTH_JIUYUE" : BizEnum_Traditional.LUNARMONTH[8].name,
	"LUNARMONTH_SHIYUE" : BizEnum_Traditional.LUNARMONTH[9].name,
	"LUNARMONTH_SHIYIYUE" : BizEnum_Traditional.LUNARMONTH[10].name,
	"LUNARMONTH_LAYUE" : BizEnum_Traditional.LUNARMONTH[11].name,
	"MINGJU_SHUIERJU" : BizEnum_Traditional.MINGJU[0].name,
	"MINGJU_MUSANJU" : BizEnum_Traditional.MINGJU[1].name,
	"MINGJU_JINSIJU" : BizEnum_Traditional.MINGJU[2].name,
	"MINGJU_TUWUJU" : BizEnum_Traditional.MINGJU[3].name,
	"MINGJU_HUOLIUJU" : BizEnum_Traditional.MINGJU[4].name,
	"MAINSTAR_ZIWEIXING" : BizEnum_Traditional.MAINSTAR[0], 
	"MAINSTAR_WUQUXING" : BizEnum_Traditional.MAINSTAR[1],  
	"MAINSTAR_TIANFUXING" : BizEnum_Traditional.MAINSTAR[2],  
	"MAINSTAR_TIANXIANGXING" : BizEnum_Traditional.MAINSTAR[3],  
	"MAINSTAR_LIANZHENXING" : BizEnum_Traditional.MAINSTAR[4],  
	"MAINSTAR_QISHAXING" : BizEnum_Traditional.MAINSTAR[5],  
	"MAINSTAR_POJUNXING" : BizEnum_Traditional.MAINSTAR[6],  
	"MAINSTAR_TANLANGXING" : BizEnum_Traditional.MAINSTAR[7],  
	"MAINSTAR_TIANTONGXING" : BizEnum_Traditional.MAINSTAR[8],  
	"MAINSTAR_TIANLIANGXING" : BizEnum_Traditional.MAINSTAR[9],  
	"MAINSTAR_TIANJIXING" : BizEnum_Traditional.MAINSTAR[10],  
	"MAINSTAR_TAIYINXING" : BizEnum_Traditional.MAINSTAR[11],  
	"MAINSTAR_TAIYANGXING" : BizEnum_Traditional.MAINSTAR[12],  
	"MAINSTAR_JUMENXING" : BizEnum_Traditional.MAINSTAR[13], 
	"GEMSTAR_TIANKUIXING" : BizEnum_Traditional.GEMSTAR[0],
	"GEMSTAR_TIANYUEXING" : BizEnum_Traditional.GEMSTAR[1],
	"GEMSTAR_WENCHANGXING" : BizEnum_Traditional.GEMSTAR[2],
	"GEMSTAR_WENQUXING" : BizEnum_Traditional.GEMSTAR[3],
	"GEMSTAR_ZUOFUXING" : BizEnum_Traditional.GEMSTAR[4],
	"GEMSTAR_YOUBIXING" : BizEnum_Traditional.GEMSTAR[5],
	"GEMSTAR_LUCUNXING" : BizEnum_Traditional.GEMSTAR[6],
	"GEMSTAR_TIANMAXING" : BizEnum_Traditional.GEMSTAR[7],
	"FIENDSTAR_QINGYANGXING" : BizEnum_Traditional.FIENDSTAR[0],
	"FIENDSTAR_TUOLUOXING" : BizEnum_Traditional.FIENDSTAR[1], 
	"FIENDSTAR_DIKONGXING" : BizEnum_Traditional.FIENDSTAR[2], 
	"FIENDSTAR_DIJIEXING" : BizEnum_Traditional.FIENDSTAR[3], 
	"FIENDSTAR_HUOXING" : BizEnum_Traditional.FIENDSTAR[4], 
	"FIENDSTAR_LINGXING" : BizEnum_Traditional.FIENDSTAR[5],
	"NORMALSTAR_SANTAIXING" : BizEnum_Traditional.NORMALSTAR[0],
	"NORMALSTAR_TIANWUXING" : BizEnum_Traditional.NORMALSTAR[1], 
	"NORMALSTAR_HONGLUANXING" : BizEnum_Traditional.NORMALSTAR[2], 
	"NORMALSTAR_TAIFUXING" : BizEnum_Traditional.NORMALSTAR[3], 
	"NORMALSTAR_YINSHAXING" : BizEnum_Traditional.NORMALSTAR[4], 
	"NORMALSTAR_TIANDEXING" : BizEnum_Traditional.NORMALSTAR[5], 
	"NORMALSTAR_GUASUXING" : BizEnum_Traditional.NORMALSTAR[6], 
	"NORMALSTAR_XUNKONGXING" : BizEnum_Traditional.NORMALSTAR[7],
    "NORMALSTAR_JIESHENXING" : BizEnum_Traditional.NORMALSTAR[8], 
	"NORMALSTAR_BAZUOXING" : BizEnum_Traditional.NORMALSTAR[9], 
	"NORMALSTAR_ENGUANGXING" : BizEnum_Traditional.NORMALSTAR[10], 
	"NORMALSTAR_TIANKUXING" : BizEnum_Traditional.NORMALSTAR[11], 
	"NORMALSTAR_TIANXINGXING" : BizEnum_Traditional.NORMALSTAR[12], 
	"NORMALSTAR_TIANGUANXING" : BizEnum_Traditional.NORMALSTAR[13], 
	"NORMALSTAR_TIANKONGXING" : BizEnum_Traditional.NORMALSTAR[14], 
	"NORMALSTAR_GUCHENXING" : BizEnum_Traditional.NORMALSTAR[15], 
	"NORMALSTAR_FEILIANXING" : BizEnum_Traditional.NORMALSTAR[16],
	"NORMALSTAR_POSUIXING" : BizEnum_Traditional.NORMALSTAR[17], 
	"NORMALSTAR_TIANXIXING" : BizEnum_Traditional.NORMALSTAR[18], 
	"NORMALSTAR_TIANCAIXING" : BizEnum_Traditional.NORMALSTAR[19], 
	"NORMALSTAR_TIANSHOUXING" : BizEnum_Traditional.NORMALSTAR[20], 
	"NORMALSTAR_JIEKONGXING" : BizEnum_Traditional.NORMALSTAR[21], 
	"NORMALSTAR_TIANCHUXING" : BizEnum_Traditional.NORMALSTAR[22], 
	"NORMALSTAR_LONGCHIXING" : BizEnum_Traditional.NORMALSTAR[23], 
	"NORMALSTAR_FENGGEXING" : BizEnum_Traditional.NORMALSTAR[24], 
	"NORMALSTAR_TIANYUEXING" : BizEnum_Traditional.NORMALSTAR[25],
	"NORMALSTAR_NIANJIEXING" : BizEnum_Traditional.NORMALSTAR[26], 
	"NORMALSTAR_TIANYAOXING" : BizEnum_Traditional.NORMALSTAR[27], 
	"NORMALSTAR_FENGGAOXING" : BizEnum_Traditional.NORMALSTAR[28], 
	"NORMALSTAR_TIANFUXING" : BizEnum_Traditional.NORMALSTAR[29], 
	"NORMALSTAR_TIANSHANGXING" : BizEnum_Traditional.NORMALSTAR[30], 
	"NORMALSTAR_YUEDEXING" : BizEnum_Traditional.NORMALSTAR[31], 
	"NORMALSTAR_TIANGUIXING" : BizEnum_Traditional.NORMALSTAR[32], 
	"NORMALSTAR_TIANXUXING" : BizEnum_Traditional.NORMALSTAR[33], 
	"NORMALSTAR_TIANSHIXING" : BizEnum_Traditional.NORMALSTAR[34],
	"NORMALSTAR_HUAGAIXING" : BizEnum_Traditional.NORMALSTAR[35],
	"MIAOWANG_WANG" : "旺",
	"MIAOWANG_MIAO" : "廟",
	"MIAOWANG_PING" : "平",
	"MIAOWANG_XIAN" : "陷",
	"MIAOWANG_XIAN1" : "閑",
	"MIAOWANG_DI" : "地",
	"YUN_FIENDSTAR_QINGYANGXING" : BizEnum_Traditional.YUNYAO["FIENDSTAR_QINGYANGXING"]["starName"],
	"YUN_YANG" : BizEnum_Traditional.YUNYAO["FIENDSTAR_QINGYANGXING"]["shortName"],
	"YUN_FIENDSTAR_TUOLUOXING" : BizEnum_Traditional.YUNYAO["FIENDSTAR_TUOLUOXING"]["starName"],
	"YUN_TUO" : BizEnum_Traditional.YUNYAO["FIENDSTAR_TUOLUOXING"]["shortName"],
	"YUN_GEMSTAR_LUCUNXING" : BizEnum_Traditional.YUNYAO["GEMSTAR_LUCUNXING"]["starName"],
	"YUN_LU" : BizEnum_Traditional.YUNYAO["GEMSTAR_LUCUNXING"]["shortName"],
	"YUN_GEMSTAR_WENCHANGXING" : BizEnum_Traditional.YUNYAO["GEMSTAR_WENCHANGXING"]["starName"],
	"YUN_CHANG" : BizEnum_Traditional.YUNYAO["GEMSTAR_WENCHANGXING"]["shortName"],
	"YUN_GEMSTAR_WENQUXING" : BizEnum_Traditional.YUNYAO["GEMSTAR_WENQUXING"]["starName"],
	"YUN_QU" : BizEnum_Traditional.YUNYAO["GEMSTAR_WENQUXING"]["shortName"],
	"YUN_GEMSTAR_TIANKUIXING" : BizEnum_Traditional.YUNYAO["GEMSTAR_TIANKUIXING"]["starName"],
	"YUN_KUI" : BizEnum_Traditional.YUNYAO["GEMSTAR_TIANKUIXING"]["shortName"],
	"YUN_GEMSTAR_TIANYUEXING" : BizEnum_Traditional.YUNYAO["GEMSTAR_TIANYUEXING"]["starName"],
	"YUN_YUE" : BizEnum_Traditional.YUNYAO["GEMSTAR_TIANYUEXING"]["shortName"],	
	"LIU_FIENDSTAR_QINGYANGXING" : BizEnum_Traditional.LIUYAO["FIENDSTAR_QINGYANGXING"]["starName"],
	"LIU_YANG" : BizEnum_Traditional.LIUYAO["FIENDSTAR_QINGYANGXING"]["shortName"],
	"LIU_FIENDSTAR_TUOLUOXING" : BizEnum_Traditional.LIUYAO["FIENDSTAR_TUOLUOXING"]["starName"],
	"LIU_TUO" : BizEnum_Traditional.LIUYAO["FIENDSTAR_TUOLUOXING"]["shortName"],
	"LIU_GEMSTAR_LUCUNXING" : BizEnum_Traditional.LIUYAO["GEMSTAR_LUCUNXING"]["starName"],
	"LIU_LU" : BizEnum_Traditional.LIUYAO["GEMSTAR_LUCUNXING"]["shortName"],
	"LIU_GEMSTAR_WENCHANGXING" : BizEnum_Traditional.LIUYAO["GEMSTAR_WENCHANGXING"]["starName"],
	"LIU_CHANG" : BizEnum_Traditional.LIUYAO["GEMSTAR_WENCHANGXING"]["shortName"],
	"LIU_GEMSTAR_WENQUXING" : BizEnum_Traditional.LIUYAO["GEMSTAR_WENQUXING"]["starName"],
	"LIU_QU" : BizEnum_Traditional.LIUYAO["GEMSTAR_WENQUXING"]["shortName"],
	"LIU_GEMSTAR_TIANKUIXING" : BizEnum_Traditional.LIUYAO["GEMSTAR_TIANKUIXING"]["starName"],
	"LIU_KUI" : BizEnum_Traditional.LIUYAO["GEMSTAR_TIANKUIXING"]["shortName"],
	"LIU_GEMSTAR_TIANYUEXING" : BizEnum_Traditional.LIUYAO["GEMSTAR_TIANYUEXING"]["starName"],
	"LIU_YUE" : BizEnum_Traditional.LIUYAO["GEMSTAR_TIANYUEXING"]["shortName"],
	"LIU_NORMALSTAR_TIANXIXING" : BizEnum_Traditional.LIUYAO["NORMALSTAR_TIANXIXING"]["starName"],
	"LIU_XI" : BizEnum_Traditional.LIUYAO["NORMALSTAR_TIANXIXING"]["shortName"],
	"LIU_NORMALSTAR_HONGLUANXING" : BizEnum_Traditional.LIUYAO["NORMALSTAR_HONGLUANXING"]["starName"],
	"LIU_LUAN" : BizEnum_Traditional.LIUYAO["NORMALSTAR_HONGLUANXING"]["shortName"],
	"FEAST_XIAOHAN" : BizEnum_Traditional.FEASTS[0],
	"FEAST_DAHAN" : BizEnum_Traditional.FEASTS[1], 
	"FEAST_LICHUN" : BizEnum_Traditional.FEASTS[2], 
	"FEAST_YUSHUI" : BizEnum_Traditional.FEASTS[3], 
	"FEAST_JINGZHE" : BizEnum_Traditional.FEASTS[4], 
	"FEAST_CHUNFEN" : BizEnum_Traditional.FEASTS[5],
	"FEAST_QINGMING" : BizEnum_Traditional.FEASTS[6], 
	"FEAST_GUYU" : BizEnum_Traditional.FEASTS[7], 
	"FEAST_LIXIA" : BizEnum_Traditional.FEASTS[8], 
	"FEAST_XIAOMAN" : BizEnum_Traditional.FEASTS[9], 
	"FEAST_MANGZHONG" : BizEnum_Traditional.FEASTS[10], 
	"FEAST_XIAZHI" : BizEnum_Traditional.FEASTS[11], 
	"FEAST_XIAOSHU" : BizEnum_Traditional.FEASTS[12], 
	"FEAST_DASHU" : BizEnum_Traditional.FEASTS[13], 
	"FEAST_LIQIU" : BizEnum_Traditional.FEASTS[14], 
	"FEAST_CHUSHU" : BizEnum_Traditional.FEASTS[15], 
	"FEAST_BAILU" : BizEnum_Traditional.FEASTS[16], 
	"FEAST_QIUFEN" : BizEnum_Traditional.FEASTS[17], 
	"FEAST_HANLU" : BizEnum_Traditional.FEASTS[18], 
	"FEAST_SHUANGJIANG" : BizEnum_Traditional.FEASTS[19], 
	"FEAST_LIDONG" : BizEnum_Traditional.FEASTS[20], 
	"FEAST_XIAOXUE" : BizEnum_Traditional.FEASTS[21], 
	"FEAST_DAXUE" : BizEnum_Traditional.FEASTS[22], 
	"FEAST_DONGZHI" : BizEnum_Traditional.FEASTS[23],
	"LUNARDAY_CHUYI" : BizEnum_Traditional.LUNARDAYS[0],
	"LUNARDAY_CHUER" : BizEnum_Traditional.LUNARDAYS[1],
	"LUNARDAY_CHUSAN" : BizEnum_Traditional.LUNARDAYS[2],
	"LUNARDAY_CHUSI" : BizEnum_Traditional.LUNARDAYS[3],
	"LUNARDAY_CHUWU" : BizEnum_Traditional.LUNARDAYS[4],
	"LUNARDAY_CHULIU" : BizEnum_Traditional.LUNARDAYS[5],
	"LUNARDAY_CHUQI" : BizEnum_Traditional.LUNARDAYS[6],
	"LUNARDAY_CHUBA" : BizEnum_Traditional.LUNARDAYS[7],
	"LUNARDAY_CHUJIU" : BizEnum_Traditional.LUNARDAYS[8],
	"LUNARDAY_CHUSHI" : BizEnum_Traditional.LUNARDAYS[9],
	"LUNARDAY_SHIYI" : BizEnum_Traditional.LUNARDAYS[10],
	"LUNARDAY_SHIER" : BizEnum_Traditional.LUNARDAYS[11],
	"LUNARDAY_SHISAN" : BizEnum_Traditional.LUNARDAYS[12],
	"LUNARDAY_SHISI" : BizEnum_Traditional.LUNARDAYS[13],
	"LUNARDAY_SHIWU" : BizEnum_Traditional.LUNARDAYS[14],
	"LUNARDAY_SHILIU" : BizEnum_Traditional.LUNARDAYS[15],
	"LUNARDAY_SHIQI" : BizEnum_Traditional.LUNARDAYS[16],
	"LUNARDAY_SHIBA" : BizEnum_Traditional.LUNARDAYS[17],
	"LUNARDAY_SHIJIU" : BizEnum_Traditional.LUNARDAYS[18],
	"LUNARDAY_ERSHI" : BizEnum_Traditional.LUNARDAYS[19],
	"LUNARDAY_ERYI" : BizEnum_Traditional.LUNARDAYS[20],
	"LUNARDAY_ERER" : BizEnum_Traditional.LUNARDAYS[21],
	"LUNARDAY_ERSAN" : BizEnum_Traditional.LUNARDAYS[22],
	"LUNARDAY_ERSI" : BizEnum_Traditional.LUNARDAYS[23],
	"LUNARDAY_ERWU" : BizEnum_Traditional.LUNARDAYS[24],
	"LUNARDAY_ERLIU" : BizEnum_Traditional.LUNARDAYS[25],
	"LUNARDAY_ERQI" : BizEnum_Traditional.LUNARDAYS[26],
	"LUNARDAY_ERBA" : BizEnum_Traditional.LUNARDAYS[27],
	"LUNARDAY_ERJIU" : BizEnum_Traditional.LUNARDAYS[28],
	"LUNARDAY_SANSHI" : BizEnum_Traditional.LUNARDAYS[29]
 };